Inhalt der D-Fend Reloaded Hilfe

Inhalt dieser Seite: Einführung Hauptmenü Dialoge Zusätzliche Informationen Internet-Links

Willkommen in der Online-Hilfe zu D-Fend Reloaded

Dies ist die Startseite der D-Fend Reloaded Hilfe. Auf dieser Seite finden Sie Verweise zu Beschreibungen zu allen Funktionen des Programms.

Hinweis:

Sie können auch direkte Hilfe zu einzelnen Dialoagen erhalten, in dem Sie während der Dialog geöffnet ist F1 drücken.

» Einführung

Bevor Sie D-Fend Reloaded das erste Mal verwenden, sollten Sie sich die Einführung durchlesen. Es existiert außerdem eine spezielle Hilfeseite zu dem Thema Hinzufügen von Spielen zu der Liste.

» Hauptmenü

Datei

  • Import
    • Cont-Datei importieren
    • Prof-Datei importieren
    • Archivdatei importieren
    • Ordner importieren
    • Datenpakete herunterladen
  • Export
    • Spieleliste exportieren
    • Conf-Datei erstellen
    • Prof-Datei erstellen
    • Archivdatei erstellen
    • Installer-Paket erstellen
    • Installer-Pakete für mehrere Spiele erstellen
    • Archivdatei-Pakete für mehrere Spiele erstellen
    • Programme übertragen
    • Datenpakete-Listendatei erstellen
  • Programmeinstellungen
  • Beenden

Ansicht

  • Menüzeile anzeigen
  • Symbolleiste anzeigen
  • Kategorien anzeigen
  • Screenshots und Sounddateien anzeigen
  • Suchfeld anzeigen
  • Info-Spalten in der Liste anzeigen
  • Tooltips in der Spieleliste anzeigen
  • Einfache Liste (keine Icons)
  • Einfache Liste
  • Details (keine Icons)
  • Details
  • Kleine Icons
  • Icons
  • Screenshots
  • Schnellstarter anzeigen

Ausführen

  • Programm ausführen
  • Setup ausführen
  • DOSBox starten
  • DOSBox Keymapper starten
  • DOSBox-Konfiguration öffnen
  • DOSBox Ausgabemethoden testen
  • ScummVM starten
  • ScummVM-Konfiguration öffnen

Profil

  • Hinzufügen
  • ScummVM-Profil hinzufügen
  • Windows-Spiel hinzufügen
  • Hinzufügen von Vorlage
  • Hinzufügen mit Assistent
  • Von Quellmedium installieren
  • Bearbeiten
  • Kopieren
  • Löschen
  • Installer-Paket erstellen
  • Archivdatei-Paket erstellen
  • DOSBox conf-Datei anzeigen
  • ScummVM ini-Datei anzeigen
  • Programmordner öffnen
  • Capture-Ordner öffnen
  • Datenordner öffnen
  • Datei in Datenordner öffnen
  • Internet-Adresse
  • Als Favorit markieren
  • Verknüpfung erstellen
  • Spiel suchen
  • Gespeicherten Spielstand ändern

Extras

  • Icons verwalten
  • Verlauf anzeigen
  • Spieleordner öffnen
  • Vorlagen
  • Cheaten
    • Gespeicherten Spielstand ändern
    • Cheats-Datenbank bearbeiten
    • In Spielstand nach Adresse suchen
  • Imagedateien
    • Imagedatei erstellen
    • IMG-Image von Diskette erstellen
    • IMG-Image auf Diskette schreiben
    • Imagedatei von Ordnerinhalt erstellen
    • Imagedatei in Ordner entpacken
    • ISO-Image von CD erstellen
    • Imagedatei-basierendes Profil von normalem Profil erstellen
  • Spieleverzeichnis nach neuen Spielen durchsuchen
  • Profile auf fehlende Dateien überprüfen
  • Mehrere Profile gleichzeitig bearbeiten
  • Mehrere Spiele deinstallieren
  • Programme übertragen
  • Verknüpfungen für mehrere Profile gleichzeitig erstellen
  • Übersetzungseditor
    • D-Fend Reloaded Übersetzungseditor
    • DOSBox Übersetzungseditor

Hilfe

  • Wo findet man Spiele
  • Spiele hinzufügen
  • Forum
  • Statistik
  • Betriebsart
  • Nach Updates suchen

» Dialoge und Fenster
  • Erststart-Assistent
  • Installer-Pakete für mehrere Spiele erstellen
  • Archivdatei-Pakete für mehrere Spiele erstellen
  • Programmeinstellungen-Dialog
  • Schnellstarter-Fenster
  • DOSBox Ausgabemethoden testen
  • Profileditor-Dialog (modern)
  • Profileditor-Dialog (klassisch, D-Fend-Style)
  • Laufwerke-Dialog
  • Profilassistent-Dialog
  • Installieren von Medium
  • Spiel deinstallieren Dialog
  • Installer-Paket erstellen (für ein einzelnes Spiel)
  • Zip-Archiv erstellen (für ein einzelnes Spiel)
  • Gespeicherten Spielstand ändern
  • Icons verwalten
  • Verlauf anzeigen
  • Vorlagen-Editor
  • IMG-Image von Diskette erstellen
  • IMG-Image auf Diskette schreiben
  • Imagedatei erstellen
  • ISO-Image von CD erstellen
  • Imagedatei in Ordner entpacken
  • Imagedatei von Ordnerinhalt erstellen
  • Imagedatei-basierendes Profil von normalem Profil erstellen
  • Mehrere Profile gleichzeitig bearbeiten Dialog
  • Mehrere Spiele deinstallieren
  • Programme übertragen Dialog
  • D-Fend Reloaded Übersetzungseditor
  • DOSBox Übersetzungseditor
  • Cheats-Datenbank bearbeiten
  • In Spielstand nach Adresse suchen
  • Alte Spiele
  • Statistik
  • Betriebsart-Dialog

» Zusätzliche Informationen
  • Versionsgeschichte (englisch)
  • Häufig gestellte Fragen
  • Lizenz (GPL3, englisch)

» Internet-Links
  • D-Fend Reloaded Homepage
  • D-Fend Reloaded Forum
  • DOSBox Homepage
  • ScummVM Homepage

D-Fend Reloaded wurde von Alexander Herzog geschrieben.


Einführung in D-Fend Reloaded

Die Informationen auf dieser Seite stellen einen groben Überblick über D-Fend Reloaded war und erklären, wie es zu verwenden ist.

» Was ist DOSBox ?

DOSBox emuliert eine nx86 PC inklusiver aller Hardware, die benötigt wird, um DOS-Programme auszuführen. Mit Hilfe von DOSBox können nahezu alle alten DOS-Spiele und Programme auf modernen Systemen unter Windows und Linux ausgeführt werden.

Im Gegensatz zu den meisten anderen Emulatoren im PC-Bereich (wie z.B. Bochs und QEmu), bildet DOSBox nicht nur die Hardware eines x86 PCs nach, sondern stellt auch gleich eine MS-DOS kompatible Betriebssystem-Umgebung zur Verfügung. Das hat zur Folge, dass Sie ihre alten DOS-Spiele fast unmittelbar in DOSBox starten können, ohne dafür erst ein Betriebssystem auf einer virtuellen Festplatte installieren zu müssen. (Falls Sie jedoch mit Imagesdateien arbeiten möchten und alternative Betriebssysteme einsetzen möchten, so ist dies in DOSBox auch kein Problem.) Darüberhinaus ist DOSBox auch einfacher zu handhaben, als viele der anderen Emulatoren: Es müssen weder Systemtreiber noch virtuelle Netzwerkkarten auf dem Host-System installiert werden, um DOSBox verwenden zu können. Es ist sogar problemlos möglich, DOSBox direkt von einem USB-Stick aus ohne jegliche Installation auszuführen. Sie können einfach jeden beliebigen Ordner als Laufwerk in der virtuellen DOS-Umgebung von DOSBox einbinden, damit müssen Sie also auch keine Imagedateien erstellen (was aber trotzdem bei Bedarf möglich ist).

» Was ist D-Fend Reloaded ?

Auch wenn DOSBox verglichen mit vielen anderen Emulatoren sehr leicht zu bedienen ist, gibt es doch keine grafische Oberfläche zum Einrichten der virtuellen Hardware, die von den Spielen verwendet werden soll und wenn Sie verschiedene Spiele ausführen wollen, die verschiedene Hardware-Umgebungen benötigen, müssen Sie mehrere DOSBox-Konfigurationen parallel pflegen und stets dafür sorgen, dass DOSBox für jedes Spiel jeweils mit der richtigen Konfiguration gestartet wird.

Um diese Aufgaben für den Anwender einfacher zu gestalten, gibt es eine Reihe von Frontends für DOSBox. Diese Frontends bieten Dialoge, um DOSBox für verschiedene Spiele individuell zu konfigurieren. Auch erlauben es einige Frontends, zusätzliche Datendateien (z.B. Handbücher und aufgezeichnete Screenshots) zu den Spielen zu verwalten.

D-Fend Reloaded ist ein DOSBox-Frontend für die Windows-Plattform. In D-Fend Reloaded können Sie ihre DOS-Spiele fast so wie Einträge im Startmenü verwalten. Über den in D-Fend Reloaded eingebauten Profileditor können Sie alle Optionen, die DOSBox bietet, für jedes Spiel individuell festlegen. Um die Erfassung neuer Spiele in D-Fend Reloaded so einfach wie möglich zu gestalten, gibt es einen Assistenten zum Hinzufügen von Spielen, der nur sehr wenige Informationen vom Benutzer abfragt und die meisten Einstellungen automatisch vornehmen kann. Außerdem kann D-Fend Reloaded beliebige zusätzliche Dateien zu den Profilen speichern (wie z.B. Handbücher, aber auch aufgezeichnete Screenshots, Sounds und Videos). Auf diese zusätzlichen Dateien kann dann sehr bequem über denn Vorschau-Bereich am unteren Rand des Programmfensters zugegriffen werden. Anstatt einfacher Text-Verknüpfungen können in der Spieleliste auch die erfassten Screenshots als Verknüpfungen zu den Spielen angezeigt werden.

Vor längerer Zeit gab es ein Freeware DOSBox-Frontend mit dem Namen "D-Fend" (für DOSBox Frontend). Allerdings wurde die Entwicklung von D-Fend 2007 gestoppt und die Projekt-Webseite (von der das Programm heruntergeladen werden konnte) wurde geschlossen. Bei dem vorliegenden D-Fend Reloaded handelt es sich um eine vollständige Neuentwicklung, die mit dem Ziel, möglichst 100%ige D-Fend Kompatibilität zu erreichen, durchgeführt wurde. Und in der Tat kann D-Fend Reloaded nicht nur die D-Fend Konfigurationsdateien lesen und unmittelbar weiterverwenden, sondern es kann in einer bestehenden D-Fend Installation sogar die DFend.exe gegen die Programmdatei von D-Fend Reloaded (mit dem selben Namen) ausgetauscht werden und alles andere kann bestehen bleiben. Allerdings verfügt D-Fend Reloaded über eine Vielzahl an neuen Features gegenüber D-Fend. Außerdem handelt es sich bei D-Fend Reloaded nicht nur um Freeware, sondern um ein unter der GPL3 veröffentlichtes Opensource-Programm.

» Verzeichnisstruktur

Sie können die Spiele, die Sie mit D-Fend Reloaded verwalten und starten wollen, in jedem beliebigen Verzeichnis ablegen, allerdings ergeben sich einige Vorteile (wie das leichtere Übertragen von Spielen von einer Installation zu einer anderen), wenn Sie einige Regeln beim Ablegen der Spiele beachten.

Bei der Verwendung einer normalen D-Fend Reloaded Installation (d.h. im "Benutzerverzeichnis-Modus") gibt es zwei Verzeichnisse, in denen Dateien abgelegt werden: Das Programmverzeichnis und das Datenverzeichnis.

Das Programmverzeichnis (üblicherweise C:\Program files\D-Fend Reloaded)

In dem Programmverzeichnis werden während der Installation alle Dateien, die für den Betrieb von D-Fend Reloaded und DOSBox nötig sind, abgelegt. Beim Betrieb von D-Fend Reloaded wird dieses keinerlei Schreibzugriffe auf das Programmverzeichnis mehr ausüben. (Dies bedeutet insbesondere, dass D-Fend Reloaded sich an die Vista-Vorgaben zur Trennung von Programmdateien und Datendateien hält.)

Das Datenverzeichnise (üblicherweise C:\Users\IhrName\D-Fend Reloaded)

Alle vom Benutzer angelegten Dateien (Programm-Konfigurationen, Spieledateien, Handbücher, aufgezeichnete Screenshots usw.) sollten in diesem Verzeichnis und seinen Unterverzeichnissen abgelegt werden. Die Spieledateien und Daten werden sollten in den folgenden Unterverzeichnissen des Datenverzeichnisses abgelegt werden:

  • Settings: In diesem Verzeichnis legt D-Fend Reloaded seine Konfigurationsdateien ab.
  • VirtualHD: Dieses Verzeichnis wird in DOSBox normalerweise als Laufwerk "C:" eingebunden (so lange Sie diese Standardeinstellung in den Profilen nicht ändern). wenn Sie die Spieledateien in Unterverzeichnissen dieses Ordners ablegen, können Sie direkt in DOSBox darauf zugreifen, ohne irgendetwas in D-Fend Reloaded dafür konfigurieren zu müssen. So lange Sie nur dieses Verzeichnis als Laufwerk in DOSBox eingebunden haben, können Sie auch ihre normale Windows-Installation nicht beschädigen, selbst wenn Sie in DOSBox versehentlich ihre komplette virtuelle Festplatte löschen.
  • Capture: In diesem Ordner bzw. in den Unterordnern dieses Ordners legt D-Fend Reloaded standardmäßig die zu den einzelnen Spielen erfassten Screenshots, Sounds und Videos ab. (Selbstverständlich können Sie sogar für jedes Spiel individuell festlegen, wo aufgezeichnete Screenshots usw. abgelegt werden sollen.) Dieser Capture-Ordner wird dann von DOSBox zum Speichern der Screenshots usw. verwendet und D-Fend Reloaded zeigt seinen Inhalt in der Screenshot-Vorschau am unteren Rand des Programmfensters an.
  • GameData: Zu jedem Spiel können Sie in D-Fend Reloaded optional einen Datenordner anlegen. In diesem Ordner können Sie z.B. Handbücher usw. ablegen. Später haben Sie über das Kontextmenü der Spieleliste sowie über den Vorschaubereich am unteren Rand des Programmfensters jederzeit Zugriff auf die in diesem Verzeichnis abgelegten Dateien. Standardmäßig bietet D-Fend Reloaded an, einen Unterordner unter diesem Ordner als Datenverzeichnis zu verwenden.
  • Confs: Dieses Verzeichnis wird verwendet,um die prof-Konfigurationsdateien zu den Spielen zu speichern. Jede prof-Datei enthält dabei genau ein Spieleprofile. Sie können ihre alten D-Fend prof-Dateien zu der D-Fend Reloaded Spieleliste hinzufügen, in dem Sie sie einfach in dieses Verzeichnis kopieren. (Achtung: D-Fend speichert zu jedem Profil eine DOSBox-conf-Datei und eine prof-Datei. Wenn Sie den gesamten Inhalt ihres D-Fend Konfigurationsverzeichnisses über die Importieren-Funktion des Menüs in D-Fend Reloaded einfügen, wird bei Ihnen jedes Profil zweimal erscheinen, da D-Fend Reloaded jede Datei als eigenständiges Profil auffasst. Die conf-Dateien werden nicht benötigt, es ist vollkommen ausreichend, nur die prof-Dateien zu importieren, diese enthalten auch alle Informationen der conf-Dateien.)
  • AutoSetup, Lang, Templates: Diese Verzeichnisse werden intern von D-Fend Reloaded zum Speichern der Autosetup-Vorlagen, der Sprachdateien und der normalen Vorlagen verwendet. Selbstverständlich können Sie manuell Vorlagen erstellen und diese in den entsprechenden Ordner kopieren, aber die Verwendung des in D-Fend Reloaded eingebauten Vorlageneditors ist wesentlich bequemer.

» Hinzufügen von Profilen

Der allereinfachste Weg zum Hinzufügen von Spielen besteht darin (sofern das Spiel in Form einer zip-Datei vorliegt), die zip-Datei auf das D-Fend Reloaded Programmfenster zu ziehen. D-Fend Reloaded kopiert die Dateien dann in einen neuen Unterordner das VirtualHD-Verzeichnisses und versucht das Spiel mit Hilfe der AutoSetup-Vorlagen automatisch zu konfigurieren. Gibt es keine passende AutoSetup-Vorlage für das Spiel, so verwendet D-Fend Reloaded die Standardvorlage für das neue Profil. In den meisten Fällen führt diese Methode ohne jegliche Rückfragen zu einem korrekt konfigurierten neuen Profil. Allerdings besteht bei der Verwendung dieser Methode auch keine Eingriffsmöglichkeit bei der Erstellung des Profils. (Selbstverständlich kann das neu erstellte Profil wie jedes andere Profil auf über den Profileditor bearbeitet werden.)

Der einfachste Weg mit Benutzereingriffsmöglichkeiten zum Hinzufügen von Profilen für Spiele besteht in der Verwendung des Assistenten ("Hinzufügen mit Assistent..." im "Profil"-Menü oder F3-Taste). Der Profil-Assistent fragt nur die für die Konfiguration wirklich notwendigen Dinge vom Benutzer ab: Der Name des neuen Profiles, die in DOSBox zu startende exe und einige einfache Einstellungen dazu. D-Fend Reloaded kennt im Auslieferungszustand bereits über 400 Spiele (in Form von sogenannten Autosetup-Vorlagen). Wenn Sie ein Spiel zu Ihrer Datenbank hinzufügen wollen, für dass es bereits eine Autosetup-Vorlage gibt, so bietet Ihnen D-Fend Reloaded an, das Spiel vollständig automatisch zu konfigurieren. Wenn Sie ein Spiel hinzufügen wollen, für dass es keine Autosetup-Vorlage gibt, so müssen Sie dennoch keine umfangreichen Konfigurationen vornehmen, sondern müssen nur eine der generischen Vorlagen (wie z.B. "niedrige CPU-Leistung", "Normal" und "3D-Grafik") wählen. Darüber hinaus können Sie in dem Assistenten auch gleich (optional) weitere Informationen zu dem Spiel festlegen, wie z.B. Genre, Erscheinungsjahr, Entwickler, Herausgeber, Sprache usw. In der Spieleliste können die einzelnen Einträge dann nach diesen Feldern gefiltert werden.

» Ausführunen von Spielen

Wenn Sie ein Profil für ein Spiel erstellt haben, ist das Starten dieses Profils sehr einfach: Sie müssen lediglich den Namen des Profils in der Spieleliste auf der rechten Seite des D-Fend Reloaded Programmfensters doppelt anklicken. (Alternativ können Sie das Profil auch durch einen Einfachklick auswählen und dann die Enter-Taste drücken oder aber das Profil mit der rechten Maustaste anklicken und dann in dem Kontextmenü auf "Programm ausführen" klicken oder aber das Profil auswählen und dann auf die Symbolleisten Schaltfläche "Starten" klicken.) D-Fend Reloaded startet das Spiel dann innerhalb von DOSBox. Wenn Sie in DOSBox Screenshots erfasst haben (über die Tastenkombination Strg+F5) oder Sound aufgezeichnet haben (über die Tastenkombination Strl+F6 für Start und Stopp) oder Videos aufgezeichnet haben (über die Tastenkombination Strg+Alt+F5 für Start und Stopp), wird Ihnen D-Fend Reloaded diese im unteren Rand des Programmfensters (dem sogenannten Vorschaubereich) anzeigen, sobald Sie das entsprechende Profil in der Spieleliste ausgewählt haben. Wenn Sie einen Screenshot doppelt anklicken, öffnet sich ein größeres Vorschaufenster. Beim doppelten Anklicken von aufgezeichneten Sounds und Videos werden diese abgespielt.

Siehe auch:

Inhalt dieser Hilfedatei
Profile mit dem Assistenten hinzufügen
Internet link: D-Fend Reloaded Homepage
Internet link: DOSBox Homepage


Wo findet man Spiele

Es gibt eine ganze Reihe von Möglichkeiten, legal an alte DOS-Spiele zu kommen:

Alte Disketten

Sofern Sie noch über DOS-Spiele auf Disketten und einen Computer, der diese lesen kann, verfügen, können Sie die Inhalte dieser Disketten direkt nutzen:

  • Sie können die Inhalte der Disketten in Festplatten-Verzeichnisse kopieren und die Spiele dann über den Menüpunkt "Von Quellmedium installieren" im "Profil"-Menü importieren. (Dabei in dem Dialog die Funktion "Von Verzeichnis importieren" wählen.)
  • Sofern D-Fend Reloaded auf dem Computer mit dem Diskettenlaufwerk installiert ist, können Sie die Spiele direkt von Diskette installieren. Wählen Sie auch dazu den Menüpunkt "Von Quellmedium installieren" im "Profil"-Menü, dann aber die Funktion "Von Diskettenlaufwerk installieren".

D-Fend Reloaded Paketmanager

Über den Menüpunkt "Datenpakete herunterladen" im "Import"-Untermenü des "Datei"-Menüs können Sie den D-Fend Reloaded Paketmanager aufrufen. Über den Paketmanager stehen bereits eine Vielzahl an Freeware und Shareware Spielen und Programmen zur Verfügung, die lediglich ausgewählt und über die "Gewählte Spiele herunterladen und installieren" zu der Spiele hinzugefügt werden können. Eine manuelle Konfiguration der auf diese Art bezogenen Programme ist nicht erforderlich, die Spiele sind sofort einsatzbereit.

Freeware und Shareware im Internet

In dem "Alte Spiele"-Untermenü des "Hilfe"-Menüs finden Sie eine ganze Liste von Internetseiten, auf denen DOS-Spiele und Programme (Freeware und Shareware) zum Download angeboten werden. In vielen Fällen können Links zu Spiele-Archivdateien von diesen Seiten direkt per Drag&Drop auf das D-Fend Reloaded Programmfenster gezogen werden und so heruntergeladen und importiert werden. (Natürlich können Sie die Archivdateien auch manuell herunterladen und dann die Archivdateien auf das D-Fend Reloaded Programmfenster ziehen oder den Menüpunkt "Archivdatei importieren" aus dem "Import"-Untermenü des "Datei"-Menüs verwenden.) Sofern D-Fend Reloaded bereits über eine passende AutoSetup-Vorlage verfügt, ist das Spiel ohne weitere Nachfragen sofort einsatzbereit. Andernfalls werden Sie nach dem Namen des Spiels und der zu verwendenden Vorlage gefragt.

Kommerzielle Angebote

Auf der Internetseite www.gog.com werden viele alte Spiele zu sehr günstigen Preisen zum Kauf angeboten.


Hinzufügen von Spielen zu D-Fend Reloaded

Als Erstes soll darauf hingewiesen werden, dass es für Erstanwender von D-Fend Reloaded sehr empfehlenswert ist, die kurze Einführung zu lesen. Diese erklärt die wesentlichen Funktionsweisen von DOSBox und D-Fend Reloaded.

Der Text auf dieser Hilfeseite erklärt, wie neue Spiele zu D-Fend Reloaded hinzugefügt werden können. Es gibt im Wesentlichen zwei Möglichkeiten, Spiele zu der Spieleliste hinzuzufügen: Vollautomatisch oder assistentengestützt halb-manuell. Um ein Spiel, welches als zip-Datei vorliegt muss, vollautomatisch zur Spieleliste hinzuzufügen, muss die zip-Datei lediglich auf das D-Fend Reloaded Programmfenster gezogen werden. Die zip-Datei wird dann in einen neuen Unterordner des Spieleverzeichnisses entpackt und das Spiel wird (wenn möglich gemäß einer AutoSetup-Vorlage) vollautomatisch konfiguriert. Wenn Sie jedoch auf die Konfiguration und den genauen Speicherort des Spiels Einfluss nehmen möchten, so können Sie Spiele gemäß der folgenden zwei Schritte hinzufügen:

1. Kopieren der Spieledateien in den Spieleordner

  • Klicken Sie auf "Spieleordner öffnen..." im "Extras"-Menü. Ein Explorer-Fenster wird sich öffnen und Ihnen das Standardverzeichnis zum Ablegen von Spielen anzeigen. (Selbstverständlich können Sie auch jedes beliebige andere Verzeichnis zum Speichenr Ihrer Spiele verwenden, aber so lange sie nicht genau wissen, wie die einzelnen D-Fend Reloaded Programmfunktionen arbeiten, ist es empfehlenswert, bei diesem Verzeichnis zu bleiben.
  • Erstellen Sie einen Unterordner für in diesem Verzeichnis für das neue Spiel.
  • Kopieren Sie die Dateien des neuen Spiels in diesen neuen Unterordner.

2. Hinzufügen eines Profils für das neue Spiel

  • Klicken Sie auf "Hinzufügen mit Assistent..." im "Profil"-Menü.
  • Der Assistent zur Erstellung neuer Profile wird geöffnet und fragt nach dem Typ des neuen Profils. Wenn Sie ein altes DOS-Spiel ausführen wollen, sollten Sie die Voreinstellung "DOSBox" ausgewählt lassen.
  • Auf der nächsten Seite fragt der Assitent nach der zu startenden Programmdatei. Wählen Sie hier einfach die Programmdatei aus dem Ordner, den Sie in Schritt 1 angelegt haben aus. (Wenn Sie auf die "Datei auswählen"-Schaltfläche rechts neben dem Eingabefeld für den Dateinamen des Spiels klicken, öffnet sich ein Dateiauswahl-Dialog direkt und es ist das Standardverzeichnis für Spiele bereits ausgewählt.)
  • Als letzten Schritt müssen Sie jetzt nur noch eine Vorlage für das neue Profil auswählen (siehe dazu die Hilfeseite des Profil-Assistenten).
  • Auf den letzten beiden Seiten des Assistenten müssen normalerweise keine manuellen Einstellungen vorgenommen werden.

Siehe auch:


Conf-Datei importieren

DOSBox verwendet conf-Dateien zum Speichern seiner Konfiguration. Diese Programmfunktion ermöglicht es, direkt aus DOSBox conf-Dateien D-Fend Reloaded Profile zu erstellen.

Importieren von Profilen von D-Fend

Wenn Sie mit D-Fend erstellte Profile in D-Fend Reloaded importieren wollen, haben Sie die Wahl die conf-Dateien oder aber die prof-Dateien aus dem Profileverzeichnis Ihrer D-Fend Installation zu importieren. Da jedoch die prof-Dateien mehr Informationen enthalten als die conf-Dateien, wird empfohlen, die prof-Dateien zu importieren.

Importieren per Drag&Drop

conf- and prof-Dateien können auch durch einfaches Ziehen der Dateien aus einem Explorerfenster und Fallenlassen über dem D-Fend Reloaded Programmfenster importiert werden.

Siehe auch:


Prof-Dateien importieren

prof-Dateien werden von D-Fend Reloaded und auch von D-Fend zum Speichern der Profilinformationen verwendet. Diese Programmfunktion kopiert einfach die zu importierenden prof-Dateien in den D-Fend Reloaded Confs-Ordner. Sie können prof-Dateien auch direkt durch das manuelle Kopieren in den Confs-Ordner in D-Fend Reloaded importieren.

Importieren von Profilen von D-Fend

Wenn Sie mit D-Fend erstellte Profile in D-Fend Reloaded importieren wollen, haben Sie die Wahl die conf-Dateien oder aber die prof-Dateien aus dem Profileverzeichnis Ihrer D-Fend Installation zu importieren. Da jedoch die prof-Dateien mehr Informationen enthalten als die conf-Dateien, wird empfohlen, die prof-Dateien zu importieren.

D-Fend und D-Fend Reloaded verwenden das selbe Dateiformat beim Erstellen der prof-Dateien. Allerdings verwendet D-Fend Reloaded einige zusätzliche Datenfelder, da es mehr Einstellmöglichkeiten bietet als D-Fend. Bei der Verwendung von D-Fend Reloaded Profilen in D-Fend sollte dieses diese zusätzlichen Felder jedoch einfach ignorieren.

Importieren per Drag&Drop

conf- and prof-Dateien können auch durch einfaches Ziehen der Dateien aus einem Explorerfenster und Fallenlassen über dem D-Fend Reloaded Programmfenster importiert werden.

Siehe auch:


Archivdatei importieren

Diese Funktion erlaubt es, Archivdateien, die vollständige Profile (inklusive aller Spieledaten) enthalten, einfache Archivdateien und mit DBGL erstellte Archivdateien in D-Fend Reloaded zu importieren. Archivdateien, die vollständige Profile enthalten, können über den Menüpunkt Archivdatei-Paket erstellen aus dem "Profil"-Menü erstellt werden.

Importieren per Drag&Drop

Sie können Archivdateien auch durch einfaches Ziehen der Datei aus einem Explorerfenster und Fallenlassen über dem D-Fend Reloaded Programmfenster importieren.

Siehe auch:


Ordner importieren

Diese Funktion erlaubt es, komplette Verzeichnisse in die D-Fend Reloaded Verzeichnisstruktur zu importieren. Der gewählte Ordner wird dabei in das Spieleverzeichnis kopiert und es wird ein Datensatz in der Spieleliste für das neue Spiel angelegt.

Importieren per Drag&Drop

Sie können Ordner auch durch einfaches Ziehen der Datei aus einem Explorerfenster und Fallenlassen über dem D-Fend Reloaded Programmfenster importieren.

Siehe auch:


Paketmanager

Der Paketmanager ermöglicht es Ihnen, Datenpakete (Spiele, Icons für die Spieleliste, D-Fend Reloaded Sprachdateien, Iconsets für die D-Fend Reloaded Symbolleisten usw.) direkt von der D-Fend Reloaded Homepage oder von anderen Quellen herunter zu laden und zu installieren. In dem Programmfenster werden die verfügbaren Datendateien nach Typen sortiert angezeigt. Über die Installations-Schaltfläche am unteren Rand des Fensters können die ausgewählten Dateien aus dem Netz heruntergeladen und automatisch installiert werden.

Listen aktualisieren

Wenn Sie auf die "Listen aktualisieren"-Schaltfläche klicken, überprüft D-Fend Reloaded, ob auf dem Server neuere als die lokal gespeicherten Paketlisten vorliegen und läd ggf. die neueren Paketlisten herunter. Wenn Sie beim Klicken auf "Listen aktualisieren" die Umschalttaste gedrückt halten, aktualisiert D-Fend Reloaded die lokalen Paketlisten vom Server, auch wenn das Datumsfeld der Listen auf dem Server angibt, dass diese nicht geändert wurden.

Quelleneditor

In dem über die Schaltfläche "Quellen" erreichbaren Quelleneditor können Sie neben der offiziellen D-Fend Reloaded Paketeliste weiter Quellen für Datenpakete hinzufügen. Wenn Sie z.B. über die Funktion Datenpakete-Listendatei erstellen eine eigene Sammlung von Spielepaketen erstellt haben und die Listendatei zusammen mit den Datenpaketen auf einer CD archiviert haben, so können Sie hier den Pfad zu dieser Listendatei angeben. (D-Fend Reloaded sucht unabhängig vom angegebenen Luafwerksbuchstaben bei der Installation automatisch in allen verfügbaren CD-Laufwerken nach der angegebenen Datei.) Sie können hier auch Quellen im Internet angeben; beachten Sie dabei aber, dass dies neben rechtlichen vor allem auch Sicherheitsprobleme mit sich bringt. Wenn Sie Datenpakete, die Programmcode enthalten, aus dem Netz aus einer nicht vertrauenswürdigen Quelle herunterladen, gefährden Sie damit Ihr System!

Siehe auch:


Spieleliste exportieren

Diese Funktion erlaubt es, eine Liste aller momentan verfügbaren Profile in verschiedenen Ausgabeformaten zu exportieren. D-Fend Reloaded bietet dabei in dem Speichern-Dialog folgende Formate zum Export an:

  • Text (*.txt):
    Erstellt eine einfache Textdatei mit Informationen über alle Profile. Dieses Exportformat entspricht dem Format, in dem D-Fend seine Profilliste exportieren konnte.
  • Tabelle (*.csv):
    Wenn Sie dieses Exportformat wählen, erstellt D-Fend Reloaded eine Tabelle mit allen verfügbaren Profilen. (In jeder Zeile steht ein Profil.) Die erstellten csv-Dateien können von nahezu jeder Tabellenkalkulation eingelesen werden.
  • HTML (*.html):
    In dieser Einstellung wird eine html-Datei erstellt, die intern eine Tabelle mit den Profileinformationen enthält. Eine auf diese Art exportierte Spieleliste können Sie direkt als Teil Ihrer Homepage verwenden.
  • XML (*.xml):
    In dieser Einstellung wird eine x,ö-Datei erstellt.

Siehe auch:


Conf-Dateien erstellen

Die conf-Dateien verwenden von DOSBox zum Ablegen der Konfigurationseinstellungen verwendet. Die meisten DOSBox Frontends können conf-Dateien importieren, d.h. wenn Sie mit D-Fend Reloaded erstellte Profile zu anderen Frontends übertragen wollen, so sollte dies mit conf-Dateien mit einer hohen Wahrscheinlichkeit funktionieren. Allerdings enthalten conf-Dateien weniger Informationen als die D-Fend Reloaded prof-Profildateien. Daher sollten Sie, sofern das andere Frontend D-Fend bzw. D-Fend Reloaded Profiledateien lesen kann, bevorzugt prof-Dateien zum Übertragen der Profile verwenden.

Wenn Sie sich einfach nur den Inhalt einer conf-Datei zu einem bestimmten Profil ansehen wollen, so müssen Sie dafür nicht extra diese Exportfunktion verwenden, sondern können direkt die entsprechende DOSBox conf-Datei anzeigen Funktion aus dem "Profil"-Menü verwenden.

Siehe auch:


Prof-Dateien erstellen

prof-Dateien werden von D-Fend Reloaded zum Speichern aller Profilinformationen verwendet. Das prof-Dateiformat, welches in D-Fend Reloaded verwendet wird, stellt eine Erweiterung des prof-Dateiformats von D-Fend dar. Da sehr viele andere Frontends D-Fend prof-Dateien importieren können, sollten diese auch in der Lage sein, D-Fend Reloaded Profile im prof-Format einlesen zu können.

Um an die prof-Dateien zu Ihren Profilen zu gelangen, müssen Sie nicht unbedingt die Export-Funktion verwenden. Sie können die prof-Dateien auch direkt aus dem Confs-Unterordner des Programmdaten-Verzeichnisses kopieren.

Profile als Autosetup-Vorlagen exportieren

Wenn diese Option aktiviert ist, so werden nicht einfach die bestehenden Profile in das Ziel-Verzeichnis kopiert, sondern die Kopien der Profile werden außerdem in AutoSetup-Vorlagen umgewandelt. AutoSetup-Vorlagen enthalten keine installationsspezifischen Angaben (wie z.B. den konkrete Pfad zu dem Spiel), aber alle für den Betrieb des Spiels notwenigen Konfigurationsangaben und die Meta-Informationen.

Siehe auch:


Archivdatei erstellen

Menü: Datei | Export | Archivdatei erstellen

Zip-Datei erstellen

Diese Funktion ist für die Langzeitarchivierung von Spielen gedacht. Sie erlaubt es ein komplettes Profil inklusive aller zugehörigen Dateien in eine einzige Archivdatei zu packen. Konkret werden folgende Profildaten in die Archivdatei aufgenommen:

  • Die prof-Profiledatei, die es ermöglicht das Spiel jederzeit wieder in D-Fend Reloaded (oder jedes andere Frontend, dass prof-Dateien lesen kann) zu importieren.
  • Die conf-Datei zur direkten Verwendung mit DOSBox bzw. zum Importieren für Frontends, die prof-Dateien nicht lesen können.
  • Alle zu dem Spiel gehörenden Programmdateien (üblicherweise sind dies ein oder mehrere Unterordner des VirtualHD-Ordners).
  • Alle zusätzlichen Spieledaten-Dateien wie z.B. Handbücher usw. (üblicherweise ein Unterordner des GameData-Ordners).
  • Alle aufgezeichneten Screenshots, Sounds und Videos (üblicherweise ein Unterordner des Capture-Ordners).

Als Archivformate unterstützt D-Fend Reloaded ohne Unterstützung durch externe Packprogramme die Formate zip und 7z. Auf der Dialogseite Packprogramme des Programmeinstellungen-Dialogs können weitere, externe Packprogramme eingetragen werden, so dass D-Fend Reloaded Archivdateien auch in anderen Formaten lesen und schreiben kann.

Siehe auch:


Installer-Paket erstellen

D-Fend Reloaded kann exe-Installationspakete von bestehenden Spielen erstellen. Diese Pakete enthalten alle Spiele-Dateien (Programmdateien, D-Fend Reloaded Profil, Datenordner, aufgezeichnete Screenshots usw.) und können archiviert und später wieder installiert werden.

Um exe-Installationspakete zu erstellen, benutzt D-Fend Reloaded das Opensource Installationsprogramm-Erstellungssystem Nullsoft scriptable install system (NSIS). D-Fend Reloaded erstellt nsi Skripte, aus denen dann NSIS eine exe-Datei erstellt. Das heißt, Sie müssen NSIS auf Ihrem System installiert haben, um diese Funktion nutzen zu können. (Sie müssen den NSIS-Installationspfad nicht explizit in D-Fend Reloaded angeben, da er aus der Registry ausgelesen werden kann.)

Paket-Einstellungen

In dieser Box können Sie auswählen, ob D-Fend Reloaded nur das nsi Skript zu späteren manuellen Erstellung des Installers erstellen soll oder aber das nsi Skript erstellen soll und dann unmittelbar mit Hilfe von NSIS einen Installer daraus erstellen soll. (In den meisten Fällen dürfte die zweite Option ihr Wunsch sein.)

Dateiname des Paketes

In diesem Eingabefeld können Sie den Namen des zu erstellenden exe-Installers angeben. Die Datei muss sich in dem Basisordner (siehe Dialogseite Verzeichnisse im Programmeinstellungen-Dialog) befinden, da in dem nsi-Skript relative Pfade verwendet werden, die nur dann von NSIS richtig interpretiert werden können, wenn sich das Skript in diesem Ordner befindet. (Nach der Erstellung kann der exe-Installer in ein beliebiges Verzeichnis kopiert werden und kann auch von einem beliebigen Verzeichnis aus gestartet werden.)

Siehe auch:


Installer-Pakete für mehrere Spiele erstellen

D-Fend Reloaded kann Installationspakete von den bestehenden Spielen erstellen. Diese Pakete entalten alle Spieledateien (Programmdateien, Profildatei, Datanordner, aufgezeichnete Screensshots usw.) eignen sich daher gut zum Archivien und Übertragen von Spielen.

D-Femd Reloaded verwendet bei der Erstellung von Installer-Paketen das Opensource Installations-Ersteller System Nullsoft scriptable install system (NSIS). D-Fend Reloaded selbst erstellt lediglich eine nsi-Skriptdatei, aus der dann NSIS die eigentliche exe-Datei erstellt. Dies bedeutet, dass Sie NSIS auf Ihrem System installiert haben müssen, um diese Funktion nutzen zu können. (Die NSIS-Installation muss in D-Fend Reloaded nicht explizit eingetragen werden, da D-Fend Reloaded den NSIS-Installationspfad aus der Registry auslesen kann.)

Vollständige Spiele

Aus dieser Liste können Sie die Spiele, die in den Installer aufgenommen werden sollen, auswählen. Wenn Sie lediglich ein Installationspaket für ein einzelnes Spiel erstellen wollen, so können Sie auch die Funktion "Installer-Paket erstellen" aus dem "Profil"-Menü verwenden.

Vorlagen / Autosetup-Vorlagen

Sie können auch Installationspakete erstellen, die Vorlagen statt Spielen enthalten. Auf diesen beiden Dialogseiten können Sie die Vorlagen bzw. die Autosetup-Vorlagen wählen, die in das Paket aufgenommen werden sollen. (Ein Paket kann jeweils nur entweder Spiele, Vorlagen oder Autosetup-Vorlagen enthalten.)

Hinweis:

Da jeweils nut die Spiele bzw. Vorlagen von der jeweils sichtbaren Dialogseite in den Installer aufgenommen werden wenn Sie auf "Ok" klicken, müssen Sie die Elemente auf den jeweils nicht sichbaren Dialogseiten nicht explizit abwählen, damit sie nicht in den Installer aufgenommen werden.

Spiele im Installer nach Genres gruppieren

Wenn diese Option aktiviert ist, werden die Spiele bzw. Vorlagen nach Genres gruppiert in den Installer aufgenommen. Dies bedeutet, dass auf der Dialogseite "Spiele zur Installation auswählen" im Installer-Paket nicht nur eine einfache Auswahlbox angezeigt wird, sondern eine Baumstruktur, aus der die zu installierenden Spiele nach Genres sortiert ausgewählt werden können.

Paket-Einstellungen

Aus diesem Feld können Sie auswählen, ob D-Fend Reloaded lediglich ein nsi-Skript (für die spätere Verwendung mit NSIS) erstellten soll oder ob das erstellte nsi-Skript sofort mit NSIS zu einem Installer compiliert werden soll. (In den meisten Fällen dürfte die zweite Option die von Ihnen bevorzugte sein.)

Dateiname des Pakets

In diesem Eingabefeld können Sie den Namen des anzulegenden exe-Installers angeben. Die Datei muss in dem D-Fend Reloaded Basisverzeichnis (siehe Dialogseite Verzeichnisse des Programmeinstellungen-Dialogs) liegen, da in der Datei relative Pfadnamen verwendet werden, die nur dann gültig sind, wenn das nsi-Skript in diesem Verzeichnis liegt. (Der exe-Installer selbst hingegen kann an jede beliebige Position kopiert werden und auch von jedem Verzeichnis aus gestartet werden.)

Siehe auch:


Archivdatei-Pakete für mehrere Spiele erstellen

Über diese Funktion können komplette Spiele inklusive aller zugehörigen Dateien (Programmdateien, Profildatei, Datenverzeichnis, aufgezeichnete Screensgots usw.) in jeweils eine einzelne Archivdatei eingepackt werden. Diese Archivedateien eignen sich zur Archivierung und zum Übertragen von Spielen. Spiele, die in solchen Archivdateien gespeichert sind, können später wieder über den Menüpunkt "Archivatei importieren" aus dem "Datei"-Menü oder einfach in dem die Archiv-Datei auf das D-Fend Reloaded Programmfenster gezogen wird, importiert werden.

Aus dieser Liste können Sie die Spiele, für die Archive erstellt werden sollen, auswählen. Wenn Sie nur für ein einzelnes Spiel ein Archiv erstellen wollen, so können Sie dies auch über den Menüpunkt "Archivdatei erstellen" aus dem "Profil"-Menü.

Die in diesem Dialog erstellten Archivdateien eignen sich besonders gut für die Langzeitarchivierung (besser als die Exe-Installer-Pakete, da ein zip-Paket auch ohne D-Fend Reloaded verwendet werden kann: Außer den eigentlichen Spieledateien enthält ein Archiv auch die D-Fend Reloaded Profildatei und auch eine DOSBox conf-Datei. Dies bedeutet, dass das Spiel und seine DOSBox Konfigurationsdatei auch unabhängig von D-Fend Reloaded benutzbar bleibt.)

Als Archivformate unterstützt D-Fend Reloaded ohne Unterstützung durch externe Packprogramme die Formate zip und 7z. Auf der Dialogseite Packprogramme des Programmeinstellungen-Dialogs können weitere, externe Packprogramme eingetragen werden, so dass D-Fend Reloaded Archivdateien auch in anderen Formaten lesen und schreiben kann.

Siehe auch:

Installer-Pakete für mehrere Spiele erstellen


Programme übertragen

Von diesem Dialog aus können Sie Profile von einer D-Fend Reloaded Installation zu einer anderen übertragen (z.B. von Ihrer normalen Installation zu einer portablen Installation auf einem USB-Stick). Bei der Übertragung eines Profils werden alle zu dem Spiel gehörenden Dateien (Profildatei, Spieleprogrammdateien, aufgezeichnete Screenshots usw. sowie die zusätzlichen Datendateien) übertragen, d.h. nach der Übertragung kann das Spiel von der Ziel-Installation aus direkt gestartet werden, ohne dass dabei die Dateien Quell-Installation verfügbar sein müssen.

Diese Funktion steht nur für Profile, die ausschließlich relative Pfade verwenden, zur Verfügung, da bei der Verwendung von absoluten Pfaden nicht klar ist, wie diese Dateien von der Quell- zu der Ziel-Installation übertragen werden sollen.

Portable D-Fend Reloaded Installation im Zielverzeichnis erstellen

Wenn diese Option deaktiviert ist, muss in dem als Zielverzeichnis angegebenen Ordner bereits eine D-Fend Reloaded Installation vorhanden sein, andernfalls wird das Übertragen der Programme scheitern. Wenn diese Option jedoch aktiviert ist, wird vor dem Übertragen der Programme eine portable D-Fend Reloaded Installation in dem Zielverzeichnis erstellt. Dafür werden die Programmdateien des Ausgangsinstallation in das Zielverzeichnis kopiert und die Konfigurationsdateien entsprechend angepasst.


Paketliste erstellen

Mit Hilfe dieser Funktion können Sie eine Paketliste für Daten, die in Ihrem D-Fend Reloaded System vorhanden sind, erstellen. Mit Hilfe solcher Paketlisten können Sie später über die Funktion Datenpakete herunterladen die exportierten Daten wieder importieren. Sie können allerdings die Paketliste (zusammen mit den zugehörigen Paketdateien) auch im Internet für andere Nutzer verfügbar machen. Bitte beachten Sie hierbei, dass keine urheberrechtlich geschützten Daten angeboten werden dürfen. Dies sind insbesondere alle Spiele, die nicht explizit als Share- oder Freeware freigegeben wurden. Selbst erstellte D-Fend Reloaded Sprachdateien, AutoSetup-Vorlegen und Icons können hingegen ohne Bedenken freigegeben werden.

Siehe auch:


Programmeinstellungen

Im Programmeinstellungen-Dialog können sehr viele Konfigurationseinstellungen zu D-Fend Reloaded den persönlichen Vorlieben angepasst werden. Um diese große Anzahl an Einstellungen übersichtlich darstellen zu können, wurde der Programmeinstellungen-Dialog in mehrere Seiten aufgeteilt. Sie können die jeweils aktive Seite über die Baumstruktur auf der linken Seite des Dialogfensters auswählten. Auf der rechten Seite des Fensters werden dann die zugehörigen Einstellungen angezeigt.

Konfigurationsmodi "Einfach" und "Vollständig"

Der Programmeinstellungen-Dialog kann in zwei Modi betrieben werden: "Einfach" und "Vollständig". Im "Einfach"-Modus werden nur die wirklich wichtigen Einstellungen angezeigt. Viele kleinere Einstellungen (insbesondere um das Erscheinungsbild von D-Fend Reloaded fein einzustellen) sind in diesem Modus ausgeblendet, um Erstanwender nicht mit der Fülle an Einstellmöglichkeiten zu erschlagen. Im "Vollständig"-Modus werden hingegen alle Konfigurationsoptionen angezeigt.

Der Konfigurationsmodus kann über die "Modus"-Auswahlbox am unteren Rand des Programmeinstellungen-Dialogs ausgewählt werden. Eine Änderung des Konfigurationsmodus wirkt sich unmittelbar auf den Dialog aus. Außerdem wird der jeweils zuletzt gewählte Modus beim erneuten Öffnen des Programmeinstellungen-Dialogs wiederhergestellt.

Programmeinstellungen-Seiten

  • Allgemein
    • Verzeichnisse
    • Sicherheit (*)
    • Datenschutz (*)
    • Kompressionseinstellungen (*)
    • Wine-Unterstützung (*)
  • Programmoberfläche
    • Sprache
      • Übersetzungen in der Spieleliste (*)
    • Menüzeile (*)
    • Symbolleiste (*)
    • Baumstruktur (*)
    • Spieleliste (*)
      • Spalten in der Spieleliste (*)
      • Liste im Screenshots-Modus (*)
      • Liste im Icons-Modus (*)
    • Medienvorschau (*)
    • Skalierung von Bildern (*)
  • Profileditor (*)
    • Vorgabewerte (*)
    • Automatische Konfiguration (*)
  • Externe Programme
    • DOSBox
      • Globale DOSBox-Einstellungen (*)
      • DOSBox CVS-Features (*)
    • FreeDOS
    • QBasic
    • Benutzerdefinierte Interpreter (*)
    • ScummVM
    • Weitere Emulatoren (*)
    • Wavedatei-Encoder
    • Packprogramme (*)
    • Texteditor (*)
    • Medienbetrachter (*)
    • Windows-Spiele (*)
  • Service
    • Nach Updates suchen

Die mit (*) gekennzeichneten Seiten werden nur angezeigt, wenn der Konfigurationsmodus "Vollständig" gewählt ist.


Programmeinstellungen | Allgemein

Menü: Datei | Programmeinstellungen | Allgemein

Programmeinstellungen-Dialogseite "Allgemein"

Auf dieser Seite gibt es zwei Optionen, die aktiviert oder deaktiviert werden können:

  • In den Benachrichtigungsbereich minimieren
    Wenn diese Option aktiviert ist, wird das D-Fend Reloaded Programmfenster im minimierten Zustand nicht in der Taskleiste angezeigt, sondern nur als kleines Symbol im Benachrichtigungsbereich unmittelbar links neben der Uhrzeit ganz unten rechts auf dem Bildschirm.
    (Vorgabewert für diese Option: deaktiviert)
  • Mit Windows starten (*)
    Wenn diese Funktion aktiviert ist, wird D-Fend Reloaded bei jedem Windows-Start automatisch mitgestartet.
    (Vorgabewert für diese Option: deaktiviert)
  • Nur eine laufende Instanz des Programms zulassen (*)
    Ist diese Option aktiviert, so kann immer nur eine Instanz von D-Fend Reloaded zurzeit laufen. Wird eine weitere Instanz des Programmes gestartet, so wird lediglich die bereits laufende Instanz von D-Fend Reloaded in den Vordergrund geholt.
    (Vorgabewert für diese Option: aktiviert)

Die mit (*) gekennzeichneten Optionen sind nur sichtbar, wenn der Konfigurationsmodus "Vollständig" gewählt ist.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Verzeichnisse

Menü: Datei | Programeinstellungen | Verzeichnisse

Programmeinstellungen-Dialogseite "Directories"

Auf dieser Dialogseite gibt es drei Eingabezeilen:

  • Basisverzeichnis (für relative Pfade)
    Alle Pfade in D-Fend Reloaded werden relativ zu diesem Verzeichnis gespeichert. Dieses Verzeichnis sollte das Basisverzeichnis für alle D-Fend Reloaded Datendateien darstellen. Das Programm ist nur dann in der Lage Operationen wie das Übertragen von Programmen oder das Erstellen von Installer-Paketen durchzuführen, wenn sich die Spieledateien in dieser Verzeichnisstruktur befinden.
    (Der Vorgabewert für diese Einstellung hängt von der gewählten Betriebsart ab. In den Betriebsarten "Programmverzeichnis" und "Portable" ist der Vorgabewert für das Basisverzeichnis das Programmverzeichnis. In der Betriebsart "Benutzerverzeichnis" ist der Vorgabewert für das Basisverzeichnis das Verzeichnis C:\Users\IhrAccount\D-Fend Reloaded.)
  • Spiele-Verzeichnis
    Wenn Sie im Profileditor auf die Datei-Auswahl-Schaltfläche klciken, um die Programmdatei für ein Spiel auszuwählen, wird dieser Ordner als erstes angezeigt.
    (Vorgabewert für den Spieleordner ist der Unterordner VirtualHD des Basisverzeichnisses.)
  • Zusatzdaten-Verzeichnis
    Wenn Sie zusätzliche Daten zu einem Profil ablegen wollen und die "Daten-Verzeichnis automatisch erstellen" Schaltfläche im Profileditor anklicken wird ein Unterordner in dem hier angegebenen Verzeichnis angelegt.
    (Vorgabewert für das Zusatzdaten-Verzeichnis ist der Unterordner GameData des Basisverzeichnisses.)
  • Basisverzeichnis für Screenshots
    D-Fend Reloaded legt Ordner zum Speichern der in DOSBox aufgezeichneten Screenshots in diesem Verzeichnis an.
    (Vorgabewert für das Basisverzeichnis für Screenshots ist der Unterordner Capture des Basisverzeichnisses.)

Sie müssen die Spieledateien nicht in den oben angegebenen Verzeichnissen ablegen, um sie in D-Fend Reloaded verwenden zu können. Sie können im Profileditor jede beliebige Datei aus jedem beliebigen Verzeichnis angeben. Allerdings sind einige Programmfunktionen wie das Übertragen von Programmen oder das Erstellen von Installer-Paketen nur verfügbar, wenn sich die Spieledateien in Unterordnern des Basisverzeichnisses befinden. (Da D-Fend Reloaded nur in diesen Fällen mit relativen Pfaden arbeiten kann, was die Voraussetzung dafür darstellt, die Dateien in eine andere D-Fend Reloaded Installation an der richtigen Stelle einzufügen.)

Das "Spiele-Verzeichnis" und das "Zusatzdaten-Verzeichnis" hingegen dienen nur als Start-Verzeichnisse beim Öffnen von Datei- bzw. Verzeichnis-Auswahldialogen.

Verzeichnisse in der portablen Betriebsart

In der portablen Betriebsart werden die drei obigen Verzeichnisse beim Beenden von D-Fend Reloaded relativ zum Programmverzeichnis gespeichert. Wenn D-Fend Reloaded dann erneut gestartet wird, werden sie wieder in absolute Pfade umgewandelt. D.h. in der portablen Betriebsart werden diese drei Verzeichnisse korrekt relativ zum Programmverzeichnis gespeichert, auch wenn sie in diesem Dialog als absolute Pfade angezeigt werden.

Siehe auch:

Programmeinstellungen-Dialog


Programeinstellungen | Sicherheit

Menü: Datei | Programeinstellungen | Sicherheit

Programmeinstellungen-Dialogseite "Sicherheit"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können die Schutzmaßnahmen gegen das unababsichtigte Löschen falscher Dateien sowie zum Schutz der einzelnen Programmdateien konfiguriert werden:

  • Vor dem Löschen von Einträgen nachfragen
    Wenn diese Option aktiviert ist, zeigt D-Fend Reloaded einen Nachfrage/Bestätigungsdialog an, wenn Sie in der Spieleliste ein Profil auswählen und Entf drücken. Ist diese Option deaktiviert, so wird das Profil sofort ohne Rückfrage gelöscht.
    (Vorgabewert für diese Option: ein)
  • Beim Deinstallieren von Spielen niemals Dateien außerhalb des Basisordners löschen
    Solange diese Option aktiviert ist, wird D-Fend Reloaded beim Deinstallieren von Spielen niemals Dateien außerhalb des Basisordners löschen. Wenn diese Option aktiviert ist, kann auch beim Deinstallieren von fehlerhaft konfigurierten Spielen keinen Schaden an der normalen Softwareinstallation entstehen. Wenn diese Option jedoch deaktiviert ist und Sie ein Spiel deinstallieren wollen, welches z.B. C:\Windows als seinen Spieleordner angibt, so können Sie damit ggf. Ihr gesamtes Betriebssystem löschen.
    (Vorgabewert für diese Option: ein)
  • DOS-Programmdateien per Prüfsumme auf Änderungen überprüfen
    D-Fend Reloaded kann in jedem Profile Prüfsummen zu der Spiele- und der Setup-Programmdatei ablegen. Bei jedem Start von Spiel oder Setupprogramm wird dann die gespeicherte Prüfsumme mit der neuberechneten Prüfsumme der Datei verglichen. Wenn die gespeicherte Prüfsumme nicht mehr zu der Programmdatei passt (und diese Option aktiviert ist), gibt D-Fend Reloaded eine Warning aus. Mit Hilfe dieser Funktion können Änderungen an Programmdateien, die evtl. durch einen Virus verursacht wurden, erkannt werden und es kann erkannt werden, wenn Sie versuchen ein unpassendes Profil (mit ggf. unpassenden Einstellungen) auf ein anderes Spiel anzuwenden.
    (Vorgabewert für diese Option: ein)
  • Dateien beim Löschen in den Papierkorb verschieben
    In diesm Feld können Sie auswählen, wann D-Fend Reloaded zu löschende Dateien in den Papierkorb verschieben soll und wann es die Dateien sofort endgültig löschen soll.
    (Vorgabewert: Alle nicht temprären Dateien in den Papierkorb verschieben)

Um das Risiko, dass durch Fehlbedienungen oder Programmfehler Schäden an Ihrer Softwareinstallation auftreten, sollten sie die ersten drei Optionen stets aktiviert lassen.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Datenschutz

Menü: Datei | Programeinstellungen | Datenschutz

Programmeinstellungen-Dialogseite "Datenschutz"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, ob D-Fend Reloaded Informationen zum Verlauf der gestarteten Spielen aufzeichnen soll. Auf dieser Seite können Sie die Statistikaufzeichnung ein- und ausschalten und bereits aufgezeichnete Informationen ggf. löschen.

Die aufgezeichneten Informationen zum Verlauf werden ausschließlich lokal gespeichert und können über den "Verlauf anzeigen"-Dialog abgerufen werden.

Siehe auch:


Programeinstellungen | Kompressionseinstellungen

Menü: Datei | Programeinstellungen | Kompressionseinstellungen

Programmeinstellungen-Dialogseite "Kompressionseinstellungen"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, wie stark D-Fend Reloaded die Dateien beim Packen in ein Archiv komprimieren soll. Eine stärkere Kompression führt zu kleineren Archivdateien, benötigt aber auch mehr Zeit beim Erstellen des Archiv.

Auf den meisten Systemen sollte der Vorgabewert "Gute Komprimierung" beibehalten werden. Die Verwendung der höhchsten Kompressionseinstellung bringt in den meisten Fällen gegenüber dem Vorgabewert keine nennenswerten Steigerungen des Kompressionsverhältnisses mehr, verbraucht aber deutlich mehr Zeit.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Wine-Unterstützung

Menü: Datei | Programeinstellungen | Wine-Unterstützung

Programmeinstellungen-Dialogseite "Wine-Unterstützung"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Sowohl D-Fend Reloaded als auch die Windows-Version von DOSBox können in einer Wine-Umgebung unter Linux ausgeführt werden. Von daher besteht eigentlich kein Bedarf, spezielle Einstellungen zur Verwendung von D-Fend Reloaded unter Wine vorzunehmen. D-Fend Reloaded kann jedoch, wenn unter Wine eingesetzt, auch direkt mit der Linux-Version von DOSBox zusammenarbeiten und bietet auch sonst einige Komfort-Funktionen (wie die Erstellung von Shellskripten) an, die beim Einsatz unter Linux nützlich sein können.

  • Wine-Modus aktivieren
    Durch das Aktivieren bzw. deaktivieren dieser Auswahlbox, lässt sich die gesamte Wine-Unterstützung in D-Fend Reloaded ein- bzw. ausschalten. Wenn die Wine-Unterstützung durch diese Auswahlbox deaktiviert ist, werden alle weiteren Einstellmöglichkeiten auf dieser Dialogseite durch D-Fend Reloaded im Betrieb ignoriert.
    Sie können die selbe D-Fend Reloaded Installation unter Windows und unter Wine verwenden, ohne dafür die Konfiguration jedes Mal ändern zu müssen): Wenn Sie D-Fend Reloaded mit einem der Kommandozeilenparametern "WineMode" oder "WineSupportEnabled" aufrufen, können Sie damit die Einstellung des Schalters "Wine-Modus aktivieren" auf "ein" setzen. Wenn Sie D-Fend Reloaded mit einem der Kommandozeilenparametern "WindowsMode", "NoWineSupport" oder "WineSupportDisabled" aufrufen, können Sie damit die Einstellung des Schalters "Wine-Modus aktivieren" auf "aus" setzen. Dabei gelten die durch den Parameter vorgegebenen Einstellungen nur so lange D-Fend Reloaded läuft. Wenn Sie es erneut ohne Parameter aufrufen, gilt wieder der ursprüngliche Wert dieser Einstellung, d.h. durch den Aufruf mit einem der oben gegannten Parameter wird die Konfiguration nicht dauerhaft verändert. Bei der Auswertung der Parameter wird die Größ- und Kleinschreibung nicht beachtet. Außerdem kann den Parametern nach eigenem Geschmack auch ein "-" oder ein "/" vorangestellt werden (d.h. auch "-winemode" würde korrekt erkannt werden).
    (Vorgabewert für diese Option: aus)
  • Wine-Laufwerke auf Linux-Pfade rückabbilden (remappen)
    In dieser Liste können Sie angeben, auf welche Linux Pfadnamen (/mnt/sta3, /mnt/stb1 usw.) die Wine-Laufwerksbuchstaben (C: D: usw.) beim Erstellen der Conf-Dateien rückabgebildet werden sollen.
  • Mount-Befehle remappen
    Ist diese Option aktiviert, so werden die Pfade in den Mount-Befehlen auf die in der Remapping-Liste angegebenen Linux-Pfade rückabgebildet.
    (Vorgabewert für diese Option: aus)
  • Screenshot-Ordner remappen
    Ist diese Option aktiviert, so wird der Pfad für den Screenshots-Ordner gemäßg der Remapping-Liste auf den zugehörigen Linux-Pfade rückabgebildet.
    (Vorgabewert für diese Option: aus)
  • Keymapping-Datei remappen
    Ist diese Option aktiviert, so wird der Pfad zu der Keymapping-Datei gemäßg der Remapping-Liste auf den zugehörigen Linux-Pfade rückabgebildet.
    (Vorgabewert für diese Option: aus)
  • DOSBox-Pfad remappen
    Ist diese Option aktiviert, so wird der Pfad zur DOSBox-Installation selbst gemäßg der Remapping-Liste auf den zugehörigen Linux-Pfade rückabgebildet.
    (Vorgabewert für diese Option: aus)
  • Menüpunkt zur Erstellung von Verknüpfungen erstellt Linux Shellskripte
    Wenn diese Option aktiviert ist, so können über den Menüpunkt "Verknüpfung erstellen" im "Profil"-Menü Linux Shellskripte zum direkten Starten von DOSBox mit dem jeweiligen Profil erstellt werden. Andernfalls erstellt die "Verknüpfung erstellen"-Funktion Windows-Verknüpfungen.
    (Vorgabewert für diese Option: aus)
  • Shellskript-Preambel
    Wenn die Funktion zur Erstellung von Linux Shellskripten statt Windows-Verknüpfungen aktiviert ist, so wird beim Erstellen eines solchen Skriptes die in dieser Eingabezeile angegebene Präambel in das Skript eingefügt.
    (Vorgabewert für diese Option: "#!/bin/bash")

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Programmoberfläche

Menü: Datei | Programeinstellungen | Programmoberfläche

Programmeinstellungen-Dialogseite "Programmoberfläche"

Auf dieser Seite gibt es lediglich eine Option (alle weiteren Einstellungen zum Erscheinungsbild des Programms werden über die Unterkategorien dieser Seite eingestellt): There is only one option to change on this page:

  • Fenstergröße beim Programmstart
    In diesem Feld können Sie das Aussehen des Programmfensters beim Programmstart von D-Fend Reloaded festlegen. Sie können zwischen "Vorgabewert für Fenstergröße", "Letzte Fenstergröße wiederherstellen", "Minimiert starten", "Maximiert starten" und "Vollbildmodus ohne Fensterrahmen" wählen.
    (Vorgabewert für diese Option: "Vorgabewert für Fenstergröße")
  • Icon-Zusammenstellung
    In diesem Auswahlfeld können Sie festlegen, wie die in der Symbolleiste, im Menü und in den Dialogen anzuzeigenden Icons aussehen sollen. Die gewählte Icon-Zusammenstellung wird jeweils beim Schließen des Programmeinstellungen-Dialogs aktiviert.
    (Vorgabewert für diese Option: "Modern icon set")

Die mit (*) gekennzeichnete Option ist nur sichtbar, wenn der Konfigurationsmodus "Vollständig" gewählt ist.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Sprache

Menü: Datei | Programeinstellungen | Sprache

Programmeinstellungen-Dialogseite "Sprache"

Auf dieser Seite stehen drei Auswahlfelder zur Konfiguration der Programmsprache zur Verfügung:

  • Programmsprache
    In diesem Auswahlfeld können Sie die Sprache auswählen, in der die D-Fend Reloaded Programmoberfläche (Menüs, Dialogboxen usw.) angezeigt werden soll. Änderungen in diesem Auswahlfeld führen zu einer sofortigen Umstellung der Programmsprache, ohne dass dafür der Dialog geschlossen werden müsste oder gar das Programm neu gestartet werden müsste.

    Um eine neue Sprachdatei für die Verwendung zur Darstellung der Programmoberfläche anzulegen, müssen Sie nur auf die "Neue Sprache anlegen"-Schaltfläche klicken und in dem Übersetzungseditor Namen für die angezeigten Bezeichner in Ihrer Sprache eingeben. Zur Erstellung einer neuen Sprache für D-Fend Reloaded brauchen Sie keinerlei externe Programme (auch keinen Texteditor).

    Um eine neue (z.B. aus dem Internet heruntergeladene) Sprachdatei zu Ihrer D-Fend Reloaded Installation hinzuzufügen, müssen Sie diese lediglich in das "lang"-Unterverzeichnis des D-Fend Reloaded Datenordners (üblicherweise "C:\Users\IhrName\D-Fend Reloaded) kopieren und den Programmeinstellungen-Dialog neu öffnen. Nun sollten Sie in der Lage sein, die neu hinzugefügte Sprachdatei in dem Auswahlfeld auszuwählen.
  • DOSBox-Sprachdatei
    In diesem Auswahlfeld können Sie die Sprache, die DOSBox verwenden soll, um Nachrichten anzuzeigen, auswählen. D-Fend Reloaded zeigt in diesem Auswahlfeld alle verfügbaren *.lng Dateien aus dem DOSBox-Verzeichnis an. Um eine neue (z.B. aus dem Internet heruntergeladene) DOSBox-Sprachdatei zu dieser Auswahlliste hinzuzufügen, müssen Sie nur die *.lng in Ihr DOSBox-Programmverzeichnis kopieren und dann den Programmeinstellungen-Dialog neu öffnen.

    Die auf dieser Dialogseite ausgewählte Sprache wird bei Verwendung der Standard-DOSBox-Installation verwendet (siehe DOSBox-Seite des Programmeinstellungen-Dialogs).
  • Installersprache
    In diesem Auswahlfeld können Sie die Sprache, die in Installerpaketen verwendet werden soll, auswählen. Um Änderungen an dieser Einstellung vornehmen zu können, muss schreibend auf den für alle Benutzer des Computers gültigen Teil der Registry zugegriffen werden. D.h. für Änderungen dieser Option werden Admin-Rechte benötigt. Unter Windows Vista erscheint daher ein Bestätigungsdialog, so bald Sie den Wert in diesem Auswahlfeld ändern.

Siehe auch:


Programeinstellungen | Übersetzungen in der Spieleliste

Menü: Datei | Programeinstellungen | Sprache | Übersetzungen in der Spieleliste

Programmeinstellungen-Dialogseite "Übersetzungen in der Spieleliste"

Auf dieser Dialogseite können Sie deutsche Übersetzungen für englische Namen für Genres, Sprachen und Lizenztypen angeben. Der Sinn dieser Funktion besteht darin, dass die Namen für Spielegenres, Sprachen und Lizenztypen in den AutoSetup-Vorlagen grundsätzlich auf Englisch vorliegen. D.h. wenn Sie ein neues Profil basierend auf einer AutoSetup-Vorlage erstellen, stehen in den Feldern "Genre", "Sprache" und "Lizenz" englische Bezeichnungen. Dasselbe gilt, wenn Sie ein Spiel importieren, welches von einem englischsprachigen D-Fend Reloaded Anwender erstellt wurde. (Z.B. sind die Namen für Genres, Sprachen und Lizenzen in den Beispiel-Paketen auf der D-Fend Reloaded Homepage grundsätzlich englisch).

Steht ein Genre- bzw. Sprachen- bzw. Lizanz-Name in einem Profil in der "Englische Namen" Spalte auf dieser Dialogseite, so wird er während der Anzeige automatisch durch die deutsche Übersetzung aus der rechten Spalte ersetzt. Im Profileditor wird ebenfalls die deutsche Übersetzung angezeigt. Gespeichert wird jedoch nach wie vor die englische Variante.

Siehe auch:


Programeinstellungen | Menüzeile

Menü: Datei | Programeinstellungen | Menüzeile

Programmeinstellungen-Dialogseite "Menüzeile"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, ob im D-Fend Reloaded Programmfenster eine Menüzeile angezeigt werden soll. In diesem Fall können Sie die Menüzeile über das Kontextmenü der Symbolleiste wieder aktivieren. Um das Wiederherstellen der Menüzeile nicht unmöglich zu machen, können folglich immer nur entweder die Menüzeile oder die Symbolleiste ausgeblendet werden.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Symbolleiste

Menü: Datei | Programeinstellungen | Symbolleiste

Programmeinstellungen-Dialogseite "Symbolleiste"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie das Erscheinungsbild und die Funktionsweise der Symbolleiste im D-Fend Reloaded Hauptprogrammfenster konfigurieren.

  • Symbolleiste anzeigen
    Durch das ein- und ausschalten dieser Option kann die gesamte Symbolleiste im Hauptfenster sichtbar oder unsichtbar gemacht werden. Wenn die Symbolleiste durch das Deaktivieren dieser Option ausgeblendet ist, haben alle weiteren Einstellungen auf dieser Seite keine weitere Bedeutung.
    (Vorgabewert für diese Option: ein)
  • Sichtbare Schaltflächen
    In diesem Listenfeld können Sie die Schaltflächen, die in der Symbolleiste sichtbar sein sollen, auswählen.
    (Vorgabewert für diese Option: Alle außer "Schließen" und "Setup")
  • Beschriftungen in der Symbolleiste anzeigen
    Wenn diese Option aktiviert wird, werden Icons und Namen auf den Schaltflächen in der Symbolleiste angezeigt. Andernfalls werden nur die Symbole ohne Beschriftungen dargestellt.
    (Vorgabewert für diese Option: ein)
  • Funktion der Hinzufügen-Schaltfläche
    Über diese Auswahlbox kann bestimmt werden, welche Funktion die "Hinzufügen"-Schaltfläche in der Symbolleiste haben soll. Zur Auswahl stehen:

    • "Hinzufügen-Dialog": Öffnet den normaen Profileditor zum Hinzufügen eines neuen Profils.
    • "Assistent": Öffnet den Assistenten zum Hinzufügen eines neuen Profils.
    • "Auswahlenü": Öffnet direkt an der Stelle der "Hinzufügen"-Schaltfläche beim Anklicken eben dieser ein Menü, aus dem die gewünschte Funktion ausgewählt werden kann.

    (Vorgabewert für diese Option: "Auswahlenü")
  • Hintergrundbild
    In diese Eingabezeile können Sie den Namen eines Bildes eingeben, welches als Hintergrundbild für die Symbolleiste verwendet werden soll.
    (Vorgabewert für diese Option: kein Hintergrundbild)
  • Schriftgröße
    In diesem Feld können Sie die Schriftgröße, die für die Beschriftungen der Schaltflächen in der Symbolleiste verwendet werden sollen, einstellen.
    (Vorgabewert für diese Option: 9)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Baumstruktur

Menü: Datei | Programeinstellungen | Baumstruktur

Programmeinstellungen-Dialogseite "Baumstruktur"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite kann das Aussehen der Kategorien-Baumstruktur auf der linken Seiten des Hauptfenster angepasst werden.

  • Zuletzt ausgewählte Kategorie beim Start erneut auswählen (*)
    Ist diese Option aktiviert, so wird die zuletzt in der Baumstruktur auf der linken Seite des Programmfensters ausgewählte Kategorie beim nächsten Start von D-Fend Reloaded sofort erneut wieder ausgewählt.
    (Vorgabewert für diese Option: aktiviert)
  • Standard-Hintergrundfarbe / Hintergrundfarbe
    Über diese beiden Auswahlknöpfe kann eingestellt werden, ob D-Fend Reloaded als Hintergrund für die Kategorienliste die Windows Standardhintergrundfarbe oder eine hier angegebene benutzerdefinierte Hintergrundfarbe verwenden soll.
    (Vorgabewert für diese Option: "Standard-Hintergrundfarbe")
  • Schriftgröße und Schriftfarbe
    Über diese beiden Felder kann sowohl die Größe als auch die Farbe der Texte in der Baumstruktur eingestellt werden.
    (Vorgabewert für diese Option: Schriftgröße 9, Schriftfarbe "Windowstext")
  • Anzuzeigende Kategorien
    In diesem Auswahlfeld kann festgelegt werden, welche der Vorgabe-Filter-Kriterien in der Baumstruktur angezeigt werden solln.
    (Vorgabewert für diese Option: alle Einträge aktiviert)
  • Benutzerdefinierte Kategorien
    Die Namen, die Sie in dieses Eingabefeld eintragen (jeweils ein Name pro Zeile) werden in der Baumstruktur als weitere Kategorien zum Filtern der Spiele in der Spieleliste angeboten (genauso wie die Filter "Genre", "Entwickler" usw.)
    (Vorgabewert für diese Option: keine)
  • Existierende Benutzerschlüssel
    Wenn Sie auf diese Schaltfläche klicken, wird eine Liste aller in den Spielen vorkommenden benutzerdefinierten Kategorienamen als auswahlmenü angezeigt. Durch das Anklicken eines solchen Kategorienamens wird dieser in die Liste der benutzerdefinierte Kategorien aufgenommen.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Spieleliste

Menü: Datei | Programeinstellungen | Spieleliste

Programmeinstellungen-Dialogseite "Spieleliste"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie das Aussehen der Spieleliste an ihre Wünsche anpassen.

  • Hintergrundfarbe / Hintergrundbild
    Über die drei Optionen "Standard-Hintergrundfarbe", "Hintergrundfarbe" und "Hintergrundbild" kann eingestellt werden, ob D-Fend Reloaded die von Windows vorgegebene Standardhintergrundfarbe für die Spieleliste verwenden soll, die hier angegebene benutzerdefinierte Farbe verwenden soll oder eine Bilddatei als Hintergrund der Spieleliste anzeigen soll.
    (Vorgabewert für diese Option: "Standard-Hintergrundfarbe")
  • Schriftgröße und Schriftfarbe
    Über diese beiden Felder kann sowohl die Größe als auch die Farbe der Texte in der Spieleliste eingestellt werden.
    (Vorgabewert für diese Option: Schriftgröße 9, Schriftfarbe "Windowstext")
  • Anzeigewert für "Nicht zugeordnet"
    In diesem Auswahlfeld können Sie bestimmen, was D-Fend Reloaded in der Spieleliste im Ansichtsmodus Details in den Spalten anzeigen soll, für die keine Werte vorhanden sind. (Also was z.B. in der Spalte "Genre" angezeigt werden soll, wenn für ein Spiel kein Genre definiert ist.
    (Vorgabewert für diese Option: "Nicht zugeordnet")
  • Darstellung der Favoriten
    Der Schriftart-Stil (fett, kursiv und/oder unterstrichen) den sie in diesem Feld angegeben haben, wird verwendet um die Profile, die sie als Favoriten markiert haben in der Spieleliste gegenüber den anderen Profilen hervorzuheben.
    (Vorgabewert für diese Option: fett)
  • Bei Windows-Profile Icon aus Programdatei verwenden
    Ist diese Option aktiviert, so zeigt D-Fend Reloaded in der Spieleliste bei allen Windows-Profilen das Icon aus der zu startenden Windows-Exe-Datei an, sofern für das Profil nicht explizit ein anderes Icon gewählt wurde.
    (Vorgabewert für diese Option: aktiviert)
  • Tooltips in der Spieleliste anzeigen
    Wenn dieses Option aktiviert ist, werden in der Spieleliste zusätzlich Informationen in Form einen kleinen Tooltip-Fensters angezeigt, so bald Sie den Mauszeiger über einem der Profile plazieren.
    (Vorgabewert für diese Option: aktiviert)
  • Zuletzt ausgewähltes Profile beim Programmstart wieder auswählen
    Wählt das zuletzt aktive Profile beim nächsten D-Fend Reloaded Start direkt wieder aus.
    (Vorgabewert für diese Option: deaktiviert)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Spalten in der Spieleliste

Menü: Datei | Programeinstellungen | Spalten in der Spieleliste

Programmeinstellungen-Dialogseite "Spalten in der Spieleliste"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, welche Spalten in der Spieleliste im Ansichtsmodus Details (und in welche Reihenfolge) angezeigt werden sollen.

In der Standardeinstellung werden alle Spalten außer der "Bemerkungen"- und der "Anzahl der Starts"-Spalte in der Reihenfolge "Setup", "Genre", "Entwickler", "Herausgeber", "Jahr" und "Sprache" angezeigt.

  • Gitterkinien im Ansichtsmodus "Details" anzeigen
    Wenn diese Option aktiviert ist, werden im Ansichtsmodus "Details" in der Spieleliste Gitterlinien zwischen den Zeilen und Spalten angezeigt.
    (Vorgabewert für diese Option: deaktiviert)
  • Spaltenbreiten beim Programmstart wiederherstellen
    Wenn diese Option aktiviert ist, werden die Breiten der Spalten in der Spieleliste gespeichert und beim nächsten Programmstart wiederhergestellt, die zuvor vom Benutzer verändert wurden.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Liste im Screenshots-Modus

Menü: Datei | Programeinstellungen | Liste im Screenshots-Modus

Programmeinstellungen-Dialogseite "Liste im Screenshots-Modus"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie das Aussehen der Spieleliste im Ansichtsmodus Screenshots konfigurieren.

  • Breite und Höhe der Screenshots
    Über diese beiden Felder können Sie die Größe, auf die die Screenshots zur Anzeige in der Spieleliste skaliert werden soll, angeben. Screenshots können dabei sowohl nach oben wie auch nach unten skaliert werden. Bei der Skalierung wird das Seitenverhältnis der anzuzeigenden Bilder beibehalten.
    (Vorgabewert für diese Option: 150 Pixel breit, 100 Pixel hoch)
  • Screenshotdatei mit folgender Nummer verwenden, wenn keiner ausgewählt ist
    Ist diese Funktion aktiviert und ist für ein Spiel kein Screenshot zur Anzeige in der Spieleliste ausgewählt, so wird der Screenshot mit der angegebenen Nummer angezeigt. (Wenn die gewählte Nummer größer als die Anzahl der Screenshots des Spieles ist, so wird der letzte verfügbare Screenshot verwendet.) Die Numerierung der Screenshots erfolgt dabei ab 1 und in lexiographischer Reihenfolge der Dateinamen. Wenn diese Funktion deaktiviert ist und für ein Spiel kein Screenshot zur Anzeige in der Spieleliste definiert ist, so wird das Spieleicon angezeigt und wenn auch kein Spieleicon definiert ist, das Standardicon.
    (Vorgabewert für diese Option: aktiviert / Nummer 1)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Liste im Icons-Modus

Menü: Datei | Programeinstellungen | Liste im Icons-Modus

Programmeinstellungen-Dialogseite "Liste im Icons-Modus"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie einstellen, in welcher Größe die Icons in der Spieleliste in der Ansichtsmodus Icons angezeigt werden sollen.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Medienvorschau

Menü: Datei | Programeinstellungen | Medienvorschau

Programmeinstellungen-Dialogseite "Medienvorschau"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie das Aussehen des Screenshots-, Sounds- und Videos-Vorschaubereiches unten im Hauptfenster anpassen.

  • Hintergrundfarbe / Hintergrundbild
    Über die drei Optionen "Standard-Hintergrundfarbe", "Hintergrundfarbe" und "Hintergrundbild" kann eingestellt werden, ob D-Fend Reloaded die von Windows vorgegebene Standardhintergrundfarbe für den Vorschaubereich verwenden soll, die hier angegebene benutzerdefinierte Farbe verwenden soll oder eine Bilddatei als Hintergrund anzeigen soll.
    (Vorgabewert für diese Option: "Standard-Hintergrundfarbe") Via the three radio buttons "Default background color", "Background color" and "Background image" you can set up whether D-Fend Reloaded should you the default Windows background color in the screenshot, sounds, videos and data preview area, a custom color or a custom image.
    (Default value for this option: "Default background color")
  • Schriftgröße und Schriftart
    In diesem Feld können Sie die Schriftgröße, die für die Beschriftungen der Vorschaubilder usw. verwendet werden sollen, einstellen.
    (Vorgabewert für diese Option: 9)
  • Screenshots-Vorschaugröße
    Die Screenshots werden auf die in diesem Feld angegebene Höhe und Breite skaliert. Das Seitenverhältnis bleibt dabei erhalten.
    (Vorgabewert für diese Option: 100)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Skalieren von Bildern

Menü: Datei | Programeinstellungen | Skalieren von Bildern

Programmeinstellungen-Dialogseite "Skalieren von Bildern"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie einstellen, welchen Algorithmus D-Fend Reloaded verwenden soll, um Bilder vergrößert oder verkleinert darzustellen. "Aus" bedeutet, dass einfach Pixelzeilen und Spalten verdoppelt werden bzw. weggelassen werden. Diese Methode ist am schnellsten, liefert jedoch meist die schlechtesten Resultate. Die anderen Algorithmen berechnen zusätzliche Pixel jeweils aus den Nachbarpixels und liefern so bessere, manchmal jedoch etwas unschärfere Bilder.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Profileditor

Menü: Datei | Programeinstellungen | Profileditor

Programmeinstellungen-Dialogseite "Profileditor"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, ob Sie den klassischen (D-Fend-Style) oder den modernen Profileditor-Dialog verwenden sollen und können das Verhalten des Profileditors konfigurieren.

  • Zuletzt aktive Seite im Profileditor merken
    Wenn diese Seite aktiviert ist, wird beim Öffnen des Profileditors die Dialogseite sofort wieder aktiviert, die beim letzten Schließen des Profileditors zuletzt aktiv war.
    (Vorgabewert für diese Option: aus)
  • Klassischen D-Fend Profileditor verwenden / Modernen Profileditor verwenden
    Über diese beiden Auswahlfelder kann festgelegt werden, ob Sie den klassischen oder den modernen Profileditor zum Bearbeiten Ihre DOSBox-Profile verwenden möchten. Der klassische D-Fend-Style Profileditor sieht dem Profileditor aus D-Fend sehr ähnlich, d.h. alle Einstellungen befinden sich auf den selben Dialogseiten, auf denen sie auch in D-Fend zu finden waren. Der klassische Profileditor ist nur aus Kompabilitätsgründen in D-Fend Reloaded enthalten und bildet nicht alle Einstellungen, die seit D-Fend in D-Fend Reloaded hinzugekommen sind, ab. In den meisten Fällen ist es daher von Vorteil, den modernen Profileditor zu verwenden, der zum einen mehr Optionen anbietet und zum anderen eine übersichtlichere Oberfläche besitzt.
    (Vorgabewert für diese Option: "Modernen Profileditor verwenden")
  • Screenshot-Ordner beim Hinzufügen von Profilen automatisch festlegen
    In diesem Feld können Sie auswählen, in welchen Fällen beim Anlegen eines neuen Profiles D-Fend Reloeaded automatisch einen passenden Screenshot-Ordner anlegen soll.
    (Vorgabewert für diese Option: "Beim Hinzufügen über den Assistenten und über den modernen Profileditor")
  • Profildateien automatisch umbenennen, wenn der Profilname geändert wird
    Wenn diese Option deaktiviert ist, wird der Profildateiname von dem anfänglich angegebenen Profilnamen abgeleitet (d.h. es werden alle in Dateinamen nicht zulässigen Zeichen entfernt und der Dateiname ggf. um eine Ziffer ergänzt, um Kollisionen mit bestehenden Dateien zu umgehen). Wenn Sie danach den Profilnamen ändern, ändert sich der Dateiname der Profildatei nicht mehr. (Sie können die Profildatei jedoch jeder Zeit manuell im Profileditor umbenennen.) Wenn diese Option aktiviert ist, können Sie den Profildateinamen nicht mehr manuell ändern, dafür passt D-Fend Reloaded den Namen der Profildatei jedes Mal an, wenn Sie den Namen des Profils ändern.
    (Vorgabewert für diese Option: aus)
  • Mounting-Einstellungen bei Bedarf automatisch hinzufügen
    In diesem Feld können Sie auswählen, in welchen Fällen beim Anlegen eines neuen Profiles D-Fend Reloeaded bei Bedarf automatisch passende Mounting-Einträge anlegen soll.
    (Vorgabewert für diese Option: "Beim Hinzufügen über den Assistenten und über den modernen Profileditor")

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Vorgabewerte

Menü: Datei | Programeinstellungen | Vorgabewerte

Programmeinstellungen-Dialogseite "Vorgabewerte"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf vielen Dialogseiten des Profileditors befinden sich Auswahlfelder, in denen zwischen verschiedenen, von DOSBox unterstützten Werten für eine Eigenschaft gewählt werden kann. Auf dieser Programmeinstellungen-Seite können Sie konfigurieren, welche Werte in den jeweiligen Auswahlfeldern angeboten werden sollen.

Die Vorgabeeinstellungen für diese Werte decken alle von DOSBox unterstützten Werte ab. Daher sollten Sie in diesen Listen nur dann Werte hinzufügen, wenn Sie eine spezielle DOSBox-Version verwenden, die zusätzliche Werte für bestimmte Eigenschaften unterstützt.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Automatische Konfiguration

Menü: Datei | Programeinstellungen | Automatische Konfiguration

Programmeinstellungen-Dialogseite "Automatische Konfiguration"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, wann D-Fend Reloaded ein neues Spiel vollautomatisch konfigurieren soll und wann es nach Benutzereinstellungen fragen soll.

  • Archivdatei Import: Ohne Rückfrage importieren, wenn passende AutoSetup-Vorlage existiert
    Wenn diese Option aktiv ist, zeigt D-Fend Reloaded beim Importieren von Archivdateien (über den Menüpunkt via Datei|Importieren|Archivdateien oder via Drag&Drop) keinen Dialog zu Auswahl der Vorlage und zur Wahl des Namen des Spiels an, wenn dieses über eine AutoSetup-Vorlage identifiziert werden konnte. Gibt es keine passende AutoSetup-Vorlage für das Spiel, so wird der Auswahldialog auf jeden Fall angezeigt.
    (Vorgabewert für diese Option: an)
  • Funktionsweise des Assistenten
    In diesem Feld können Sie eingestellen, wie viele Fragen der Assistent beim Hinzufügen von Spielen stellen soll. Konkret kann eingestellt werden, wann die Dialogseiten zur Auswahl einer Vorlage und zur Eingabe der Meta-Informationen zu einem Spiel angezeigt werden sollen. Es kann eingestellt werden, dass diese Seiten immer, nur wenn das Spiel nicht über eine AutoSetup-Vorlage identifiziert werden kann oder nie angezeigt werden sollen.
    (Vorgabewert für diese Option: "Spiel automatisch konfigurieren, wenn passende AutoSetup-Vorlage existiert")
  • Dateinamen zur Identifikation von Spielen, die installiert werden müssen
    Wenn sich in einer zu importierenden Archivdatei lediglich eine Programmdatei mit einem der in diesem Feld angegebenen Namen befindet, so schlägt D-Fend Reloaded vor, das Spiel mit Hilfe der Installationsunterstützung zu installieren.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | DOSBox

Menü: Datei | Programeinstellungen | DOSBox

Programmeinstellungen-Dialogseite "DOSBox"

Auf dieser Seite können Sie einstellen, welche DOSBox-Installationen Sie in D-Fend Reloaded verwenden möchten.

  • DOSBox-Installation
    D-Fend Reloaded kann beliebig viele DOSBox-Installationen verwalten. Über dieses Auswahlfeld können Sie einstellen, welche DOSBox-Installation Sie konfigurieren wollen. Sie können beliebig viele Installationen hinzufügen und wieder löschen. Lediglich die als "Standard" bezeichnete Installation kann nicht gelöscht werden. Sie können für jedes Profile im Profileditor einstellen, welche der hier konfigurierten DOSBox-Installationen Sie verwenden wollen.
    (Vorgabewert für diese Option: "Standard")
  • DOSBox-Verzeichnis
    In diesem Eingabefeld können Sie den Pfad zu der zu konfigurierenden DOSBox-Installation angeben.

    In der portablen Betriebsart wird dieses Verzeichnis beim Schließen des Programmes relativ zum D-Fend Reloaded Programmverzeichnis gespeichert. Wenn D-Fend Reloaded neu gestartet wird, wird das DOSBox-Verzeichnis wieder in einen absoluten Pfad umgewandelt, d.h. in diesem Eingabefeld steht immer eine absolute Pfadangabe, auch wenn der Pfad in der portablen Betriebsart korrekt relativ gespeichert wird.

"Weitere Einstellungen für die DOSBox-Installation"-Dialog

Diese Schaltfläche ist nur sichtbar, wenn unten rechts im Programmeinstellungen-Dialog der Konfigurationsmodus "Vollständig" gewählt ist.

  • DOSBox-Verzeichnis
    (Der Pfad in diesem Eingabefeld ist der selbe, wie der im Hauptfenster des Programmeinstellungen-Dialogs.)
    In diesem Eingabefeld können Sie den Pfad zu der zu konfigurierenden DOSBox-Installation angeben.

    In der portablen Betriebsart wird dieses Verzeichnis beim Schließen des Programmes relativ zum D-Fend Reloaded Programmverzeichnis gespeichert. Wenn D-Fend Reloaded neu gestartet wird, wird das DOSBox-Verzeichnis wieder in einen absoluten Pfad umgewandelt, d.h. in diesem Eingabefeld steht immer eine absolute Pfadangabe, auch wenn der Pfad in der portablen Betriebsart korrekt relativ gespeichert wird.
  • DOSBox-Sprachdatei
    In dieser Box können Sie die Sprache auswählen, die DOSBox zur Anzeige von Meldungen verwenden soll. D-Fend Reloaded zeigt in dieser Auswahlbox alle in dem DOSBox-Verzeichnis verfügbaren *.lng-Dateien an. Um neue Sprachdateien zu dieser Auswahlliste hinzuzufügen, müssen Sie nur die (neu heruntergeladene) Sprachdatei in das DOSBox-Programmverzeichnis kopieren; beim nächsten Öffnen dieses Dialogs wird sie dann in dieser Liste angezeigt.
  • Tastaturbelegung
    In dieser Box können Sie die standardmäßig mit dieser DOSBox-Version zu verwendende Tastaturbelegung auswählen. Ist hier "default" gewählt, so wird die Standard-Tastaturbelegung der gewählten Programmsprache verwendet, bzw. die Tastaturbelegung des zu startenden Profils, wenn in dem Profil explizit eine Tastaturbelegung definiert ist.
  • Zeichensatz (Codepage)
    In dieser Box können Sie die standardmäßig mit dieser DOSBox-Version zu verwendende Codepage auswählen. Ist hier "default" gewählt, so wird die Standard-Codepage der gewählten Programmsprache verwendet, bzw. die Codepage des zu startenden Profils, wenn in dem Profil explizit eine Codepage definiert ist.
  • Tastaturzuordnungsdatei (Keymapping-Datei)
    In dieser Tastaturzuordnungsdatei werden Änderungen an der Vorgabe-Tastenzuordnen, die über den Menüpunkt DOSBox-Keymapper starten des "Ausführen"-Menüs vorgenommen wurden, gespeichert. Der Pfad zu der Tastaturzuordnungsdatei kann als absoluter Pfad oder aber relativ zu dem Basisverzeichnis angegeben werden.
    (Vorgabewert für diese Option: ".\mapper.txt")
  • Zusätzliche Parameter beim Aufruf von DOSBox
    Die in diesem Eingabefeld angegebenen Parameter werden beim Aufruf von DOSBox an die Kommandozeile angehängt.
    (Vorgabewert für diese Option: keine)
  • DOSBox-Console ausblenden
    Die DOSBox-Console zeigt zusätzliche Status- und Fehler-Meldungen an. Beim Ausführen normaler Spiele gibt es eigentlich keinen Bedarf, die DOSBox-Console anzuzeigen und es sollte normalerweise also auch nicht notwendig sein, diese Option zu deaktivieren.
    (Vorgabewert für diese Option: ein)
  • DOSBox-Fenster zentrieren
    Wenn diese Option aktiviert ist, wird das DOSBox-Fenster zentriert auf dem Desktop dargestellt (solange Sie keine Profile starten, die das DOSBox-Fenster in den Vollbildmodus versetzen.)
    (Vorgabewert für diese Option: aus)
  • Screensaver deaktivieren, wenn DOSBox läuft
    Durch das Aktivieren dieser Option können Sie verhindern, dass sich der Windows-Screensaver aktiviert so lange DOSBox läuft. Ist diese Option aktiviert, so wird der Screensaver auch dann nicht aktiviert, wenn Sie keine Eingaben per Tastatur oder Maus vornehmen.
    (Vorgabewert für diese Option: aus)
  • DOSBox-Console nicht automatisch schließen, wenn ein Fehler aufgetreten ist
    Wenn diese Option aktiviert ist, wird die DOSBox-Console nicht automatisch geschlossen, wenn beim Betrieb von DOSBox ein Fehler aufgetreten ist und DOSBox beendet wurde.
    (Vorgabewert für diese Option: ein)
  • SDL Videodriver
    In diesem Auswahlfeld können Sie den SDL Videotreiber, den Sie verwenden wollen, auswählen. SDL stellt die Grafik-Basis von DOSBox dar.
    (Vorgabewert für diese Option: "DirectX")
  • Warnungen bei Fehlern beim Erzeugen der DOSBox-Pfadnamen anzeigen
    DOSBox verwendet eine andere Methode als Windows zur Erzeugung kurzer Pfadnamen aus langen Pfadnamen. Daher können lange Pfadnamen zur Verwendung innerhalb von DOSBox (z.B. in "cd"-Befehlen) nicht einfach mit Hilfe der Windows-API-Funktion in kurze 8.3-Namen umgeformt werden, sondern müssen gemäß dem DOSBox-Algorithmus abgekürzt werden. Tritt bei dieser Übersetzung eines langen Pfadnamen ein Fehler auf, so erscheint eine Warnmeldung, wenn diese Option aktiviert ist.
    (Vorgabewert für diese Option: ein)
  • Benutzereinstellungen
    Die Zeilen, die Sie in dieses Eingabefeld schreiben, werden beim Aufruf von DOSBox an die Konfigurationsdatei angehängt. Auf diese Weise können Sie beliebige Konfigurationseinstellungen überschreiben und Einstellungen vornehmen, die von der grafischen Oberfläche in D-Fend Reloaded nicht abgebildet werden.

Siehe auch:


Programeinstellungen | Globale DOSBox-Einstellungen

Menü: Datei | Programeinstellungen | Globale DOSBox-Einstellungen

Programmeinstellungen-Dialogseite "Globale DOSBox-Einstellungen"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Seite können Sie einstellen, die für alle eingerichteten DOSBox-Installationen gültig sind.

  • D-Fend Reloaded minimieren, wenn DOSBox gestartet wird
    Wenn diese Option aktiviert ist, wird das D-Fend Reloaded Hauptfenster minimiert, sobald ein DOSBox-basierendes Profil gestartet wird.
    (Voragebwert für diese Option: aus)
  • Programmfender wiederherstellen, wenn DOSBox beendet wird
    Diese Funktion kann nur aktiviert werden, wenn die Option "D-Fend Reloaded minimieren, wenn DOSBox gestartet wird" ebenfalls aktiviert ist. Diese Option stellt das D-Fend Reloaded Hauptfenster wieder her, sobald die DOSBox-Instanz, durch deren Start das Fenster minimiert wurde, wieder geschlossen wurde.
    (Voragebwert für diese Option: aus)
  • Kurze Pfadnamen in Mount-Befehlen verwenden
    DOSBox-Kommandozeilen dürfen maximal 134 Zeichen enthalten. Dies hat zur Folge, dass lange Mount-Befehle zum Einbinden von Laufwerken in DOSbox möglicherweise scheitern, wenn der Pfad, der als Laufwerk eingebunden werden soll, zu lang ist. Wenn diese Option aktiviert ist, wandelt D-Fend Reloaded beim Erzeugen der DOSBox-conf-Datei lange Pfadnamen in ihre kurzen Varianten um (z.B. würde "Program files" in "PROGRA~1" umgewandelt werden).
    (Voragebwert für diese Option: ein)
  • Immer conf-Dateien für alle Profile anlegen
    Ist diese Option aktiviert, so legt D-Fend Reloaded zu jeder Profil-Datei (*.prof) im "Confs"-Verzeichnis jeweils eine DOSBox-conf-Datei (*.conf) an und hält diese stets aktuell, so dass externe Programme diese verwenden können. Ist diese Option deaktiviert, so wird nur beim Aufruf von DOSBox dynamisch eine conf-Datei angelegt. (Diese Funktion ist nicht in der portablen Betriebsart verfügbar.)
    (Voragebwert für diese Option: aus)
  • Dialog zur Fehlerbehebung anzeigen, wenn DOSBox in weniger Sek. schließt als
    Über dieses Feld können Sie einstellen, wann der Dialog, über den DOSBox-Startprobleme behoben werden können, angezeigt werden soll. Wenn sich DOSBox innerhalb weniger Sekunden nach dem Start wieder beendet, kann davon ausgegangen werden, dass es ein Problem gab. Entweder konnte DOSBox selbst nicht korrekt gestartet werden oder aber das DOS-Programm innerhalb von DOSBox hat sich sofort wieder beendet. In beiden Fällen kann der DOSBox-Startprobleme-Dialog helfen, das Problem zu beheben.
    (Voragebwert für diese Option: 3)

Siehe auch:


Programeinstellungen | DOSBox CVS-Features

Menü: Datei | Programeinstellungen | DOSBox CVS-Features

Programmeinstellungen-Dialogseite "DOSBox CVS-Features"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie spezielle Konfigurationsoptionen in D-Fend Reloaded aktivieren, die nur von den neueren DOSBox CVS-Builds unterstützt werden. (D.h. insbesondere, dass Sie diese Optionen nicht aktivieren sollen, wenn Sie die mit D-Fend Reloaded mitgelieferte Standard-DOSBox-Version verwenden.)

  • Einstellungen im Mount-Editor
    • Mehrere Floppyimages pro Laufwerk zulassen
      Wenn diese Option aktiviert ist, können Sie im Laufwerkseditor mehrere Floppyimages pro virtuellem Laufwerk angeben. Wenn DOSBox läuft, können Sie per Strg+F4 zwischen den verschiedenen Images umschalten.
    • PhysFS Registerreiter anzeigen
      Das PhysFS (Phys Dateisystem) ermöglicht es, Zip-Dateien als DOSBox-Laufwerke einzubinden. DOSBox verwendet die Zip-Dateien nur zum Lesen und leitet jegliche Schreibbefehle in ein zusätzlich anzugebendes normales Verzeichnis um. Wenn diese Option aktiviert ist, können Sie die PhysFS-Funktion im Laufwerkseditor verwenden.
  • Grafikeinstellungen im Profileditor
    In dieser Box können Sie einige erweitere Grafikfeatures im Profileditor aktivieren, die von der Standard-DOSBox-Version nicht unterstützt werden.
  • Soundeinstellungen im Profileditor
    In dieser Box können Sie einige erweitere Soundfeatures im Profileditor aktivieren, die von der Standard-DOSBox-Version nicht unterstützt werden.
  • Druckereinstellungen im Profileditor
    In dieser Box können Sie die Einstellungen für die Druckerunterstützung im Profileditor aktivieren. Die Standard-DOSBox-Version unterstützt keine Druckeremulation, daher werden normalerweise keine Einstellungen zur Druckereulation angezeigt.
  • Netzwerk-Einstellungen im Profileditor
    In dieser Box können Einstellungen zur NE2000-Emulation auf der Dialogseite Netzwerkdes Profileditors aktiviert werden.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | FreeDOS

Menü: Datei | Programeinstellungen | FreeDOS

Auf dieser Dialogseite können Sie angeben, in welchem Verzeichnis sich die FreeDOS Kommandozeilenwerkzeuge befinden. D-Fend Reloaded kann die FreeDOS Kommandozeilenprogramme verwenden, um im Profileditor 4DOS als Kommandozeilen-Interpreter anbieten zu können (realisiert über die Datei "4DOS.COM") und DOS32A als DOS-Extender anbieten zu können (realisiert über die Datei "DOS32A.EXE").

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | QBasic

Menü: Datei | Programeinstellungen | QBasic

Programmeinstellungen-Dialogseite "QBasic"

Auf dieser Dialogseite können Sie den Pfad zu einem QBasic-Interpreter angeben. Wenn hier ein QBasic-Interpreter definiert ist, können Sie im profileditor-Dialog bas-Dateien als Programmdateien wählen. D-Fend Reloaded wird dann die angegebene bas-Datei in dem QBasic-Interpreter in DOSBox ausführen.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Benutzerdefinierte Interpreter

Menü: Datei | Programeinstellungen | Benutzerdefinierte Interpreter

Programmeinstellungen-Dialogseite "Benutzerdefinierte Interpreter"

Auf dieser Dialogseite können Sie Interpreter für bestimmte Dateitypen angeben. Die Interpreter-Programme selbst müssen dabei in DOSBox laufen, d.h. es muss sich um DOS-Programme handeln. Zu jedem Programm können Sie die Parameter angeben, die notwnedig sind, um Datendateien zu laden und auszuführen. Außerdem können Sie die typischen Endungen für die Datendateien angeben. Im Profileditor können Sie dann Dateien dieser Typen als Programmdateien wählen und D-Fend Reloaded wird automatisch den hier angegebenen Interpreter zur Ausführung der Datei in DOSBox verwenden.

Siehe auch:


Programeinstellungen | ScummVM

Menü: Datei | Programeinstellungen | ScummVM

Programmeinstellungen-Dialogseite "ScummVM"

Auch wenn D-Fend Reloaded in erster Linie ein DOSBox-Frontend ist, kann es doch dennoch Scumm-basierende Spiele mit Hilfe von ScummVM starten. Wenn Sie auf dieser Dialogseite den Pfad zu ScummVM angeben, können Sie über den Menüpunkt ScummVM-Profil hinzufügen im "Profil"-Menü ScummVM-basierende Profile zur Spieleliste hinzufügen.

  • D-Fend Reloaded minimieren, wenn ScummVM gestartet wird (*)
    Wenn diese Option aktiviert ist, wird das D-Fend Reloaded Hauptfenster minimiert, sobald ein ScummVM-basierendes Profil gestartet wird.
    (Vorgabewert für diese Option: aus)
  • Programmfender wiederherstellen, wenn ScummVM beendet wird
    Diese Funktion kann nur aktiviert werden, wenn die Option "D-Fend Reloaded minimieren, wenn ScummVM gestartet wird" ebenfalls aktiviert ist. Diese Option stellt das D-Fend Reloaded Hauptfenster wieder her, sobald die ScummVM-Instanz, durch deren Start das Fenster minimiert wurde, wieder geschlossen wurde.
    (Voragebwert für diese Option: aus)
  • ScummVM-Fenster zentrieren (*)
    Wenn diese Option aktiviert ist, wird das ScummVM-Fenster, wenn ScummVM nicht im Vollbildmodus gestartet wird, zentriert auf dem Bildschirm angezeigt.
    (Vorgabewert für diese Option: aus)
  • ScummVM-Console ausblenden (*)
    Wenn diese Option aktiviert ist, wird das ScummVM-Consolenfenster ausgeblendet, wenn ScummVM nicht im Vollbildmodus gestartet wird.
    (Vorgabewert für diese Option: aus)
  • Zusätzliche ScummVM Aufrufparameter (*)
    Über diese Eingabezeile können zusätzliche Aufrufparameter an ScummVM beim Aufruf eines ScummVM-basierenden Profils übergeben werden.

Die mit (*) markierten Optionen sind nur sichtbar, wenn unten rechts im Programmeinstellungen-Dialog der Konfigurationsmodus "Vollständig" gewählt ist.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Weitere Emulatoren

Menü: Datei | Programeinstellungen | Weitere Emulatoren

Programmeinstellungen-Dialogseite "Weitere Emulatoren"

Auf dieser Dialogseite können Sie weitere Emulatoren für alte Spiele angeben. Bei den Emulatoren muss es sich um Windowsprogramme handeltn (also nicht um Programme wie QBasic, die ihrerseits erst noch innerhalb von DOSBox ausgeführt werden müssen). In D-Fend Reloaded werden DOSBox und ScummVM als Emulationsplattformen vollständig unterstützt. Die hier angegebenen Emulatoren werden nur als Windowsprogramme unterstützt, d.h. wenn Sie ein Spiel für eine der hier angegebenen Plattformen hinzufügen, so wird intern ein Windows-Profil angelegt, in dem der angegebene Emulator aufgerufen wird und ihm die Datendatei, die das Spiel repräsentiert als Parameter übergeben.

Parameter

In diesem Eingabefeld können Sie die Parameter angeben, die beim Aufruf des Emulators verwendet werden sollen. %s steht dabei für den Namen der Datendatei, die in dem Emulator geöffnet werden soll. Beachten Sie, dass für viele Programme die %s in Anführungszeichen gesetzt werden müssen, da andernfalls Pfad- und Dateinamen mit Leerzeichen nicht korrekt interpretiert werden können, während bei einigen anderen Programme diese Anführungszeichen explizit nicht verwendet werden dürfen. Bitte lesen Sie in der Dokumentation des Emulators nach, wie die jeweils korrekte Parameterübergabe erfolgt.

Siehe auch:


Programeinstellungen | Wavedatei-Encoder

Menü: Datei | Programeinstellungen | Wavedatei-Encoder

Programmeinstellungen-Dialogseite "Wavedatei-Encoder"

D-Fend Reloaded kann (mit Hilfe externer Programme) in DOSBox aufgezeichnete Wave-Dateien in die Formate mp3 und ogg umwandeln. Der Wave-zu-ogg-Encoder oggenc2.exe ist bereits im Lieferumgang von D-Fend Reloaded enthalten (da es sich bei ihm ebenfalls um ein Opensource-Programm handelt). Aufgrund ungeklärter Lizenzfragen kann jedoch der Lame-Encoder zur Erstellung von mp3-Dateien nicht direkt in das D-Fend Reloaded Installationspaket aufgenommen werden und muss separat installiert werden.

Auf dieser Seite können Sie angeben, in welchen Verzeichnissen sich die Wave-zu-ogg und Wave-zu-mp3 Encoder befinden und mit welchen Kommandozeilenschaltern sie aufgerufen werden müssen. In die Kommandozeilenparameter müssen dabei dir Platzhalter "%1" und "%2" eingefügt werden. Der "%1" Platzhalter wird dabei durch den Pfad und Namen der Ausgangsdatei ersetzt und der "%2" Platzhalter wird durch den Pfad und Namen der Zieldatei ersetzt.

Die Vorgabekommandozeilenparameter für den mp3-Encoder (z.B. Lame) lauten:
-h -V 0 "%1" "%2"

Die Vorgabekommandozeilenparameter für den ogg-Encoder (Oggenc2) lauten:
"%1" --output="%2" --quality=10

Der Platzhalter %1 wird dabei durch den Namen der Eingabedatei (inkl. vollständigem Pfad) ersetzt und %2 durch den Dateinamen der Ausgabedatei (ebenfalls inkl. dem vollständigen Pfad).

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Packprogramme

Menü: Datei | Programeinstellungen | Packprogramme

Programmeinstellungen-Dialogseite "Packprogramme"

Auf dieser Seite können externe Packprogramme angegeben werden, mit deren Hilfe D-Fend Reloaded dann weitere Archivformate lesen und schreiben kann. (Eingebaut ist bereits eine Unterstützung für die Formate zip und 7z.)

  • Name des Packprogramms
    Über diese Auswahlbox können Sie das Programm, das Sie konfigurieren möchten, auswählen. Über die vier Schaltflächen rechts der Auswahlbox können Einträge hinzugefügt, gelöscht oder verschoben werden.
  • Programmdateiname
    In dieser Eingabezeile können Sie den Pfad und Dateinamen des zu verwendenden externen Packprogrammes eingeben.
  • Dateinamenserweiterungen für das Packprogramm
    In dieser Eingabezeile können Sie festlegen, Dateien welchen Typs durch das angegebene Packprogramm gelesen und geschrieben werden können. Die einzelnen Erweiterungen müssen dabei durch ";" getrennt werden und ohne "*." eingegeben werden. Wenn Sie die Erweiterungen "ZIP" oder "7Z" für ein externes Packprogramm als unterstützte Formate angeben, so wird D-Fend Reloaded in Zukunft dieses Programm zum Packen und Entpacken entsprechender Archive statt der internen Routinen verwenden.
  • Parameter um Archivdateien zu entpacken
    Die in diesem Eingabefeld festgelegten Parameter werden beim Aufruf des Packprogrammes zum Entpacken bestehender Archive verwendet. Der Platzhalter "%1" wird dabei durch den Pfad und Namen der Archivdatei ersetzt und der Platzhalter "%2" wird durch den Pfad des Verzeichnisses, in das die Dateien entpackt werden sollen, ersetzt.
  • Parameter um neue Archivdateien zu erzeugen
    Die in diesem Eingabefeld festgelegten Parameter werden beim Aufruf des Packprogrammes zum Erstellen neuer Archive verwendet. Der Platzhalter "%1" wird dabei durch den Pfad und Namen der zu erstellenden Archivdatei ersetzt und der Platzhalter "%2" wird durch den Pfad des Verzeichnisses, das eingepackt werden soll, ersetzt.
  • Parameter um Dateien zu einer Archivdatei hinzuzufügen
    Die in diesem Eingabefeld festgelegten Parameter werden beim Aufruf des Packprogrammes zum Aktualisieren von Archiven verwendet. Der Platzhalter "%1" wird dabei durch den Pfad und Namen der zu aktualisierenden Archivdatei ersetzt und der Platzhalter "%2" wird durch den Pfad des Verzeichnisses, dessen Dateien zu dem Archiv hinzugefügt werden sollen eingepackt werden sollen, ersetzt.
  • Abschließendes "\" an Pfadnamen anfügen.
    Gibt an, ob der Pfadname, der angeibt, wo sich die zu packenden Dateien befinden bzw. wohin das Archiv entpackt werden soll, mit einem abschießenden "\" versehen werden soll oder nicht. (Uha z.B. funktioniert nicht korrekt, wenn der Pfadname mit einem "\" abgeschlossen wird.)
  • Vorgabewerte setzen für ...
    Für einige Packprogramme kennt D-Fend Reloaded bereits die korrekten Parameter zum Packen und Entpacken von Archiven. Wenn das aktuell gewählte Programm bereits bekannt ist, können die Standardparameter über diese Schaltfläche in die drei obigen Eingabezeilen eingetragen werden.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Texteditor

Menü: Datei | Programeinstellungen | Texteditor

Programmeinstellungen-Dialogseite "Texteditor"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie angeben, welchen Texteditor D-Fend Reloaded verwenden soll, um Textdateien (wie z.B. die DOSBox conf-Konfigurationsdateien oder die ScummVM ini-Konfigurationsdateien) zu öffnen.

  • Standardeditor für den Dateityp verwenden
    Wenn diese Option aktiviert ist, verwendet D-Fend Reloaded jeweils den in der Registry eingetragenen Vorgabeeditor zum öffnen der jeweiligen Textdateien.
    (Diese Option ist der Vorgabewert.)
  • Wenn kein Editor für Dateityp registriert ist, Standardeditor für txt-Dateien verwenden
    Wenn diese Funktion aktiviert ist, verwendet D-Fend Reloaded den Vorgabeeditor, der für txt-Dateien registriert ist, wenn für Dateien des zu öffnenden Typs kein Editor in der Registry definiert ist. Da für conf-Dateien in den meisten Fällen kein Editor registriert ist, diese jedoch einfache Textdateien sind, ist Option in den meisten Fällen sehr nützlich.
    (Vorgabewert für diese Option: ein)
  • Immer Notepad verwenden
    Wenn diese Option aktiviert ist, wird D-Fend Reloaded alle Textdateien unabhängig von den Einstellungen in der Registry stets mit Windows Notepad öffnen.
  • Benutzerdefinierten Texteditor verwenden
    Wenn Sie diese Option aktivieren, können Sie einen beliebigen Texteditor vorgeben, mit dem D-Fend Reloaded stets alle Textdateien öffnen soll.
  • Wenn nötig automatisch Zeilenumbrüche in zu öffnenden Dateien korrigieren
    Wenn diese Option aktiviert ist, überprüft D-Fend Reloaded jede Textdatei, bevor sie an den Texteditor übergibt, ob die Zeilenumbrüche in der Datei dem DOS/Windows-Typ entsprechen und wandelt Dateien, deren Zeilenumbrüche im Unix-Typ vorliegen, entsprechend um. Textdateien mit Zeilenumbrüchen im Unix-Typ werden von einigen einfacheren Texteditoren (wie z.B. Notepad) als eine einzige lange Zeile dargestellt.
    (Vorgabewert für diese Option: aus)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Medienbetrachter

Menü: Datei | Programeinstellungen | Medienbetrachter

Programmeinstellungen-Dialogseite "Medienbetrachter"

Diese Dialogseite ist nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" unten im Programmeinstellungen-Dialog gewählt haben.

Auf dieser Dialogseite können Sie angeben, wie D-Fend Reloaded Bilder, Sounddateien und Videos zur Ansicht öffnen soll. Für jeden der drei Medientypen können Sie das Verhalten individuell festlegen:

  • Internen Betrachter verwenden
    Wenn diese Option aktiviert ist, wird D-Fend Reloaded den internen Betrachter bzw. das interne Abspielprogramm für den gewählten Medientyp verwenden. Der interne Betrachter hat den Vorteil, dass er schneller startet als ein externes Programm, außerdem können Sie bequem zwischen mehreren aufgezeichneten Dateien hin- und herschalten. Allerdings besitzen die internen Betrachter keinerlei Funktionen zum Bearbeiten von Dateien.
    (Diese Option ist der Vorgabewert.)
  • Standardprogramm zum Öffnen der Dateien verwenden
    Wenn diese Option aktiviert ist, werden Mediendateien des gewählten Typs jeweils in dem Programm, welches jeweils unter Windows als Vorgabeprogramm für den jeweiligen Dateityp eingetragen ist, geöffnet. Auf einen Screenshot, eine Sounddatei oder ein Video doppelt zu klicken hat in diesem Fall die selbe Wirkung, wie ein Doppelklick im Windows Explorer auf die entsprechende Datei.
  • Benutzerdefiniertes Programm verwenden
    Wenn diese Option in D-Fend Reloaded ausgewählt ist, werden Dateien des entsprechenden Typs in dem hier angegebenen Programm geöffnet. line.

Internen Betrachter als modalen Dialog anzeigen

Wenn diese Option aktiviert ist, wird der Screenshot-Betrachter als Dialogfenster angezeigt, d.h. so lange das Fenster geöffnet ist, kann mit dem Hauptfenster nicht weitergearbeitet werden.
(Vorgabewert für diese Option: aktiviert)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Windows-Spiele

Menü: Datei | Programeinstellungen | Windows-Spiele

Programmeinstellungen-Dialogseite "Windows-Spiele"

Auf dieser Seite können Sie das Verhalten des D-Fend Reloaded Programmfensters beim Start und beim Beenden eines Windows-Spiels festlegen.

  • D-Fend Reloaded minimieren, wenn ein Windows-Spiel gestartet wird
    Wenn diese Option aktiviert ist, wird das D-Fend Reloaded Hauptfenster minimiert, sobald ein Windows-Spiel Profil gestartet wird.
    (Vorgabewert für diese Option: aus)
  • Programmfender wiederherstellen, wenn das Windows-Spiel beendet wird
    Diese Funktion kann nur aktiviert werden, wenn die Option "D-Fend Reloaded minimieren, wenn ein Windows-Spiel gestartet wird" ebenfalls aktiviert ist. Diese Option stellt das D-Fend Reloaded Hauptfenster wieder her, sobald das Windows-Spiel, durch deren Start das Fenster minimiert wurde, wieder geschlossen wurde.
    Das Programmfenster wird nur dann wiederhergestellt, wenn das gestartete Windows-Programm mindestens 5 Sekunden gelaufen ist. Auf dieser Weise wird verhindert, dass das D-Fend Reloaded Programmfenster wiederhergestellt wird, wenn es sich bei der gestarteten Datei nur um ein Start-Programm für das eigentliche Spiel handelt.
    (Voragebwert für diese Option: aus)
  • Archive von Window-Profilen erstellen und Windows-Profil-Pakete installieren
    Wenn diese Option aktiviert ist, können Archivedateien von Windows-basierenden Profilen erstellt werden und es können Archivdateien, die Windows-basierende Profile enthalten, importiert werden. Das Übertragen von Windows-basierenden Spielen in Form von D-Fend Reloaded Archivdateien kann vielfältige Probleme verursachen und wird daher nicht empfohlen.
    (Voragebwert für diese Option: aus)

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Service

Menü: Datei | Programeinstellungen | Service

Programmeinstellungen-Dialogseite "Service"

Auf dieser Dialogseite werden (abhängig vom jeweils gewählten Konfigurationsmodus) 2 bis 5 Service-Funktionen angeboten:

  • "DOSBox DOS"-Profil wiederherstellen
    Diese Funktion stellt das Standardprofil "DOSBox DOS", welches ein einfaches DOSBox-Kommandozeilenfenster öffent, wieder her. Wenn ein Profil mit diesem Namen bereits existiert, so wird es überschrieben.
  • Standard-Vorlagen wiederherstellen
    Diese Funktion stellt die Vorlagen, die mit D-Fend Reloaded ausgeliefert wurden, wieder her.

Die folgenden Einstellungen sind nur sichtbar, wenn unten rechts im Programmfenster der Konfigurationsmodus "Vollständig" gewählt ist:

  • Alte, nicht mehr genutzte Setup-Dateien von D-Fend v2 löschen
    D-Fend v2 (classic) verwendete zusätzlich zu den prof-Dateien auch noch conf-Dateien im Profile-Ordner, um die Spieleprofile zu speichern. Außerdem legt D-Fend (classic) manchmal temporäre Tempprof.*-Dateien im Profileverzeichnis, die es später nicht mehr löscht. Durch diese Funktion können diese alten, nicht mehr verwendeten Dateien geöscht werden.
  • Absolute durch relative Pfade ersetzen
    Diese Funktion ermöglicht es, absolute Pfadangaben wenn möglich durch relative Pfadangaben zu ersetzen. (Die Verwendung von relariven Pfadangaben ist die Voraussetzung für die Verwendung der Funktionen zum Übertragen von Programmen und zum Erstellen von Installer-Paketen.)
  • Prüfsummen für alle Profile berechnen
    D-Fend Reloaded verwendet Prüfsummen, um die Spieledateien auf Änderungen überprüfen zu können. Die Prüfsummen werden beim Öffnen und Schließen des Profileditors sowie beim Starten eines Programmes erstellt (sofern sie noch nicht existieren) bzw. überprüft (wenn sie bereits existieren). Diese Funktion ermöglicht es, Prüfsummen sofort für alle Profile zu erstellen.
  • Paketcache und Paketlisten löschen
    Wenn Sie diese Schaltfläche anklicken, werden die heruntergeladenen Paketlisten-Dateien sowie alle heruntergeladenen und lokal zwischengespeicherten Datenpakete gelöscht. Beim nächsten Aufruf des Paketmanagers müssen Sie dann die Paketlisten erneut herunterladen.
  • Screenshots-Ordner für alle Profile erstellen
    Wenn Sie diesen Button anklicken, werden Screenshots-Verzeichnisse (zum Ablegen der mit DOSBox aufgezeichneten Screenshots, Sounds und Videos) für alle Profile angelegt. Wenn für ein Profil noch kein Screenshots-Verzeichnissename festgelegt ist, so wird von dem Profilnamen ein eindeutiger Verzeichnisname abgeleitet.
  • Datenordner für alle Profile erstellen
    Wenn Sie diesen Button anklicken, werden Spieledaten-Verzeichnisse (zum Ablegen von Handbuchdateien usw.) für alle Profile angelegt. Wenn für ein Profil noch kein Spieledaten-Verzeichnissename festgelegt ist, so wird von dem Profilnamen ein eindeutiger Verzeichnisname abgeleitet.
  • Alle Mediendateien in allen Profilen umbenennen
    Benennt alle Screenshots, Sound-Dateien oder aufgezeichneten Videos in allen Profilen gemäß eines einstellbaren Schemas um.

Siehe auch:

Programeinstellungen-Dialog


Programeinstellungen | Nach Updates suchen

Menü: Datei | Programeinstellungen | Nach Updates suchen

Programmeinstellungen-Dialogseite "Nach Updates suchen"

Auf dieser Dialogseite können Sie einstellen ob und wie oft D-Fend Reloaded nach Updates suchen soll.

Programm-Updates

Die Updateüberprüfung überträgt keine persönlichen Daten ins Internet. Bei der Updateüberprüfung wird lediglich der Inhalt einer auf der D-Fend Reloaded Homepage angebotenen Textdatei heruntergeladen und ausgewertet. Wenn die Versionsnummer, die in dieser Textdatei angegeben ist, größer als die Versionsnummer der aktuellen Installation ist, bietet die Updateprüfung an, den in der zweiten Zeile der Textdatei angegebenen Updateinstaller herunter zu laden und auszuführen.
(Vorgabewert für diese Option: "Nur manuell auf Updates prüfen")

Kennung der aktuellen Version in die Abfrage-URL integrieren

Wenn diese Option aktiviert ist, fügt die Updateprüfung die Nummer der aktuell verwendeten D-Fend Reloaded Version an die Abfrage-URL für die Update-Informationsdarei an. Dadurch wird des den Skripten auf der D-Fend Reloaded Homepage ermöglicht, je nach verwendeter Version verschiedene Update-Dateien (die dann ggf. kleiner ausfallen können) anzubieten. (Siehe dazu auch der Abschnitt über die Arbeitsweise der Updatefunktion weiter unten). Momentan wird diese Funktion jedoch nicht durch die D-Fend Reloaded Homepage ausgewertet, d.h. unabhängig von dieser Einstellung für stets die selbe Update-Datei angeboten.
(Vorgabewert für diese Option: an)

Paketlisten aktualisieren

In diesem Feld kann gewählt werden, ob und wann D-Fend Reloaded die Listen der im Paketmanager angeboten Pakete aktualisieren soll. Die Listen können auch jeder Zeit über die Funktion "Paketlisten aktualisieren" im Paketmanager manuell aktualisiert werden.
(Vorgabewert für diese Option: "Nur manuell")

Cheats-Datenbank

In diesem Feld können Sie auswählen, ob D-Fend Reloaded automatisch nach Updates für die Cheats-Datenbank suchen soll.
(Vorgabewert für diese Option: "Nur manuell")

Mobygames-Downloader Konfigurationsupdate

In diesem Feld kann gewählt werden, wann die Funktion zum Auslesen von Spieleinformationen von der Mobygames-Homepage die Konfiguration neu von der D-Fend Reloaded Homepage lesen soll. Um auf Änderungen an der Mobygames-Homepage reagieren zu können, ist es notwendig, dass die Ausleseroutinen konfigurierbar sind. Auf der D-Fend Reloaded Homepage befindet sich eine Datei, die der Auslesefunktion mitteilt, wie die Mobygames-Suchanfrage-Antwortseiten auszuwerten sind um an die Spieleinformationen zu gelangen.
(Vorgabewert für diese Option: "Täglich bei der ersten Benutzung")

Jetzt nach Update suchen

Diese Schaltfläche öfnnet den Dialog, der auch über den Menüpunkt Nach Updates suchen im "Hilfe"-Menü erreichbar ist.

Dateils zur Funktionsweise der Programmupdate-Überprüfung

Der Programmupdate-Checker läd folgende Datei von der D-Fend Reloaded Hompage auf Sourceforge herunter: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt". Die Datei enthält zwei Textzeilen; in der ersten Zeile steht die Versionsnummer der aktuellen D-Fend Reloaded Version und in der zweiten Zeile die Download-Adresse für den Updateinstaller, der eine existierende D-Fend Reloaded Installation auf diese Version aktualisiert. Wenn die Versionsnummer in der UpdateInfo.txt-Datei größer ist, als die Versionsnummer der momentan verwendeten D-Fend Reloaded Installation, wird Sie der Update-Checker fragen, ob Sie jetzt auf diese Version aktualisiern wollen.

Die Update-Prüfung verwendet die Windows-Verbindungseinstellung (die Sie über die Programmeinstellungen des Internet Explorers anpassen können). Dies bedeutet insbesondere, dass D-Fend Reloaded den möglicherweise im Internet Explorer konfigurierten Proxy-Server verwenden wird.

Siehe auch:

Programeinstellungen-Dialog


Beenden

Diese Funktion beendet D-Fend Reloaded. Da D-Fend Reloaded alle Profile auf der Festplatte stets aktuelle hält, müssen beim Programmende nicht explizit irgendwelche Daten gespeichert werden.

Sie können D-Fend Reloaded außerdem jederzeit durch Anklicken des Schließenfeldes (mit "x" beschriftete Schaltfläche) rechts in der Titelzeile schließen.

Hintergrundoperationen

D-Fend Reloaded ermöglicht es, zip-Dateien als Laufwerke in DOSBox zu verwenden. es entpackt dann das zip-Archiv in einen Ordner, bevor DOSBox gestartet wird und packt den Ordnerinhalt nach dem Ende von DOSBox wieder in die zip-Datei ein. Wenn sie versuchen, D-Fend Reloaded zu beenden, während das Programm noch auf das Ende einer DOSBox-Instanz wartet, um eine zip-Datei wieder einzupacken, wird eine Warnung angezeigt und Sie erhalten die Möglichkeit, den Schließen-Befehl abzubrechen (um zunächst auf das Ende von DOSBox zu warten).


Menüzeile anzeigen

Wenn Sie diese Option deaktivieren, wird im D-Fend Reloaded Programmfenster keine Menüzeile mehr angezeigt. In diesem Fall können Sie die Menüzeile über das Kontextmenü der Symbolleiste wieder aktivieren. Um das Wiederherstellen der Menüzeile nicht unmöglich zu machen, können folglich immer nur entweder die Menüzeile oder die Symbolleiste ausgeblendet werden.


Kategorien anzeigen

Wenn dieser Menüpunkt markiert ist, wird links im Programmfenster eine Baumstruktur angezeigt, mit deren Hilfe die Profile in der Spieleliste nach bestimmten Kategorien gefiltert werden. Die Einträge in der Kategorienliste werden dabei automatisch gemäß den bestehenden Profilen zusammengestellt.


Screenshots und Sounddateien anzeigen

Wenn dieser Menüpunkt markiert ist, zeigt D-Fend Reloaded einen Informationsbereich unterhalb der Spieleliste an, in der die zu dem jeweils markierten Profil gespeicherte Screenshots, Sound, Videos und Datendateien angezeigt werden.


Suchfeld anzeigen

Wenn dieser Menüpunkt markiert ist, wird in der Symbolleiste ein Suchfeld angezeigt. Wenn Sie eine Zeichenkette in dieses Feld eingeben, werden nur noch die Profile angezeigt, deren Namen die entsprechende Zeichenkette enthalten.


Info-Spalten in der Liste anzeigen

Wenn dieser Menüpunkt markiert ist, werden in den Ansichtsmodi Details und Details (keine Icons) zusätzliche Spalten in der Spieleliste angezeigt, die Informationen zu Genre, Entwickler, Herausgeber, Jahr und Sprache enthalten.


Tooltips in der Spieleliste anzeigen

Wenn dieser Menüpunkt markiert ist, werden in der Spieleliste zusätzlich Informationen in Form einen kleinen Tooltip-Fensters angezeigt, so bald Sie den Mauszeiger über einem der Profile plazieren.


Ansichtsmodi

Über die sieben folgenden Einträge des "Ansicht"-Menüs können Sie das Aussehen der Spieleliste konfigurieren:

  • Einfache Liste (keine Icons):
    Zeigt nur die Namen der Profile an. Die Profile werden spaltenweise angeordnet.
  • Einfache Liste:
    Zeigt nur die Namen der Profile und die zugehörigen (kleinen) Icons an. Die Profile werden spaltenweise angeordnet.
  • Details (keine Icons):
    Zeigt eine Vielzahl an Informationen über jedes Profil (Name, Genre, Entwickler usw.) an. Sie können auf der Dialog seite Spalten in der Spieleliste des Programmeinstellungen-Dialogs bestimmen, welche Spalten angezeigt werden sollen. Die Profile werdne in insgesamt einer Spalte untereinander angeordnet.
  • Details:
    ´ Zeigt eine Vielzahl an Informationen über jedes Profil (Name, Genre, Entwickler usw.) inklusive des Profil-Icons an. Sie können auf der Dialog seite Spalten in der Spieleliste des Programmeinstellungen-Dialogs bestimmen, welche Spalten angezeigt werden sollen. Die Profile werdne in insgesamt einer Spalte untereinander angeordnet.
  • Kleine Icons:
    Zeigt nur die Namen der Profile und die zugehörigen (kleinen) Icons an. Die Profile werden zeilenweise angeordnet.
  • Icons:
    Zeigt nur die Namen der Profile und die zugehörigen (großen) Icons an. Die Profile werden zeilenweise angeordnet.
  • Screenshots:
    Zeigt die aufgezeichneten Screenshots als ganz große Icons zu den Profilen an. Die Screenshots werden zeilenweise angeordnet. (Siehe auch die Dialogseite Liste im Screenshots-Modus im Programmeinstellungen-Dialog.)

Hinweis:

Sie können den Screenshot, der in der Spieleliste im Ansichtsmodus "Screenshots" angezeigt werden soll über das Kontextmenü der Screenshotsvorschau am unteren Rand des Programmfesnters auswählen.


Schnellstarter anzeigen

Vom Schnellstarter-Fenster aus können Sie direkt DOS-Programme in DOSBox öffnen. Das Schnellstarter-Fesnter hat Ähnlichkeit mit dem Windows Explorer: Auf der linken Seite befindet sich eine Baumstruktur und auf der rechten Seite eine Dateiliste des aktuell ausgewählten Verzeichnisses.

Verzeichnisstruktur

In der Verzeichnisstruktur auf der linken Seite des Schnellstarter-Fenstern werden die Verzeichnis, in denen die Spiele oder zu den Spielen gehörende daten gepeichert werden, angezeigt. Über die Auswahlbox oberhalb der Verzeichnisstruktur können Sie wählen, welche Verzeichnisse angezeigt werden soll. In den meisten Fällen ist es übersichtlicher, nicht alle Verzeichnisse anzuzeigen ("Gesamte Verzeichnisstruktur"), sondern nur den (auf der Verzeichnisse-Dialogseite des Programmeinstellungen-Dialogs definierten) Spieleordner ("Spieleverzeichnis") mit seinen Unterverzeichnissen.

Durch das Anklicken eines Verzeichnisses in der Baumstruktur auf der linken Seite wird der Inhalt dieses Verzeichnisses in der Dateiliste auf der rechten Seite des Fensters angezeigt.

Über das Kontextmenü der Verzeichnisstruktur können Sie auch jedes beliebige Verzeichnis im Explorer öffen bzw. jedes Verzeichnis in DOSBox öffnen.

Dateiliste

Die Dateiliste auf der rechten Seite des Schnellstarter-Fensters zeigt die Dateien in dem momentan auf der linken Seite gewählten Verzeichnis an.

Sie können jede Datei aus der Dateiliste heraus per Doppelklick direkt öffnen bzw. starten. D-Fend Reloaded bestimmt dann automatisch, auf welche Art die Datei am besten zu starten ist. (Textdateien werden in dem konfigurierten Texteditor geöffnet, Windows-exe-Dateien werden direkt gestartet, DOS-exe-Dateien, com-Dateien und bat-Dateien werden in DOSBox gestartet und Bilder, Sounds und Videos werden mit dem jeweils konfigurierten Betrachter geöffnet. Für einige startbare Dateitypen wird im Kontextmenü zusätzlich die Option, die Datei in einem Texteditor zu öffnen, statt sie zu starten, angeboten (z.B. für html-Dateien und bat-Dateien).

Wenn Sie eine Datei vom Schnellstarter aus in DOSBox öffnen wird die unten im Schnellstarter-Fenster ausgewählte Vorlage und die zugehörigen Einstellungen verwendet.

Über die kontextmenüfunktionen Profil mit Datei erstellen und Profil mit Datei erstellen (Assistent) können Sie direkt ein Profil für das gewählte Programm erstellen. Der erste Menüpunkt öffnen den Profileditor-Dialog mit der gewählten Programmdatei und der (unten im Schnellstarter-Fenster gewählten) Vorlage. Der zweite Menüpunkt öffnen den Assistenten zum Hinzufügen von Profilen mit der gewählten Programmdatei.

Dateien und Ordner können direk per Drag&Drop in der Dateiliste auf der rechten Seite des Schnellstarter-Fensters hinzugefügt werden.

Hinweis:

Das Schnellstarter-Fenster ist ein normales Fenster und kein modaler Dialog. Das heißt, dass Sie mit dem D-Fend Reloaded Programmfenster arbeiten können (z.B. die anzuzeigenden Profile filtern, bearbeiten und starten können) während das Schnellstartet-Fenster geöffnet ist.


Programm ausführen

Wenn Sie diesen Menüpunkt anklicken, wird die Hauptdatei des gewählten Profils gestartet.


Setup ausführen

Wenn Sie diesen Menüpunkt anklicken, wird das Setupprogramm des gewählten Profils gestartet. Wenn für das momentan gewählte Profil kein Setupprogramm definiert ist, kann der Menüpunkt nicht angeklickt werden.


DOSBox starten

Wenn Sie auf diesen Menüpunkt klicken, wird DOSBox mit der Standardkonfigurationsdatei, die im DOSBox-Verzeichnis gespeichert ist, gestartet. Über den Menüpunkt DOSBox-Konfiguration öffnen aus dem "Ausführen"-Menü können Sie die DOSBox-Standardkonfigurationsdatei in einem Texteditor öffnen.

Die DOSBox-Standardkonfigurationsdatei hat jedoch ansonsten keine Bedeutung für D-Fend Reloaded. Sie hat keinen Bezug zu den D-Fend Reloaded Vorlagen und wird nicht verwenden, wenn ein neues Profil angelegt wird. Die Vorlagen, die D-Fend Reloaded beim Anlegen neuer Profile verwendet, können über den Menüpunkt Vorlagen aus dem "Extras"-Menü bearbeitet werden.


DOSBox Keymapper starten

Wenn Sie diesen Menüpunkt anlicken, wird DOSBox gestartet und in DOSBox wird sofort der Keymapper geöffnet.

Der Keymapper

Mit Hilfe des Keymappers in DOSBox können Sie physikalische Tasten virtuellen Tasten in DOSBox zuweisen. Mit Hilfe dieser Funktion lassen sich viele Tastaturprobleme in DOSBox lösen. Zur Anpassung des Tastaturlayouts (d.h. der Sprache der Tastatur) brauchen Sie den Keymapper nicht. Sie können die Tastaturbelegung zur Sprachanpassung problemlos über den Profileditor-Dialog bei Bedarf sogar für jedes Spiel individuell anpassen.

Die Tastenzuordnungsdatei (Mapper file)

Die im Keymapper vorgenommenen Anpassungen werden in der sogenannten key mapping Datei gespeichert. Sie können den Pfad für die Tastenzuordnungsdatei im Programeinstellungen-Dialog individuell für jede DOSBox-Installation festlegen. Die Datei, die Sie über diesen Menüpunkt bearbeiten können, ist die der Standard-DOSBox-Installation.


DOSBox-Konfiguration öffnen

Über diesen Menüpunkt können Sie die DOSBox-Konfigurationsdatei, die beim Aufruf von DOSBox über den Menüpunkt DOSBox starten aus dem "Ausführen"-Menü verwendet wird, in einem Texteditor öffnen.

Die DOSBox-Standardkonfigurationsdatei hat jedoch ansonsten keine Bedeutung für D-Fend Reloaded. Sie hat keinen Bezug zu den D-Fend Reloaded Vorlagen und wird nicht verwenden, wenn ein neues Profil angelegt wird. Die Vorlagen, die D-Fend Reloaded beim Anlegen neuer Profile verwendet, können über den Menüpunkt Vorlagen aus dem "Extras"-Menü bearbeitet werden.


DOSBox Ausgabemethoden testen

In diesem Fenster können Sie die zur Verfügung stehenden DOSBox Ausgabemethoden testen. Nicht jeder Ausgabemethode wird von jedem Grafiktreiber unterstützt. Ist in einem Profil eine nicht unterstützte Ausgabemethode gewählt, so startet das entsprechende Profil nicht.

Die jeweils zu verwendende Ausgabemethode kann auf der Profileditor-Dialogseite Grafikkarte in dem Feld "Darstellungsmethode" eingestellt werden. Alternativ kann der Dialog Mehrere Profile gleichzeitig bearbeiten verwendet werden, um mehrere oder alle Profile auf einmal zu konfigurieren.

Siehe auch:


ScummVM starten

Wenn Sie auf diesen Menüpunkt klicken, wird ScummVM ohne die Angabe eines bestimmten Spiels geöffnet und es öffnet sich das ScummVM-Hauptmenü.

Hinweis:

Dieser Menüpunkt ist nur sichtbar, wenn Sie im Programeinstellungen-Dialog einen ScummVM-Pfad konfiguriert haben.


ScummVM-Konfiguration öffnen

Wenn Sie auf diesen Menüpunkt klicken, wird die ScummVM-Standardkonfigurationsdatei in einem Texteditor geöffnet. Die Einstellungen aus dieser Konfigurationsdatei werden nur verwendet, wenn in D-Fend Reloaded keine entsprechneden eigenen Konfigurationseinstellungen für die jeweiligen Optionen vorhanden sind.

Hinweis:

Dieser Menüpunkt ist nur sichtbar, wenn Sie im Programeinstellungen-Dialog einen ScummVM-Pfad konfiguriert haben.


DOSBox Profil hinzufügen

Durch das Anklicken dieses Menüpunktes können Sie ein neues DOSBox-Profil in D-Fend Reloaded anlegen. Das neu erstellte Profil wird sofort im Profileeditor-Dialog geöffnet. (Wenn Sie eingestellt haben, dass sie den klassischen Profileditor-Dialog verwenden möchten, so wird dieser geöffnet; andernfalls öffnet sicht der moderne Profileditor-Dialog.)

Wenn Sie ein ScummVM-basierendes Profil oder ein Profil für ein Windows-Spiel hinzufügen möchten, so können Sie dies über die Menüpunkte ScummVM-profil hinzufügen und Windows-Spiel hinzufügen aus dem "Profil"-Menu.

Siehe auch:


ScummVM-profil hinzufügen

Durch das Anklicken dieses Menüpunktes können Sie ein neues ScummVM-Profil in D-Fend Reloaded anlegen. Das neu erstellte Profil wird sofort im Profileeditor-Dialog geöffnet.

Der Menüpunkt "ScummVM-profil hinzufügen" ist nur sichtbar, wenn Sie auf der ScummVM-Seite des Programeinstellungen-Dialogs einen Pfad zu ScummVM definiert angegeben.

Siehe auch:

Profileditor-Dialog


Windows-Spiel hinzufügen

Durch das Anklicken dieses Menüpunktes können Sie ein neues Profil für ein Windows-Spiel in D-Fend Reloaded anlegen. Das neu erstellte Profil wird sofort im Profileeditor-Dialog geöffnet. Profile für Windows-Spiele sind nichts andere als Verknüpfungen mit den Programmdateien der jeweiligen Spiele. Es gibt keine technischen Gründe, Windows-Spiele über D-Fend Reloaded zu starten. Allerdings können Sie auf diese Art alle Ihre Spiele - egal ob DOS- oder Windows-Spiele - in einer zentralen Liste verwalten.

Siehe auch:

Profileditor-Dialog


Hinzufügen von Vorlage

Wenn Sie diesen Menüpunkt wählen, öffnet sich ein weiteres Untermenü, welches alle im Vorlageneditor konfigurierten Vorlegen enthält. Durch das Anklicken einer der Vorlagen aus diesem Untermenü können Sie ein neues DOSBox-Profil anlegen, welches dann auch sofort im Profileditor-Dialog geöffent wird.

Siehe auch:

Profileditor-Dialog


Hinzufügen mit Assistent

Mit Hilfe des Assistent des Assistenten können Sie auf sehr einfache Weise neue Profile in D-Fend Reloaded erstellen. Der Assistenten-Dialog besteht aus fünf Seiten, von denen je nach dem, welche Informationen D-Fend Reloaded über das Spiel bereits vorliegen, zwei bis fünf angezeigt werden:

Seite 1: Typ des neuen Profils

Auf der ersten Seite müssen Sie lediglich festlegen, ob es sich bei dem neu anzulegenden Profil um ein DOSBox-basierendes Profil, um ein ScummVM-basierendes Profil oder aber um ein Profil für ein Windows-Spiel handeln soll. (Die Option "Scumm-basierendes Adventure" wird nur angeboten, wenn Sie im Programmeinstellungen-Dialog den Pfad zu Ihrer ScummVM-Installation angegeben haben.) Nahezu alle DOS-Spiele können in DOSBox ausgeführt werden; ScummVM kann hingegen nur für Scumm-Adventures verwendet werden.

Zusätzlich können Sie einstellen, wie viele Fragen der Assistent Ihnen stellen soll. In der Standardeinstellung "Spiel automatisch konfigurieren, wenn eine passende AutoSetup-Vorlage existiert", wird der Assistent bereits nach den ersten zwei der fünf Seiten geschlossen, wenn das neue Spiel durch eine AutoSetup-Vorlage eindeutig identifiziert wurde und keine weiteren Benutzereinstellungen notwendig sind. Alternativ kann eingestellt werden, dass entweder immer alle fünf Seiten des Assistenten angezeigt werden sollen oder aber, dass der Assistent auch dann bereits nach der zweiten Seite geschlossen wird, wenn keine Informationen über das Spiel vorliegen. (In diesem Fall wird D-Fend Reloaded versuchen, das Spiel gemäß der Standardvorlage zu konfigurieren.)

Seite 2: Programmdateien (für neue DOSBox-Profile)

Auf dieser Seite können Sie die Programmdatei und optional eine Setup-Datei für das Profil festlegen. Die auf dieser Dialogseite festgelegte Programmdatei wird in DOSBox gestartet, wenn Sie später auf den Profileintrag in der Spieleliste doppelt klicken.

Damit D-Fend Reloaded mit relativen Pfaden arbeiten kann, sollten Sie die Spieledateien in einem Unterordner des "Empfohlenen Übergeordneten Verzeichnisses ablegen. (Siehe auch Einführung in D-Fend Reloaded für eine Beschreibung der empfohlenen Verzeichnisstruktur.) Der auf dieser Dialogseite angebotenen Spieleordner kann auf der Verzeichnisse-Seite des Programmeinstellungen-Dialogs angepasst werden.

Wenn Sie auf Zusätzliche Dateien manuell konfigurieren klicken, wird der Dialog um ein Eingabefeld erweitert, übder dass Sie einen Ordner für zusätzliche Spieledaten wie Handbücher usw. konfigurieren können. Der Inhalt dieses Ordners wird später unten im D-Fend Reloaded Hauptfenster angezeigt, wenn Sie das Profil in der Spieleliste anklicken. Alternativ können Sie auch die Option Zusätzliche Datenordner automatisch festlegen aktivieren. In diesem Fall legt D-Fend Reloaded automatisch basierend auf dem Namen des Profils einen Datenordner an.

Seite 2: Programmdateien (für neue ScummVM-Profile)

Auf dieser Seite können Sie den Ordner festlegen, in dem sich das auszuführende Scumm-Spiel befindet. Der hier angegebene Ordnername wird ScummVM beim Aufruf übergeben.

Damit D-Fend Reloaded mit relativen Pfaden arbeiten kann, sollten Sie die Spieledateien in einem Unterordner des "Empfohlenen Übergeordneten Verzeichnisses ablegen. (Siehe auch Einführung in D-Fend Reloaded für eine Beschreibung der empfohlenen Verzeichnisstruktur.) Der auf dieser Dialogseite angebotenen Spieleordner kann auf der Verzeichnisse-Seite des Programmeinstellungen-Dialogs angepasst werden.

In der mit Spiel beschrifteten Auswahlbox können Sie einstellen, für welches Spiel Sie ein Profil erstellen wollen. Die Information, um welches Spiel es sich handelt wird beim Aufruf ebenfalls an ScummVM übergeben.

Wenn Sie auf Zusätzliche Dateien konfigurieren klicken, wird der Dialog um ein Eingabefeld erweitert, übder dass Sie einen Ordner für zusätzliche Spieledaten wie Handbücher usw. konfigurieren können. Der Inhalt dieses Ordners wird später unten im D-Fend Reloaded Hauptfenster angezeigt, wenn Sie das Profil in der Spieleliste anklicken.

Seite 2: Programmdateien (für neue Windows-Spiele Profile)

Auf dieser Seite können Sie die Programmdatei und optional eine Setup-Datei für das Profil festlegen. Die auf dieser Dialogseite festgelegte Programmdatei wird gestartet, wenn Sie später auf den Profileintrag in der Spieleliste doppelt klicken.

Wenn Sie auf Zusätzliche Dateien konfigurieren klicken, wird der Dialog um ein Eingabefeld erweitert, übder dass Sie einen Ordner für zusätzliche Spieledaten wie Handbücher usw. konfigurieren können. Der Inhalt dieses Ordners wird später unten im D-Fend Reloaded Hauptfenster angezeigt, wenn Sie das Profil in der Spieleliste anklicken.

Seite 3: Einstellungen (für neue DOSBox-Profile)

Auf dieser Seite können Sie die wichtigsten Einstellungen für den Start des Spiels in DOSBox vornehmen. Ein Spiel mit Hilfe des Assistenten zu konfigurieren besteht im Wesentlichen daraus, eine passende Vorlage für das neue Profil zu wählen. Es gibt insgesamt 5 verschiedene Arten, wie eine Vorlage gewählt werden kann:

  • Passende Autosetup Vorlage verwenden (empfohlen)
    Die Vorlagen in dieser Liste sind kompatibel mit dem gewählten Spiel. die Kompabilität wurde mit Hilfe einer Prüfsumme festgestellt. Wenn es eine Vorlage in dieser Auswahlbox gibt, so wird daher empfohlen, diese zu verwenden.
  • Autosetup Vorlage, welche nur vom Dateinamen her passt, verwenden
    Die Vorlagen in dieser Liste sind passen vom Dateinamen her zu dem gewählten Spiel, nicht jedoch von der Prüfsumme her. D.h. dass Sie möglicherweise eine andere Version des Spieles verwenden, als die, für die die Vorlage erstellt wurde. Wenn in der ersten Auswahlbox keine kompatiblen Vorlagen angezeigt werden, aber in dieser Auswahlbox eine Vorlage vorhanden ist, die auch vom Namen des Spiels her zu passen scheint, so sollten Sie diese Vorlage verwenden.
  • Beliebige Autosetup Vorlage verwenden
    In dieser Auswahlbox werden unabhängig von der gewählen Programmdatei stets alle Autosetup Vorlagen angezeigt. Wenn in den obigen beiden Auswahlboxen keine Einträge vorhanden sind, aber eine der Vorlagen aus dieser Auswahlbox den Namen des Spiels, welches Sie gerade hinzufügen wollen trägt, so können Sie diese Vorlage verwenden. Wenn Sie eine dieser Vorlagen jedoch auf ein Spiel anwenden, für welches sie nicht erstellt wurde, so kann dies dazu führen, dass sich das Spiel nicht starten lässt. Außerdem stimmen in diesem Fall die zusätzlichen Spieleinformationen wie Genre, Entwickler usw. nicht.
  • Benutzervorlage verwenden
    In dieser Auswahlbox werden unabhängig von der gewählen Programmdatei stets alle benutzerdefinierten Vorlagen angezeigt. Wenn es keine zu Ihrem Spiel passende Autosetup Vorlage gibt, so können Sie eine dieser Vorlagen wählen. Diese Vorlagen enthalten keine spielespezifischen Einstellungen und es sollte damit möglich sein, die meisten Spiele auszuführen.
  • Standard-Assistentenvorlage verwenden
    Wenn sie diese Option wählen, wird eine fest in den Assistenten eingebaute Basis-Vorlage verwendet, die ebenfalls für die meisten Spiele verwendbar sein sollte und ebenfalls keine spielespezifischen Einstellungen aufweist. Über die Auswahlfelder unterhalb dieser Option können Sie einige grundlegende Einstellungen an dieser Vorlage vornehmen.

Seite 3: Einstellungen (für neue ScummVM-Profile)

Auf dieser Dialogseite können sie einige zusätzliche Einstellungen für das neue Profil vornehmen. Welche Einstellungen hier konkret angeboten werden, hängt von dem auf der vorherigen Seite ausgewählten Spiel ab.

Seite 4: Spieleinformationen

Auf dieser Seite können Sie zusätzliche Informationen zu dem Spiel (wie Name, Genre, Entwickler, Herausgeber usw.) angeben. Diese Informationen werden dann in der Spieleliste (im Ansichtsmodus Details) angezeigt und die Profile können nach diesen Informationen gefiltert werden.

Über die "Spiel nachschlagen bei ..." Schaltfläche können Sie auf nach dem Namen des Profil auf verschiedenen, teilweise auf alte Spiele spezialisierten Suchmaschinen suchen.

Wenn Sie ein DOSBox-Profil hinzufügen und eine Autosetup Vorlage gewählt haben, so wird diese Dialogseite nicht angezeigt, da die Autosetup Vorlagen bereits alle relevanten Spieleinformationen enthalten.

Seite 5: Virtuelle Laufwerke (für neue DOSBox-Profile)

Auf dieser Dialogseite werden die virtuellen Laufwerke, die DOSBox verwenden soll, angezeigt. Die Spiele-Programmdatei muss über eines dieser Laufwerke in DOSBox erreichbar sein, um gestartet werden zu können. D-Fend Reloaded versucht basierend auf dem Pfad des Spieles und ein Einstellungen in der Vorlage automatisch zu bestimmen, welche virtuellen Laufwerke anzulegen sind. Wenn die auf dieser Seite angezeigten Laufwerke jedoch für den Start des Spiels nicht ausreichend sind (z.B. weil zusätzlich ein CD-Laufwerk verwendet werden soll), so können Sie hier noch Ändernungen an der Laufwerkskonfiguration vornehmen. (Selbstverständlich können Sie die Konfiguration auch jederzeit später über den Profileditor-Dialog anpassen.)

Siehe auch:

Profileditor-Dialog


Spiel von Quellmedien installieren

Über diese Option können Sie Spiele zur D-Fend Reloaded Spieleliste hinzufügen, die zunächst noch installiert werden müssen. In dem Dialog können Sie angeben, von welchem Typ das Installationsmedium bzw. die Installationsmedien sind und können die Pfade zu diesem bzw. diesen Medien angeben. Wenn Sie auf "Ok" klicken, wird D-Fend Reloaded die entsprechenden Medien temporär einbinden und DOSBox im Fenstermodus starten. In DOSBox wird, sofern D-Fend Reloaded ein eindeutiges Installationsprogramm auf dem ersten Installationsmedium findet, das Installationprogramm bereits gestartet. Sie müssen mit Hilfe dieses normalen Installationsprogrammes das Spiel nun lediglich in einem beliebigne Verzeichnis auf dem Laufwerk C: installieren. Nach dem Ende der Installation überprüft D-Fend Reloaded das Spieleverzeichnis automatisch auf neue Unterordner und fügt das neue Spiel zur Spieleliste hinzu.

Siehe auch:


Profil bearbeiten

In dem Profileditor können Sie alle Einstellungen, die zu einem Profil gehören, anpassen. Aufgrund der Fülle an Konfigurationsoptionen wurde der Profileditor-Dialog in mehrere Unterseite aufgeteilt. Auf der linken Seite des Dialoges befindet sich eine Baumstruktur. Wenn Sie einen beliebigen Eintrag in dieser Struktur anklicken, werden auf der rechten Seite die zugehörigen Einstellungen angezeigt.

Seiten des Profileditor-Dialogs

Da über den Profileditor DOSBox, ScummVM und Windows-Spiele konfiguriert werden können, sind nicht immer alle Dialogseiten gleichzeitig sichtbar. (Die Seiten, die für DOSBox-Profile angezeigt werden, sind mit "D" markiert, die Seiten, die für ScummVM-Profile angezeigt werden, sind mit "S" markiert, die Seiten, die beim Konfigurieren von Windows-Spielen angezeigt werden, sind mit "W" markiert und schließlich die Seiten, die nur bei Vorlagen angezeigt werden, sind mit "V" markiert.)

  • Profil (D, S, W)
    • Zusätzliche Prüfsummen (V)
    • Programminformationen (D, S, W)
    • Verzeichnisse (D, S, W)
    • Hilfsprogramme (D, S, W)
  • DOSBox-Einstellungen (D)
  • ScummVM-Einstellungen (S)
  • Hardware (D, S)
    • CPU (D)
    • Arbeitsspeicher (D)
    • Grafikkarte (D, S)
    • Tastatur (D)
    • Maus (D)
    • Sound (D, S)
      • Lautstärke (D)
      • SoundBlaster (D)
      • GUS (D)
      • MIDI (D)
      • Innovation SSI-2001 (D)
    • Joystick (D)
    • Laufwerke (D)
    • Serielle Schnittstellen (D)
    • Netzwerk (D)
    • Drucker (D)
  • DOS-Umgebung (D)
  • Start (D)

Um ScummVM-basierende Profile bearbeiten zu können, muss ScummVM installiert und auf der ScummVM-Seite des Programmeinstellungen-Dialogs konfiguriert sein.

Klassischer D-Fend v2 Style Profileditor

Neben dem oben beschriebenen modernen Profileditor verfügt D-Fend Reloaded außerdem noch aus Kompabilität zu D-Fend v2 über einen klassischen Profileditor. Der klassische Profiledior deckt nicht alle Einstellungen ab, die in D-Fend Reloaded verfügbar sind (sehr wohl aber alle Einstellungen, die es zu D-Fend-Zeiten gab). Außerdem können über den klassischen Profileditor keine ScummVM- und keine Windows-Profile erstellt und bearbeitet werden. Wenn Sie das D-Fend v2 Look&Feel in D-Fend Reloaded haben möchten (oder sich einfach in dem klassischen Profileditor am besten zurecht finden), so können Sie auf der Dialogseite Profileditor im Programmeinstellungen-Dialog einstellen, dass dieser verwendet werden soll.

Siehe auch:

Klassischer Profileditor-Ddialog


Profileditor | Profil

Menü: Profil | Bearbeiten | Profil

Profileditor-Dialogseite "Profil"

Auf dieser Dialogseite können Sie die Basiseinstellungen für das Profil vornehmen. Der Inhalt dieser Seite variiert in Abhängigkeit von dem Typ des Profils, dass die gerade bearbeiten (DOSBox Profil, ScummVM Profil oder Profil für ein Windows-Spiel).

  • Icon auswählen
    Sie können für jedes Profil ein Icon festlegen. Das Icon wird in den meisten der verfügbaren Ansichtsmodi in der Spieleliste angezeigt. Icons können global über den Icons-Manager verwaltet werden. Allerdings können Sie auch eine individuelle beliebige Icondatei für das Profil festlegen. Falls Sie eine individuelle Icondatei verwenden, so können Sie für den Pfad zu dem Icon auch relative Pfadangaben verwenden, genauso wie auch für alle anderen Spieledateien.
  • Icon löschen
    Über diese Schaltfläche können Sie das gewählte Icon wieder aus dem Profil entfernen. Die Icondatei selber wird dabei nicht gelöscht (unabhängig davon, ob es sich um ein Icon aus der Icon-Manager Liste oder um ein individuell festgelegtes Icon handelt), sondern es wird lediglich der Eintrag in dem Profil entfernt.
  • Profilname
    Der Name, den Sie in diesem Eingabefeld festlegen können, wird in der Spieleliste zur Identifikation des Profils angezeigt. Im Gegensatz zu D-Fend v2 wird der hier eingegebene Name nicht gleichzeitig als Dateiname für das Profil verwendet, d.h. sie können beliebige Zeichen (einschließlich derer, die in Dateinamen nicht zulässig sind) in dem Profilnamen verwenden.
  • Dateiname
    In diesem Eingabefeld können Sie den Dateinamen (ohne Erweiterung), unter dem das Profil gespeichert werden soll angeben. Alle nicht zulässigen Zeichen werden beim Schließen des Dialogs automatisch aus dem Dateinamen entfernt. Beim Anlegen eines neuen Profils ist dieses Feld deaktiviert; der initiale Dateiname eines Profils wird stets automatisch aus dem Profilnamen abgeleitet.
  • Programmdatei (nur verfügbar für DOSBox und Windows-Profile)
    In dieser Box können Sie die zu startende Programmdatei und ihre Parameter festlegen. Der Dateiname wird, sofern möglich, relativ zu dem Basisverzeichnis (welches auf der Verzeichnisse Dialogseite des Programmeinstellungen-Dialogs festgelegt werden kann) gespeichert. D-Fend Reloaded übersetzt den Pfad in der System-Verzeichnisstruktur in einen Pfad in der DOSBox-Verzeichnisstruktur gemäß der eingebundenen DOSBox-Laufwerke beim Start von DOSBox. Wenn es sich beim dem Profil um ein DOSBox-Profil handelt, können Sie außerdem die Option Dateipfad relativ zur DOSBox-Verzeichnisstruktur interpretieren aktivieren. In diesem Fall wird D-Fend Reloaded den hier eingegebenen Pfad und Dateinamen als Pfad innerhalb des DOSBox-Verzeichnisstruktur interpretieren und wird nicht versuchen, ihn beim Aufruf von DOSBox aus der Windows-Verzeichnisstruktur in die DOSBox-Verzeichnisstruktur zu übersetzen. (Dies ist insbesondere hilfreich beim Arbeiten mit Images, da der Inhalt einer Image-Datei überhaupt nicht in der Windows-Verzeichnisstruktur zur Verfügung steht.)
  • Setupdatei (nur verfügbar für DOSBox und Windows-Profile)
    In dieser Box können Sie die zu startende Setupdatei und ihre Parameter festlegen. Der Dateiname wird, sofern möglich, relativ zu dem Basisverzeichnis (welches auf der Verzeichnisse Dialogseite des Programmeinstellungen-Dialogs festgelegt werden kann) gespeichert. D-Fend Reloaded übersetzt den Pfad in der System-Verzeichnisstruktur in einen Pfad in der DOSBox-Verzeichnisstruktur gemäß der eingebundenen DOSBox-Laufwerke beim Start von DOSBox. Wenn es sich beim dem Profil um ein DOSBox-Profil handelt, können Sie außerdem die Option Dateipfad relativ zur DOSBox-Verzeichnisstruktur interpretieren aktivieren. In diesem Fall wird D-Fend Reloaded den hier eingegebenen Pfad und Dateinamen als Pfad innerhalb des DOSBox-Verzeichnisstruktur interpretieren und wird nicht versuchen, ihn beim Aufruf von DOSBox aus der Windows-Verzeichnisstruktur in die DOSBox-Verzeichnisstruktur zu übersetzen. (Dies ist insbesondere hilfreich beim Arbeiten mit Images, da der Inhalt einer Image-Datei überhaupt nicht in der Windows-Verzeichnisstruktur zur Verfügung steht.)
  • Zusätzliche Programmdateien (nur verfügbar für DOSBox und Windows-Profile)
    Zusätzlich zu der Programm- und der Setupdatei können Sie in diesem Dialog weitere Programmdateien festlegen, die zu dem gewählten Spiel gehören (z.B. Level-Editoren usw.). Diese zusätzlichen Programmdateien können dann direkt über das Kontextmenü des Profils gestartet werden.
  • Keine Windows-Dateiwarnungen für dieses Profil (nur verfügbar für DOSBox-Profile)
    Normalerweise warnt Sie D-Fend Reloaded, wenn Sie versuchen, eine Windows-EXE-Datei mit DOSBox auszuführen, da DOSBox nicht in der Lage ist, Windows-Dateien auszuführen. Es gibt jedoch einige wenige Spiele, die kombinierte DOS/Windows-EXE-Dateien besitzen, die sowohl unter DOS als auch unter Windows ausgeführt werden können. D-Fend Reloaded würde den Windows-Anteil in diesen Dateien erkennen und folglich vor jedem Aufruf dieses Profils entsprechend warnen. Um diese in diesem Fall unnötigen Warnungen zu deaktivieren, kann diese Option aktiviert werden. (Dieser Schalter wird nur sichtbar, wenn es Programm- oder Setup-Datei eine Windows-EXE-Datei gewählt wurde.)
  • Spiel (nur verfügbar für ScummVM-Profile)
    In dieser Auswahlbox können Sie den Namen des zu startenden Spiels festlegen. (ScummVM benötigt diese Information, da es beim Starten der unterschiedlichen unterstützten Spiele unterschiedliche Einstellungen aktiviert.)
  • Verzeichnis des Spiels (nur verfügbar für ScummVM-Profile)
    In diesem Feld können Sie das Verzeichnis, in dem ScummVM nach den Dateien des Spiels suchen soll, festlegen.
  • Archivdatei in das Spiel-Verzeichnis entpacken (und später wieder einpacken) (nur verfügbar für ScummVM-Profile)
    Wenn diese Option aktiviert ist (und Sie in dem folgenden Eingabefeld eine Zip-Datei angegeben haben), wird D-Fend Reloaded diese Zip-Datei vor dem Aufruf von ScummVM in das angegebene Spiel-Verzeichnis entpacken. Nach dem Programmende von ScummVM wird der Inhalt des Verzeichnisses wieder inde die Zip-Datei eingepackt und das Verzeichnis wird gelöscht. Auf diese Art können Sie praktisch direkt Spiele in Zip-Dateien in ScummVM ausführen.

Siehe auch:

Profileditor-Dialog


Profileditor | Zusätzliche Prüfsummen

Menü: Profil | Bearbeiten | Zusätzliche Prüfsummen

Profileditor-Dialogseite "Zusätzliche Prüfsummen"

Diese Dialogseite ist nur beim Bearbeiten von Vorlagen sichtbar.

Auf dieser Dialogseite können Sie zusätzliche Dateien mit Prüfsummen festlegen. Diese Prüfsummen werden beim Hinzufügen von Spielen durch den Assistenten verwendet, um ein Spiel genau identifizieren zu können.

Siehe auch:

Profileditor-Dialog


Profileditor | Programminformationen

Menü: Profil | Bearbeiten | Programminformationen

Profileditor-Dialogseite "Programminformationen"

Auf dieser Dialogseite können Sie diverse Zusatzinformationen (wie z.B. Genre, Entwickler, usw.) zu jedem Profil erfassen. Die Informationen, die Sie auf dieser Seite angeben, werden in der Spieleliste im Ansichtsmodus Details angezeigt und außerdem kann die Spieleliste nach diesen Daten gefiltert werden.

Über die "Spiel nachschlagen bei ..." Schaltfläche können Sie auf mehreren, teilweise auf alte Spiele spezialisierten Suchmaschinen nach Informationen zu dem gewählten Spiel suchen.

Siehe auch:

Profileditor-Dialog


Profileditor | Verzeichnisse

Menü: Profil | Bearbeiten | Verzeichnisse

Profileditor-Dialogseite "Verzeichnisse"

Auf dieser Dialogseite können Sie zusätzliche Dateien und Verzeichnisse für das gewählte Profil festlegen.

  • Screenshot-Verzeichnis
    Der hier angegebene Screenshots-Ordner wird von DOSBox und ScummVM zum Speichern von Screenshots (und im Falle von DOSBox auch Sounds und Videos) verwendet. Sie können auch jederzeit manuell Dateien in dieses Verzeichnis kopieren. Die hier abgelegt Bilder, Sounds und Videos werden in dem Vorschaubereich am unteren Rand des D-Fend Reloaded Hauptfensters angezeigt, wenn Sie das Profil in der Spieleliste auswählen.
  • Zusatzdaten-Verzeichnis
    Das hier optional anzugebende Verzeichnis kann benutzt werden, um Handbücher usw. zu dem Spiel abzulegen. Der Datenordner kann direkt über das Kontextmenü des Profils im Windows Explorer geöffnet werden und sein Inhalt kann außerdem über den Vorschaubereich am unteren Rand des D-Fend Reloaded Hauptfensters angezeigt werden. Auch beim Übertragen und Deinstallieren von Profilen wird dieses Verzeichnis berücksichtigt.
  • Zusätzliche Programmdateien und Verzeichnisse
    In diesen beiden Listen können Sie Dateien bzw. Verzeichnisse angeben, die außerhalb des Spieleverzeichnisses liegen, aber dennoch beim Übertragen oder Deinstallieren des Profils mit übertragen bzw. mit gelöscht werden sollen.

Siehe auch:

Profileditor-Dialog


Profileditor | Hilfsprogramme

Menü: Profil | Bearbeiten | Hilfsprogramme

Profileditor-Dialogseite "Hilfsprogramme"

Auf dieser Dialogseite können Sie Befehle festlegen, die vor und nach dem Hauptprogramm ausgeführt werden sollen.

  • Befehle vor dem Start des Hauptprogrammes ausführen
    Die Befehle in dieser Tabelle werden ausgeführt, bevor das Hauptprogramm gestartet wird. Über diese Befehle können Sie z.B. Konfigurationsprogramme für Eingabegeräte ausführen.
  • Minimiert starten (Befehle vor dem Hauptprogramm)
    Wenn diese Option aktiviert ist, werden die Befehle, die Sie in den darüber befindlichen Zeilen eingegeben haben, minimiert gestartet.
  • Befehle nacheinander ausführen (Befehle vor dem Hauptprogramm)
    Ist diese Option aktiviert, werden die Befehle, die Sie in den darüber befindlichen Zeilen eingegeben haben, nacheinander ausgeführt, d.h. es wird vor dem Start eines Befehls stets auf den Abschluss des vorherigen Befehls gewartet.
  • Auf das Ende der Hilfsprogramme vor dem Start des Hauptprogrammes warten
    Wenn diese Option aktiviert ist, wartet D-Fend Reloaded bis die vor dem Hauptprogramm auszuführenden Befehle beendet wurden, bevor das Hauptprogramm gestartet wird.
  • Befehl nach dem Ende des Hauptprogrames ausführen
    Der Befehl in dieser Zeile wird nach dem Ende das Hauptprogramms ausgeführt. (Achtung: Bei Windows-Profilen kann D-Fend Reloaded das Ende des Hauptprogrammes evtl. nicht zuverlässig erkennen. In diesem Fall kann es sein, dass der in dieser Eingabezeile eingegebene Befehl zu früh ausgeführt wird.)
  • Minimiert starten (Befehle nach dem Hauptprogramm)
    Wenn diese Option aktiviert ist, werden die Befehle, die Sie in den darüber befindlichen Zeilen eingegeben haben, minimiert gestartet.
    • Befehle nacheinander ausführen (Befehle nach dem Hauptprogramm)
    Ist diese Option aktiviert, werden die Befehle, die Sie in den darüber befindlichen Zeilen eingegeben haben, nacheinander ausgeführt, d.h. es wird vor dem Start eines Befehls stets auf den Abschluss des vorherigen Befehls gewartet.

Siehe auch:

Profileditor-Dialog


Profileditor | DOSBox-Einstellungen

Menü: Profil | Bearbeiten | DOSBox-Einstellungen

Profileditor-Dialogseite "DOSBox-Einstellungen"

Auf dieser Seite können Sie DOSBox-spezifische Einstellungen vornehmen.

  • DOSBox-Priorität (Vordergrund)
    Über dieses Auswahlfeld können Sie die Priorität, die Windows DOSBox gibt, wenn es im Vordergrund läuft, einstellen. Windowsprogramme erhalten standardmäßig die Priorität "normal". Wenn Sie DOSBox eine höhere Priorität geben, bekommt es mehr CPU-Leistung zugewiesen, als andere gleichzeitig laufende Programme.
  • DOSBox-Priorität (Hintergrund)
    Über dieses Auswahlfeld können Sie die Priorität, die Windows DOSBox gibt, wenn es im Hintergrund läuft (d.h. wenn ein anderens Windowsprogramm gerade den Eingabefokus besitzt), einstellen. Windowsprogramme erhalten standardmäßig die Priorität "normal". Wenn Sie DOSBox eine höhere Priorität geben, bekommt es mehr CPU-Leistung zugewiesen, als andere gleichzeitig laufende Programme.
  • DOSBox beim Programmende schließen
    Wenn diese Option aktiviert ist, wird das DOSBox-Fenster geschlossen, sobald das Programm, welches Sie in DOSBox ausführen wollen, beendet wird. Wenn die Option deaktiviert ist, bleibt das DOSBox-Fenster geöffnet und zeigt die DOS-Kommandozeile an. In diesem Fall müssen Sie DOSBox manuell durch die Eingabe von "exit" oder in dem Sie auf den Schließenknopf oben rechts im DOSBox-Fenster klicken, beenden.
    Wenn sich das Programm, dass Sie ausführen wollen, sofort wieder schließt und dabei noch eine Fehlermeldung anzeigt, so ist es empfehlenswert, diese Option zu deaktivieren, da sich andernfalls das DOSBox-Fenster sofort wieder schließt und Sie keine Gelegenheit haben, die Meldung zu lesen. Auch wenn Sie mit der Kommandozeile arbeiten wollen (und evtl. gar kein voreingestelltes Programm ausführen wollen), müssen Sie diese Option deaktivieren.
  • Vorgabe DOSBox-Installation verwenden
    In dem Auswahlfeld unter dieser Option können Sie die DOSBox-Installation, die Sie zum Ausführen des Spiels verwenden wollen, angeben. In diesem Auswahlfeld werden alle auf der Dialogseite DOSBox des Programmeinstellungen-Dialogs angegebenen DOSBox-Installationen aufgelistet.
  • Diese benutzerdefinierte DOSBox-Installation verwenden
    Alternativ zu der Wahl einer vorgegebenen DOSBox-Installation können Sie auch in diesem Eingabefeld den Pfad zu einer beliebigen weiteren DOSBox-Installation, die beim Aufruf des Spiels verwendet werden soll, angeben.
  • Benutzerdefinierte Einstellungen für die DOSBox-Console
    Durch das Aktivieren dieser Option können Sie die auf der DOSBox Dialogseite des Programmeinstellungen-Dialogs festgelegte Einstellung dazu, ob die DOSBox-Console angezeigt wird überschreiben und festlegen, dass für das aktuelle Profile die Console stets angezeigt oder stets ausgeblendet werden soll.
  • Benutzerdefinierte Sprache für DOSBox verwenden Durch das Aktivieren dieser Option können Sie die auf der DOSBox Dialogseite des Programmeinstellungen-Dialogs festgelegte Sprache für Meldung in DOSBox außer Kraft setzen und eine benutzerdefinierte Sprache für von DOSBox auszugebende Meldungen festlegen.
  • Benutzereinstellungen
    Die Zeilen, die Sie in dieses Eingabefeld schreiben, werden beim Aufruf von DOSBox an die Konfigurationsdatei angehängt. Auf diese Weise können Sie beliebige Konfigurationseinstellungen überschreiben und Einstellungen vornehmen, die von der grafischen Oberfläche in D-Fend Reloaded nicht abgebildet werden.

Siehe auch:

Profileditor-Dialog


Profileditor | ScummVM-Einstellungen

Menü: Profil | Bearbeiten | ScummVM-Einstellungen

Profileditor-Dialogseite "ScummVM-Einstellungen"

Auf dieser Dialogseite können Sie ScummVM-spezifische Einstellungen vornehmen. Abhängig von dem auf der Dialogseite Profil gewählten Spiel, sind einige Einstellungen, die für das jeweilige Spiel nicht unterstützt werden, deaktiviert.

  • Sprache
    In diesem Auswahlfeld können Sie die Sprache, die Sie in dem Spiel verwenden wollen, auswählen. Die Option "Standard" bedeutet, dass keine Sprachinformationen beim Aufruf von ScummVM übermittelt werden. (Diese Option wird immer dann angeboten, wenn laut der Liste in D-Fend Reloaded für das vorliegende Spiel in ScummVM keine verschiedenen Sprachen unterstützt werden.) Über die Option "Benutzerdefiniert" können Sie frei eine beliebige Sprache festlegen, auch wenn diese laut Liste nicht unterstützt wird. Sie können jedoch auch die Liste der jeweils unterstützten Sprachen direkt über die Seite Voragebwerte des Programmeinstellungen-Dialogs verändern und ggf. ergänzen.
  • Autospeicher-Intervall
    In diesem Eingabefeld können Sie die Anzahl an Sekunden zwischen zwei Autospeicher-Vorgängen festlegen.
  • Text-Geschwindigkeit
    In diesem Eingabefeld können Sie die Anzeigegeschwindigkeit für Texte einstellen.
  • Untertitel aktivieren (in Spielen mit Sprachausgabe)
    Wenn diese Option aktiviert ist, werden in Spielen, die über eine Sprachausgabe verfügen, Untertitel angezeigt. (In Spielen ohne Sprachausgabe werden die Dialogtexte unabhängig von dieser Einstellung stets angezeigt.)
  • Nachfrage vor Programmende anzeigen
    Wenn diese Option aktiviert ist, zeigt ScummVM einen Rückfragedialog vor dem Programmende an.
  • Verzeichnis für Spielstände
    In diesem Feld können Sie einstellen, ob ScummVM die Spielstände in dem Spieleverzeichnis oder in einem benutzerdefinierten Verzeichnis ablegen wollen.
  • Extraverzeichnis für zusätzliche Spieledaten
    In diesem Verzeichnis können weitere, zu dem Spiel gehörende Datendateien abgelegt werden. (Bitte sehen Sie in der ScummVM-Dokumentation nach, für welche Versionen werlcher Spiele dieses Extraverzeichnis verwendet werden kann.)
  • Zusätliche ScummVM Aufrufparameter
    Die hier angegebenen Parameter werden zusätzlich beim Start des Spiels an ScummVM übergeben.
  • Benutzereinstellungen
    Die Zeilen, die Sie in dieses Eingabefeld schreiben, werden beim Aufruf von ScummVM an die Konfigurationsdatei angehängt. Auf diese Weise können Sie beliebige Konfigurationseinstellungen überschreiben und Einstellungen vornehmen, die von der grafischen Oberfläche in D-Fend Reloaded nicht abgebildet werden.

Siehe auch:

Profileditor-Dialog


Profileditor | Hardware

Menü: Profil | Bearbeiten | Hardware

Profileditor-Dialogseite "Hardware"

Auf dieser Dialogseite können Sie Einstellungen zur Verwendung der vorhandenen Hardware durch ScummVM vornehmen. Bei DOSBox-Profilen ist diese Dialogseite leer.

  • CD-Laufwerk zum Abspielen von Musik
    In diesem Feld können Sie einstellen, welches physikalische CD-Laufwerk Sie verwenden wollen, um von ihm CD-Audio-Musik als Hintergrundmusik im Spiel abzuspielen. Das erste CD-Laufwerk im System hat die Nummer 0.
  • Nummer des zu verwendenen Joysticks
    Wenn das Spiel, das Sie konfigurieren wollen, Joystick-Eingaben unterstützt, können Sie in diesem Eingabefeld festlegen, welchen physikalischen Joystick Sie in dem Spiel verwenden wollen. Der erste mit dem Computer verbundene Joystick bekommt von ScummVM die Nummer 0.
  • Plattform
    Normalerweise sollte die Einstellung "auto" beibehalten werden. In diesem Fall versucht ScummVM die Plattform der Spieledateien automatisch zu bestimmen. Nur wenn dieses nicht funktioniert, sollten Sie hier explizit die Plattform, für die die Spieledateien erstellt wurden, angeben.

Siehe auch:

Profileditor-Dialog


Profileditor | CPU

Menü: Profil | Bearbeiten | CPU

Profileditor-Dialogseite "CPU"

Auf dieser Dialogseite kann eingestellt werden, wie DOSBox die CPU für das auszuführende Spiel emulieren soll.

  • Emulationskern
    In diesem Feld können Sie den Typ des zu verwendenden Emulationskerns wählen:

    • Auto: DOSBox wählt den Typ des Emulationskerns automatisch.
    • Normal: DOSBox führt die CPU-Befehle Schritt für Schritt auf einem virtuellen CPU-Kern aus. Prinzipiell können alle Spiele in dieser Betriebsart ausgeführt werden, allerdings verbraucht die Schritt-für-Schritt Emulation einer kompletten CPU verhältnismäßig viel Rechenzeit, d.h. evtl. lässt sich in dieser Einstellung nicht die gewünschte ausführungsgeschwindigkeit erreichen.
    • Dynamic: DOSBox wird versuchen, die CPU-Befehle des Spiels direkt auf der realen CPU auszuführen. Diese Emulationsart ist sehr schnell, da prinzipiell die gesamte CPU-Leistung der (modernen, schnellen) realen CPU zur Ausführung des DOS-Programms zur Verfügung steht. Allerdings kann diese direkte Abbildung auf die reale CPU bei einigen Spielen Probleme verursachen. So lange keine Probleme bei einem Spiel auftreten, sollte dieser Emulationstyp verwendet werden.
    • Simple: DOSBox führt die CPU-Befehle, genauso wie im Modus "Normal" Schritt für Schritt auf einem virtuellen CPU-Kern aus. Allerdings ist der virtuelle CPU-Kern in diesem Modus einfacher aufgebaut und damit schneller.
  • CPU Zyklen
    In dieser Box können Sie einstellen, wie viele Befehle DOSBox pro Millisekunde zu emulieren versuchen soll. Wenn Sie den Wert "Max" wählen, wird DOSBox versuchen, so viele Befehle wie möglich pro Millisekunde auszuführen. Die Einstellung "Auto" führt dazu, dass DOSBox automatisch den optimalen Wert an CPU Zyklen zu bestimmen versucht und ggf. automatisch in den Modus "Max" wechselt.
  • CPU Zyklen erhöhen
    In diesem Eingabefeld können Sie einstellen, um wie viele emulierte CPU Befehle pro Millisekunde der Zyklen-Wert erhöht werden soll, wenn Sie in DOSBox Strg+F12 drücken.
  • CPU Zyklen verringern
    In diesem Eingabefeld können Sie einstellen, um wie viele emulierte CPU Befehle pro Millisekunde der Zyklen-Wert verringert werden soll, wenn Sie in DOSBox Strg+F11 drücken.
  • CPU-Typ (*)
    Über diese Auswahlbox können Sie festlegen, welchen CPU-Typ DOSBox emulieren soll.

Die mit (*) markierte Optionen ist nur sichtbar, wenn Sie das zugehörige DOSBox CVS-Feature auf der Dialogseite DOSBox CVS-Features des Programmeinstellungen-Dialogs aktiviert haben. Die offizelle DOSBox 0.72 Version, die mit D-Fend Reloaded ausgeliefert wird, unterstützt diese zusätzliche Option nicht.

Siehe auch:

Profileditor-Dialog


Profileditor | Arbeitsspeicher

Menü: Profil | Bearbeiten | Arbeitsspeicher

Profileditor-Dialogseite "Arbeitsspeicher"

Auf dieser Seite kann eingestellt werden, wie viel und welche Typen von Arbeitsspeicher DOSBox dem Spiel zur Verfügung stellen soll.

  • Arbeitsspeicher (in MB)
    In dieser Eingabezeile können Sie die Gesamtmenge an Arbeitsspeicher (gemessen in MB) angeben, die DOSBox dem Spiel zur Verfügung stellen soll.
  • XMS-Speicher aktivieren
    Wenn Sie diese Option aktivieren, wird DOSBox dem in Anwendungen XMS-Speicher zur Verfügung stellen. Wenn das Spiel, welches Sie ausführen wollen XMS-Speicher unterstützt, müssen Sie lediglich diese Option aktivieren. (Die Installation und Konfiguration eines Speichermanagers wie EMM386 in DOSBox ist nicht erforderlich.) Da diese Option Spiele, die XMS-Speicher nicht unterstützen, nicht stört, können Sie sie immer aktiviert lassen (es sei denn ein Spiel hat explizit Probleme mit der XMS-Emulation von DOSBox).
  • EMS-Speicher aktivieren
    Wenn Sie diese Option aktivieren, wird DOSBox dem in Anwendungen EMS-Speicher zur Verfügung stellen. Wenn das Spiel, welches Sie ausführen wollen EMS-Speicher unterstützt, müssen Sie lediglich diese Option aktivieren. (Die Installation und Konfiguration eines Speichermanagers wie EMM386 in DOSBox ist nicht erforderlich.) Da diese Option Spiele, die EMS-Speicher nicht unterstützen, nicht stört, können Sie sie immer aktiviert lassen (es sei denn ein Spiel hat explizit Probleme mit der EMS-Emulation von DOSBox).
  • UMB-Speicher aktivieren
    Wenn Sie diese Option aktivieren, wird DOSBox dem in Anwendungen UMB-Speicher zur Verfügung stellen. Wenn das Spiel, welches Sie ausführen wollen UMB-Speicher unterstützt, müssen Sie lediglich diese Option aktivieren. (Die Installation und Konfiguration eines Speichermanagers wie EMM386 in DOSBox ist nicht erforderlich.) Da diese Option Spiele, die UMB-Speicher nicht unterstützen, nicht stört, können Sie sie immer aktiviert lassen (es sei denn ein Spiel hat explizit Probleme mit der UMB-Emulation von DOSBox).
  • Loadfix verwenden
    Wenn ein Spiel nicht korrekt startet und die Symptome vermuten lassen, dass das Spiel Probleme mit der Speicherverwaltung hat, so können Sie testweise diese Option verwenden. Loadfix verringert die Menge an verfügbarem konventionellem Arbeitsspicher und kann dadurch Probleme beheben, die dadurch entstehen, dass mehr konventioneller Arbeitsspeicher verfügbar ist, als das Spiel verwalten kann.
  • DOS32A Extender verwenden (*)
    Wenn das zu startende Spiel einen DOS Extender wie z.B. DOS4/GW verwenden, können Sie diesen durch das Aktivieren dieser Option gegen den moderneren und schnelleren DOS Extender DOS32A ersetzen. D-Fend Reloaded zeigt durch ein Symbol rechts neben dieser Option an, ob das Spiel einen DOS Extender verwendet oder nicht. Sie sollten diese Option nur aktivieren, wenn das Spiel auch einen DOS Extender verwendet; andernfalls kann es passieren, dass das Spiel nicht mehr korrekt startet.

Für die Verwendung der mit (*) markierten Option wird der DOS Extender DOS32A aus dem FreeDOS-Paket verwendet. Das heißt, dass diese Option nur dann zur Verfügung steht, wenn FreeDOS auf dem System verfügbar ist. Sie können den Pfad zu Ihrer FreeDOS-Installation auf der Dialogseite FreeDOS des Programmeinstellungen-Dialogs angeben. Der Informationstext unter der Option wird in grau dargestellt, wenn FreeDOS verfügbar ist und er wird in rot dargestellt, wenn die Option nicht verwendet werden kann, da kein FreeDOS vorhanden ist.

Siehe auch:

Profileditor-Dialog


Profileditor | Grafikkarte

Menü: Profil | Bearbeiten | Grafikkarte

Profileditor-Dialogseite "Grafikkarte"

Auf dieser Seite können Sie die virtuelle Grafikkarte, die DOSBox bzw. ScummVM dem Spiel zur Verfügung stellt, konfigurieren.

Für DOSBox-Profile

  • Fenster-Auflösung
    In diesem Auswahlfeld können Sie die Auflösung wählen, die DOSBox verwenden soll, wenn das Spiel als Fenster auf dem Windows Desktop läuft. "Original" bedeutet dabei, dass DOSBox ohne jegliche Skalierung die Auflösung verwenden soll, die das Spiel vorgibt. In allen anderen Fällen skaliert DOSBox die Ausgabe entsprechend. (Siehe dazu auch die Option "Skalierung" weiter unten.)
  • Vollbild-Auflösung
    In diesem Auswahlfeld können Sie die Auflösung wählen, die DOSBox verwenden soll, wenn das Spiel im Vollbildmodus läuft. "Original" bedeutet dabei, dass DOSBox ohne jegliche Skalierung die Auflösung verwenden soll, die das Spiel vorgibt. In allen anderen Fällen skaliert DOSBox die Ausgabe entsprechend. (Siehe dazu auch die Option "Skalierung" weiter unten.) Zur Darstellung der gewünschten Auflösung im Vollbildmodus wechselt DOSBox ggf. temporär die Windows-Auflösung.
  • Vollbild beim Start
    Wenn diese Option aktiviert ist, startet DOSBox im Vollbildmodus; andernfalls startet es als normales Fenster auf dem Windows Desktop.
  • Doublebuffering verwenden
    Durch das Aktivieren dieser Option können Sie DOSBox anweisen, im Vollbildmodus Doublebuffering zu verwenden. Die Verwendung von Doublebuffering kann diverse Grafikprobleme lösen aber auch neue verursachen, in Abhängigkeit von Ihrem Windows-Grafiktreiber, der verwendeten Betriebssystemversion und dem Spiel, das Sie ausführen möchten.
  • Seitenverhältnis korrigieren
    Die Verwendung dieser Option ist sinnvoll, wenn Sie ein Spiel mit der Auflösung von 320x200 Pixeln auf einem modernen Bildschirm darstellen woll. Bei einer Verwendung von 320x200 Pixeln wurden früher auf Röhrenmonitoren nicht quadratische Pixel verwendet; auf heutigen LCD-Monitoren sind die Pixel aber bauartbedingt stets quadratisch, so dass ein 320x200 Pixel Bild verzerrt wirkt. Die Option zu Korrektur des Seitenverhältnisses streckt in dem oben beschriebenen Fall das Bild von 320x200 auf 320x240 Pixel. In Abhängigkeit von dem verwendeten Interpolationsalgorithmus sieht das Bild dann meistens wesentlich besser aus.
  • Glide-Emulation (*)
    Wenn diese Option aktiviert ist, stellt DOSBox dem Spiel eine Glide-Emulation zur Verfügung.
  • Darstellungsmethode
    In dieser Aufwahlbox können Sie festlegen, wie DOSBox den Bildschirminhalt der virtuellen Grafikkarte an die reale Grafikkarte übertragen soll. Die Einstellung "surface" ist zwar verhältnismäßig langsam, sollte aber mit praktisch allen Windows-Grafiktreibern funktionieren. Sollten bei einem Spiel Grafikprobleme auftreten (inklusive der Tatsache dass Ein- und Ausblendeeffekte extrem langsam ablaufen), können Sie hier andere Einstellungen ausprobieren; so sollte z.B. "Overlay" mittlerweile von praktisch allen Grafikkarten unterstützt werden und ist wesentlich schneller.
  • Grafikkarte
    In dieser Auswahlbox können Sie wählen, welchen Grafikkartentyp DOSBox emulieren soll. Bei den meisten Spielen sollte die Verwendung von "vga" funktionieren (da VGA-Karten ebenfalls die niedrigeren Grafikmodi der früheren CGA- und EGA-Karten anbieten). Sollten Sie jedoch ein Spiel ausführen wollen, welches explizit z.B. nur mit CGA-Karten zusammenarbeitet, so können Sie hier einen anderen Grafikkartentyp festlegen.
  • Pixel-Shader (*)
    Über diese Asuwahlbox können Sie das zu verwendende Pixel-Shader Programm für DOSBox festlegen. Die hier angezeigten Programme sind fx-Dateien im Shaders-Unterverzeichnis des DOSBox-Verzeichnisses der gewählten DOSBox-Installation.
  • Einstellungen für Grafikkartentyp "VGA" (*)
    In dieser Box können Sie den genauen Typ der emulierten VGA-Karte einstellen (d.h. diese Einstellung kommen nur dann zum Tragen, wenn Sie als Grafikkartentyp "vga" gewählt haben). Diese Einstellungen können bei DOS-Spielen, die einen bestimmten VGA-Chipsatz voraussetzen, hilfreich sein.
  • Skalierung
    In diesm Aufwahlfeld können Sie den Algorithmus bestimmen, nach dem Bildinhalte, die in einer höheren Auflösung auf dem physikalischen Bildschirm dargestellt werden sollen, als es das Spiel vorgibt, hochskaliert werden sollen. Die jeweils beste Skalierungsmethode hängt von dem Spiel, das Sie ausführen wollen, ab. Allgemein gilt, dass Algorithmen, die weiter oben in der Liste aufgeführt sind, eher schneller sind (d.h. weniger Rechenleistung benötigen) und Algorithmen, die weiter unten stehen meist eher bessere Ergebnisse, d.h. glattere Bilder, liefern.
  • Frameskip
    In diesem Eingabefeld können Sie festlegen, wie viele Bilder, die das Spiel darstellen möchte, DOSBox jeweils zwischen der realen Darstellung von zwei Bildern auf dem Bildschirm auslassen soll. Ein höherer Frameskipwert bedeutet, dass weniger Daten an die reale Grafikkarte übertragen werden müssen und damit die gesamte Darstellung schneller ablaufen kann, d.h. dass das Spiel dadurch schneller wird. Die Bedeutung des Frameskips ist nicht an die Anzahl der Bilder, die das Spiel pro Sekunde berechnet (fps, frames per second) gekoppelt, sondern hängt mit der virtuellen Darstellungsrate des virtuellen Monitors in DOSBox zusammen. Der virtuelle Monitor arbeitet in den meisten Auflösungsstufen mit 70fps und im 640x480 VGA-Modus mit 60fps. Ein Frameskip von 1 bedeutet damit, dass 35 bzw. 30 Bilder pro Sekunde an die reale Grafikkarte übertragen werden, ein Frameskip von 2 bedeutet damit, dass 23.3 bzw. 20 Bilder pro Sekunde an die reale Grafikkarte übertragen werden und schließtlich werden bei einem Frameskip von 3 je nach Auflösungseinstellung 17.5 bzw. 15 Bilder pro Sekunde übertragen.
  • Zeilen im Textmodus (*)
    In dieser Box können Sie festlegen, wie viele Textzeilen DOSBox im normalen Textmodus (z.B. während die Eingabeaufforderung angezeigt wird) verwenden soll. Der Vorgabewert für diese Option ist 25.

Die mit (*) markierten Optionen sind nur sichtbar, wenn Sie das zugehörige DOSBox CVS-Feature auf der Dialogseite DOSBox CVS-Features des Programmeinstellungen-Dialogs aktiviert haben. Die offizelle DOSBox 0.72 Version, die mit D-Fend Reloaded ausgeliefert wird, unterstützt diese zusätzlichen Optionen nicht.

Für ScummVM-Profile

  • Filter
    In diesem Feld können Sie auswählen, nach welcher Methode ScummVM die Spielegrafiken auf die physikalische Auflösung des Systems hochskalieren soll.
  • Darstellungsart
    In diesem Feld können Sie die zu verwendende Grafikkartenemulation festlegen. Im Normalfall sollte der Vorgabewert "default" beibehalten werden.
  • Vollbild beim Start
    Wenn diese Option aktiviert ist, startet ScummVM im Vollbildmodus; andernfalls startet es als normales Fenster auf dem Windows Desktop.
  • Seitenverhältnis korrigieren
    Die Verwendung dieser Option ist sinnvoll, wenn Sie ein Spiel mit der Auflösung von 320x200 Pixeln auf einem modernen Bildschirm darstellen woll. Bei einer Verwendung von 320x200 Pixeln wurden früher auf Röhrenmonitoren nicht quadratische Pixel verwendet; auf heutigen LCD-Monitoren sind die Pixel aber bauartbedingt stets quadratisch, so dass ein 320x200 Pixel Bild verzerrt wirkt. Die Option zu Korrektur des Seitenverhältnisses streckt in dem oben beschriebenen Fall das Bild von 320x200 auf 320x240 Pixel. In Abhängigkeit von dem verwendeten Interpolationsalgorithmus sieht das Bild dann meistens wesentlich besser aus.

Siehe auch:

Profileditor-Dialog


Profileditor | Tastatur

Menü: Profil | Bearbeiten | Tastatur

Profileditor-Dialogseite "Tastatur"

Auf dieser Dialogseite können Sie die virtuelle Tastatur und den Tastaturtreiber, den DOSBox dem Programmen in DOSBox zur Verfügung stellen soll, konfigurieren.

  • Scan-codes verwenden
    Über diese Option können Sie steuern, auf welche Art DOSBox abfragen soll, ob auf der realen Tastatur eine Taste gedrückt wurde. Das Ein- oder Ausschalten dieser Option kann je nach Betriebssystemversion Tastaturprobleme lösen oder verursachen.
  • Tastaturbelegung
    In dieser Auswahlbox können Sie die Tastaturbelegung, die Sie in DOSBox verwenden möchten, festlegen. Sie sollten hier eine zu Ihrer realen Tastatur passende Belegung wählen. Die Einstellung "default" bedeutet, dass die Belegung, die für die gewählte DOSBox-Installation bzw. (wenn dort auch "default" angegeben ist) in der momentan aktiven D-Fend Reloaded Sprachdatei festgelegt wurde, verwendet wird. (Die konkret gewählte Tastaturbelegung wird als Informationstext unter der Auswahlbox angezeigt.) Die Wahl von "default" führt beispielsweise zu der Verwendung des Tastaturlayout "US", wenn Sie Englisch als Programmsprache gewählt haben und zu der Verwendung des Tastaturlayouts "GR" (=German), wenn Sie Deutsch als Programmsprache gewählt haben usw.
  • Zeichensatz (Codepage)
    In diesem Auswahlfeld können Sie die in DOSBox zu verwendende Codepage festlegen. Die Codepage bestimmt, wie einzelne Zeichen im Textmodus in DOSBox angezeigt werden. Die Einstellung "default" bedeutet, dass die Codepage, die für die gewählte DOSBox-Installation bzw. (wenn dort auch "default" angegeben ist) die in der momentan aktiven D-Fend Reloaded Sprachdatei festgelegt wurde, verwendet wird. (Die konkret gewählte Codepage wird als Informationstext unter der Auswahlbox angezeigt.)
    Achtung: Es werden nicht in alle hier angebotenen Codepages für alle Tastaturbelegungen unterstützt. Eine Liste der gültigen Tastaturbelegungen und Codepages Kombinationen finden Sie hier.
  • "Num"-Status, Feststelltaten-Status and "Rollen"-Status
    In diesen drei Boxen können Sie den anfänglichen Status der drei Umschalttasten Num (für Numerischer Block), Großschreib-Feststell und Rollen festlegen. Die Option "Nicht ändern" bedeutet dabei jeweils, dass DOSBox den von Windows vorgegebenen Status der Tasten beim Start beibehält.
  • Standard DOSBox-Tastenzuordnungsdatei verwenden
    DOSBox verwendet eine Tastenzuordnungsdatei (key mapping file), um die physikalischen Tasten den virtuellen Tasten in DOSBox zu zuordnen. Wenn diese Option aktiviert ist, wird in diesem Profil die auf der Dialogseite DOSBox des Programmeinstellungen-Dialogs konfigurierte Tastenzuordnungsdatei verwendet.
  • Diese benutzerdefinierte DOSBox-Tastenzuordnungsdatei verwenden
    Wenn diese Option aktiviert ist, wird statt der standardmäßigen Tastenzuordnungsdatei die hier angegebene Tastenzuordnungsdatei für dieses Profil verwendet.

Hinweis:

Um die Zuordnung der physikalischen Tasten zu den virtuellen Tasten in DOSBox zu konfigurieren können Sie den Keymapper in DOSBox verwenden. Dieser lässt sich in DOSBox jeder Zeit über die Tastenkombination Strg+F1 öffnen.

Siehe auch:


Profileditor | Tastatur

Menü: Profil | Bearbeiten | Tastatur

Profileditor-Dialogseite "Tastatur"

Liste der möglichen Tastaturbelegung und Codepage Kombinationen:

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

A
---------------------------------------------------------------------------
Argentina (1)                     la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Australia (1)                     us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Austria (1) (Standard)            gr, de   858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14
            (Dual-layer)          gr453    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14

B
---------------------------------------------------------------------------
Belgium (1)                       be       858, 850, 437              EGA
                                           859                        EGA2
                                           30007                      EGA11
Bosnia & Herzegovina              yu, ba   852, 858, 850              EGA
                                           113                        EGA5
Brazil (ABNT layout)              br       858, 850, 437              EGA
       (US layout)                br274    858, 850, 437              EGA

C
---------------------------------------------------------------------------
Canada (1) (Standard)             cf, ca   858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
           (Dual-layer)           cf445    858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
           (Legacy)               cf501    858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
Chile (1)                         la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Colombia (1)                      la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Croatia                           yu, hr   852, 858, 850              EGA
                                           113                        EGA5
Czech Republic (101-key, prog.)   cz       852, 858, 850              EGA
                                           867                        EGA9
               (Standard)         cz243    852, 858, 850              EGA
                                           867                        EGA9

D
---------------------------------------------------------------------------
Denmark (1)                       dk       858, 865                   EGA9
                                           850                        EGA
                                           30004                      EGA11

E
---------------------------------------------------------------------------
Ecuador (1)                       la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

F
---------------------------------------------------------------------------
Finland (1)                       su, fi   858, 850, 437              EGA
                                           859                        EGA2
                                           30000                      EGA11
France (1) (Standard)             fr       858, 850, 437              EGA
                                           859                        EGA2
                                           30021                      EGA14
           (Comma on Numeric Pad) fr120    858, 850, 437              EGA
                                           859                        EGA2

G
---------------------------------------------------------------------------
Germany (1) (Standard)            gr, de   858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14
            (Dual-layer)          gr453    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14

H
---------------------------------------------------------------------------
Hungary (101-key)                 hu       852, 858, 850              EGA
                                           57781                      EGA10
        (102-key)                 hu208    852, 858, 850              EGA
                                           57781                      EGA10

I
---------------------------------------------------------------------------
Ireland (1) (Standard)            uk       858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
            (Alternate)           uk168    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
Italy (1) (Standard)              it       858, 850, 437, 852         EGA
                                           869                        EGA5
                                           30007                      EGA11
          (Comma on Numeric Pad)  it142    858, 850, 437, 852         EGA
                                           869                        EGA5
                                           30007                      EGA11

J
-------------------------------------------------------------------------
Japan (2)                         jp       932                        ---

L
---------------------------------------------------------------------------
Latin America (1)                 la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

M
---------------------------------------------------------------------------
Mexico (1)                        la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

---------------------------------------------------------------------------
Netherlands (102-key) (1)         nl       858, 850, 437              EGA
                                           30020                      EGA14
New Zealand (1)                   us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Norway (1)                        no       858, 865                   EGA9
                                           850                        EGA
                                           30000                      EGA11

P
---------------------------------------------------------------------------
Poland (1) (101-key, prog.)       pl       852, 858, 850              EGA
                                           667, 668, 790, 991         EGA10
                                           58335                      EGA12
                                           848, 849                   EGA4
           (102-key)              pl214    852, 858, 850              EGA
                                           667, 668, 790, 991         EGA10
                                           58335                      EGA12
                                           848, 849                   EGA4
Portugal                          po       858, 860                   EGA9
                                           850                        EGA

S
---------------------------------------------------------------------------
Slovakia                          sk       852, 858, 850              EGA
                                           867                        EGA9
Slovenia                          yu, si   852, 858, 850              EGA
                                           113                        EGA5
South Africa (1)                  us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Spain (1)                         sp, es   858, 850, 437              EGA
                                           30007                      EGA11
Sweden (1)                        sv       858, 850, 437              EGA
                                           859                        EGA2
                                           30000                      EGA11
Switzerland (French) (1)          sf       858, 850, 437              EGA
                                           859                        EGA2
            (German)              sg, sd   858, 850, 437              EGA

U
---------------------------------------------------------------------------
UK (1) (Standard)                 uk       858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
       (Alternate)                uk168    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
US (Standard) (1)                 us       858, 850, 437, 853         EGA
                                           859                        EGA2
                                           30021                      EGA14
                                           30023                      EGA15
   (Dvorak)                       dv       858, 850, 437              EGA
   (Left-Hand Dvorak)             lh       858, 850, 437              EGA
   (Right-Hand Dvorak)            rh       858, 850, 437              EGA

V
---------------------------------------------------------------------------
Venezuela (1)                     la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

Layouts available on the KEYBRD2.SYS library file
=================================================

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

B
--------------------------------------------------------------------------
Bulgaria (101-key)                bg       872, 855                   EGA3
                                           858, 850                   EGA
         (102-key)                bg241    872, 855                   EGA3
                                           858, 850                   EGA

G
--------------------------------------------------------------------------
Greece (319)                      gk, el   869, 737, 851, 858         EGA5
                                           850                        EGA
       (220)                      gk220    869, 737, 851, 858         EGA5
                                           850                        EGA
       (101-key)                  gk459    869, 737, 851, 858         EGA5
                                           850                        EGA

I
--------------------------------------------------------------------------
Iceland (101-key)                 is       858, 861                   EGA9
                                           850                        EGA
        (102-key)                 is161    858, 861                   EGA9
                                           850                        EGA

R
---------------------------------------------------------------------------
Romania (1) (Standard)            ro       852, 858, 850              EGA
                                           848, 30010                 EGA4
                                           30009                      EGA11
            (Qwerty)              ro446    852, 858, 850              EGA
                                           848, 30010                 EGA4
                                           30009                      EGA11
Russia (3) (Standard)             ru       808, 866, 872, 855         EGA3
                                           858, 850, 437              EGA
           (Typewriter)           ru443    808, 866, 872, 855         EGA3
                                           858, 850, 437              EGA
           (Chechnya Standard)    ce       30019, 30011               EGA7
           (Chechnya Typewriter)  ce443    30019, 30011               EGA7
           (Tatarstan Standard)   tt       30018, 30013               EGA7
           (Tatarstan Typewriter) tt443    30018, 30013               EGA7
           (Extended Standard)    rx       30011, 30013, 30014,       EGA7
                                           30017, 30018, 30019        EGA7
                                           30012, 30015, 30016        EGA14
           (Extended Typewriter)  rx443    30011, 30013, 30014,       EGA7
                                           30017, 30018, 30019        EGA7
                                           30012, 30015, 30016        EGA14

S
--------------------------------------------------------------------------
Serbia & Montenegro (Deadkey) (1) yc, sr   872, 855                   EGA3
                                           848                        EGA4
                                           858, 850                   EGA
                 (No deadkey) (1) yc450    872, 855                   EGA3
                                           848                        EGA4
                                           858, 850                   EGA

T
-------------------------------------------------------------------------
Turkey (Qwerty) (1)               tr       857, 858, 850, 853         EGA
       (Non-standard) (1)         tr440    857, 858, 850, 853         EGA

Layouts available on the KEYBRD3.SYS library file
=================================================

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

A
--------------------------------------------------------------------------
Albania (No deadkeys)             sq       852, 858, 850, 437         EGA
        (Deadkeys)                sq448    852, 858, 850, 437         EGA
Armenia                           hy       899                        EGA6
Azerbaijan                        az       60258, 58210               EGA6

B
---------------------------------------------------------------------------
Belarus                           bl, by   849, 1131                  EGA4
                                           872, 855                   EGA3
                                           858, 850                   EGA
Benin (1)                         bn       30027                      EGA15

E
--------------------------------------------------------------------------
Estonia                           et, ee   775, 859, 1116             EGA2
                                           858, 850                   EGA

F
--------------------------------------------------------------------------
Faeroe Islands                    fo       858, 861                   EGA9
                                           850                        EGA

G
--------------------------------------------------------------------------
Georgia (4)                       ka       59829, 60853, 30008        EGA6

K
---------------------------------------------------------------------------
Kazakhstan                        kk       58152                      EGA13
Kyrgyzstan                        ky       58152                      EGA13

L
--------------------------------------------------------------------------
Latvia (Standard)                 lv       775, 1117                  EGA2
                                           770, 773                   EGA8
                                           61282                      EGA4
       (Dual-layout)              lv455    775, 1117                  EGA2
                                           770, 773                   EGA8
                                           61282                      EGA4
Lithuania (Standard, LST 1582)    lt221    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (Dual-layout)           lt456    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (101-key, prog.)        lt210    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774              EGA8
          (Azerty)                lt211    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (Baltic)                lt       775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8

M
---------------------------------------------------------------------------
Macedonia (FYROM) (1)             mk       872, 855                   EGA3
                                           858, 850                   EGA
                                           30009                      EGA11
Malta (48-key)                    mt, ml   853, 858                   EGA
      (47-key)                    ml47     853, 858                   EGA
Mongolia                          mn, mo   58152                      EGA13

N
---------------------------------------------------------------------------
Niger (1)                         ne       30028                      EGA15
Nigeria (1)                       ng       30005                      EGA16

P
-------------------------------------------------------------------------
Philippines                       ph       858, 850, 437              EGA

T
---------------------------------------------------------------------------
Tadjikistan                       tj       30002                      EGA13
Turkmenistan                      tm       852, 59234                 EGA13

U
---------------------------------------------------------------------------
Ukraine (101-key)                 ur465    848, 1125, 849, 1131       EGA4
                                           858, 850                   EGA
        (102-key)                 ur, ua   848, 1125, 849, 1131       EGA4
                                           858, 850                   EGA
US (International) (5)            ux       858, 850, 437              EGA
                                           30021                      EGA14
                                           30023, 30024, 30025, 30026 EGA15
Uzbekistan                        uz       62306                      EGA13

V
---------------------------------------------------------------------------
Vietnam                           vi       30006                      EGA14

Siehe auch:


Profileditor | Maus

Menü: Profil | Bearbeiten | Maus

Profileditor-Dialogseite "Maus"

Auf dieser Seite können Sie die virtuelle Maus, die DOSBox den Programmen zur Verfügung stellt, konfigurieren.

  • Maus im DOSBox-Fenster locken
    Wenn diese Option aktiviert ist, wird der Mauszeiger in der DOSBox-Fenster gefangen, so bald Sie dieses anklicken. Um den Mauszeiger wieder zu befreigen (d.h. damit Sie ihn wieder aus dem DOSBox-Fenster heraus bewegen können), müssen Sie dann Strg+F10 drücken.
  • Mausempfindlichkeit
    Über dieses Eingabefeld können Sie die Mausempfindlichkeit in DOSBox steuern. Ein höherer Wert bedeutet, dass sich der Mauszeiger schneller bewegt und ein niedrigerer Wert bedeutet, dass sich der Mauszeiger langsamer bewegt.
  • 2-Tasten Mausmodus aktivieren (*)
    DOSBox emuliert im Normalfall eine 3-Tasten-Maus. Für die meisten Spiele ist eine 3-Tasten-Maus unproblematisch, aber einige wenige Spiele können nur 2-Tasten-Mäuse korrekt ansprechen. Sollte sich der Mauszeiger in einem Spiel sehr merkwürdig verhalten (z.B. ständig in irgendwelche Bildschirmecken springen), so können Sie versuchen, diese Option zu aktivieren.
  • Linke und rechte Maustaste tauschen (*)
    Wenn Sie diese Option aktivieren, werden in DOSBox die linke und die rechte Maustaste vertauscht.

Die beiden mit (*) markierten Optionen werden intern durch die Verwendung des FreeDOS Maustreibers realisiert, d.h. um diese beiden Optionen nutzen zu können, muss FreeDOS installiert und in D-Fend Reloaded konfiguriert sein. Sie können den Pfad zu Ihrer FreeDOS-Installation auf der Dialogseite FreeDOS des Programmeinstellungen-Dialogs angeben. Der Informationstext unter den Optionen wird in grau dargestellt, wenn FreeDOS verfügbar ist und er wird in rot dargestellt, wenn die Optionen nicht verwendet werden können, da kein FreeDOS vorhanden ist.

Siehe auch:

Profileditor-Dialog


Profileditor | Sound

Menü: Profil | Bearbeiten | Sound

Profileditor-Dialogseite "Sound"

On this page you can configurate the main sound card emulation settings for DOSBox. inside DOSBox.

  • Sound aktivieren
    Durch das Ausschalten dieser Option können Sie die gesamte Soundausgabe in DOSBox deaktivieren, d.h. insbesondere dass in diesem Fall alle weiteren Einstellungen auf dieser Dialogseite ohne Bedeutung sind.
  • Mixer
    In dieser Box können Sie den internen Mixer in DOSBox konfigurieren. DOSBox führt alle Soundausgaben des Spiels in diesem Mixer zusammen, bevor es sie in dem hier angegebenen Format an die reale Soundkarte übermittelt.
  • PC-Lautsprecher aktivieren und PC-Lautsprecher Samplerate
    Wenn diese Option aktiviert ist, stellt DOSBox dem Spiel einen virtuellen PC Lautsprecher zur Soundausgabe zur Verfügung. Die Ausgaben des Spiels werden dabei auf die reale Soundkarte umgeleitet.
  • Tandy-Lautsprecher und Tandy-Lautsprecher Samplerate
    Über diese Einstellungen können Sie die Tandy-Emulation in DOSBox beeinflussen. In den meisten Fällen sollte der voreingestellte Wert "auto" am besten funktionieren.
  • Disney Sounds-Source aktivieren
    Wenn diese Option aktiviert ist, wird die Disney Sounds-Source Unterstützung in DOSBox aktiviert.

Siehe auch:

Profileditor-Dialog


Profileditor | Lautstärke

Menü: Profil | Bearbeiten | Lautstärke

Profileditor-Dialogseite "Lautstärke"

Auf dieser Dialogseite können Sie die Lautstärke für die verschiedenen Ausgabekanäle einstellen. Der Wert "0" stellt dabei das Minimum dar und bedeutet, dass der entsprechende Kanal stumm gestaltet wird. Der Wert "100" steht für die maximale Lautstärke.

Nachdem der zu dem spezifischen Ausgabekanal gehörige Lautstärkewert auf die Ausgabe angewandt wurde, wird noch der Wert der Einstellung "Gesamt" auf die Ausgabe angewandt.

Siehe auch:

Profileditor-Dialog


Profileditor | SoundBlaster

Menü: Profil | Bearbeiten | SoundBlaster

Profileditor-Dialogseite "SoundBlaster"

Auf dieser Seite kann die virtuelle SoundBlaster-Karte, die DOSBox den Spielen zur Verfügung stellt, konfiguriert werden. Die Einstellungen, die Sie auf dieser Seite vornehmen, sollten zu den Einstellungen, die Sie in dem auszuführenden Spiel festgelegt haben, passen.

Bedeutung des "Typ"-Auswahlfelder

Typ | Name | Bits | Stereo
none | SoundBlaster deaktiviert |  |
sb1 | SoundBlaster ver. 1.0 | 8 | nein
sb2 | SoundBlaster ver. 2.0 | 8 | nein
sbpro1 | SoundBlaster Pro ver. 1.0 | 8 | ja
sbpro2 | SoundBlaster Pro ver. 2.0 | 8 | ja
sb16 | SoundBlaster 16 | 16 | ja

Siehe auch:

Profileditor-Dialog


Profileditor | GUS

Menü: Profil | Bearbeiten | GUS

Profileditor-Dialogseite "GUS"

Auf dieser Dialogseite können Sie die virtuelle Gravis Ultra Soundkarte (GUS), die DOSBox emuliert, konfigurieren. Die Einstellungen, die Sie auf dieser Seite vornehmen, sollten zu den Einstellungen, die Sie in dem auszuführenden Spiel festgelegt haben, passen.

Um die Gravis Ultra Sound Unterstützung in DOSBox nutzen zu können, benötigen Sie einige externe Treiber-Dateien. Der Pfad zu diesen Gavis Ultra Dateien können Sie in dem Eingabegeld "Pfad" angeben. In diesem Verzeichnis sollte es ein MIDI-Verzeichnis geben, welches die notweniges Patch-Dateien für die GUS-Wiedergabe enthält.

Siehe auch:

Profileditor-Dialog


Profileditor | MIDI

Menü: Profil | Bearbeiten | MIDI

Profileditor-Dialogseite "MIDI"

Auf dieser Dialogseite können Sie das virtuelle, von DOSBox emulierte MIDI-Ausgabegerät konfigurieren. So lange Sie mit dem verwendeten Spiel keine Probleme bei der MIDI-Ausgabe haben, sollten Sie hier keine Veränderungen vornehmen. Insbesondere sollte in dem Auswahlfeld "MIDI-Gerät" stets "default" oder "win32" eingestellt bleiben.

Siehe auch:

Profileditor-Dialog


Profileditor | Innovation SSI-2001

Menü: Profil | Bearbeiten | Innovation SSI-2001

Profileditor-Dialogseite "Innovation SSI-2001"

Auf dieser Dialogseite können Sie das virtuelle, von DOSBox emulierte Innovation SSI-2001 Ausgabegerät konfigurieren.

Siehe auch:

Profileditor-Dialog


Profileditor | Joystick

Menü: Profil | Bearbeiten | Joystick

Profileditor-Dialogseite "Joystick"

Auf dieser Dialogseite kann der virtuelle Joystick, den DOSBox emulieren soll, konfiguriert werden. DOSBox wird den virtuellen Joystick automatisch mit dem ersten unter Windows konfigurierten Joystick verbinden.

  • Joysticktyp
    In diesem Auswahlfeld können Sie den Typ des zu emulierenden Joysticks einstellen. Folgende Typen stehen zur Auswahl:

    • auto: Wählt den Typ des virtuellen Joysticks gemäß des Typs des realen Joysticks.
    • none: Deaktiviert die Joystick-Emulation.
    • 2axis: 2-Achsen-Joystick (bis zu zwei Stück gleichzeitig).
    • 4axis: 4-Achsen-Joystick (erster Joystick am System wird verwendet).
    • 4axis_2: 4-Achsen-Joystick (zweiter Joystick am System wird verwendet).
    • fcs: Thrustmaster
    • ch: CH Flightstick
  • Getimte Intervalle für die Achsen
    Aktiviert "timed intervals for axis".
  • Autofire
    Wenn diese Option aktiviert ist, sendet DOSBox fortwährend einzelne Feuer-Button Ereignisse an das Spiel, so lange der Feuer-Knopf gedrückt gehalten wird.
  • Achsen 3 und 4 vertauschen
    Wenn diese Option aktiviert ist, werden die 3. und die 4. Achse bei der Abbildung des physikalischen Joysticks auf den virtuellen Joystick in DOSBox vertauscht.
  • Tasten-wrap aktivieren
    Wenn diese Option aktiviert ist und wenn der verwendete Joystick mehr physikalische Tasten besitzt, als der emulierte Joystick virtuelle Tasten besitzt, so werden die physikalischen Tasten mit den höheren Nummern auf virtuelle Tasten mit niedrigeren Nummern abgebildet. Wenn Sie beispielsweise einen Joystick mit 4 Tasten verwenden, der emulierte Joystick aber nur 4 Tasten besitzt und diese Option aktiviert ist, so wird die physikalische Taste 5 auf die logische Taste 1 des virtuellen Joysticks abgebildet, die physikalische Taste 6 auf die logische Taste 2 usw.

Siehe auch:

Profileditor-Dialog


Profileditor | Laufwerke

Menü: Profil | Bearbeiten | Laufwerke

Profileditor-Dialogseite "Laufwerke"

Auf dieser Seite können Sie die virtuellen Laufwerke, die DOSBox den Programmen, die in DOSBox laufen sollen, zur Verfügung stellen soll, konfigurieren. DOSBox kann physikalische Laufwerke, einzelne Ordner, Imagedateien und (wenn Sie ein neueres CVS Build von DOSBox einsetzen) Zip-Dateien als Laufwerke einbinden. Außerdem lassen sich mit Hilfe von D-Fend Reloaded auch mit der normalen DOSBox-Versin Zip-Dateien als Laufwerke verwenden. (D-Fend Reloaded packt die Zip-Datei dabei vor dem Start von DOSBox aus und nach dem Beenden von DOSBox wieder ein.)

Über die Schaltenflächen unten auf dieser Dialogseite können Sie virtuelle Laufwerke hinzufügen, bearbeiten und löschen. Außerdem können Sie auch Laufwerke hinzufügen, in dem Sie in der Laufwerksliste Einfg drücken, Laufwerke bearbeiten, in dem Sie Enter drücken und Laufwerke löschen, in dem Sie Entf drücken.

Sie können D-Fend Reloaded auch anweisen, die benötigten Laufwerke für das Spiel automatisch zu erstellen, in dem Sie auf die Schaltfläche "Autom. erstellen" klicken. In diesem Fall wird ein virtuelles Laufwerk so als Verknüpfung mit einem physikalischen Ordner (bevorzugt dem Spieleordner) erstellt, dass DOSBox die Spieledateien erreichen kann. (Achtung: Evtl. durch das Spiel benötigte Verknüpfungen zu CD-Laufwerken usw. können nicht erkannt werden und folglich auch nicht automatisch erstellt werden.)

  • Zusätzlich alle aktuell verfügbaren CDs automatisch mounten
    Wenn diese Funktion aktiviert ist, bindet D-Fend Reloaded zusätzlich zu den explizit in der oben stehenden Liste angegebenen Laufwerken auch noch alle CD-Laufwerke beim DOSBox-Start ein.
  • Einbinden von Laufwerken nach dem DOSBox-Start verhindern
    Wenn dieser Sicherheitsmodus aktiv ist, können Sie (bzw. Programme, die in DOSBox laufen) nach dem Programmstart von DOSBox keine weiteren Laufwerke mehr einbinden. Wenn diese Option eingeschaltet ist, können Sie also sicher sein, dass selbst ein Virus nicht Zugriff auf Daten, die Sie nicht hier explizit eingebunden haben, erlangen kann.

Der "Laufwerk bearbeiten"-Dialog

In diesem Dialog können Sie den Typ des Laufwerk, das DOSBox emulieren soll, einstellen und dann Einstellungen für den gewählten Typ vornehmen. Aus der Auswahlfeld "Typ" können Sie einen der folgenden Laufwerkstypen wählen:

  • Ordner als Festplatte
    Diese Option erlaubt es ein beliebiges Verzeichnis als Festplatte in DOSBox einzubinden. (Achtung: Sie sollten nicht versuchen das Wurzelverzeichnis Ihrer Festplatte als Festplatte in DOSBox einzubinden. Dies hätte zwar den Vorteil, dass Ihnen in DOSBox alle Ordner der realen Festplatte zur Verfügung stünden und auch die Struktur identisch wäre, allerdings hätten damit eben auch alle Programme innerhalb von DOSBox vollen Zugriff auf alle Verzeichnisse der realen Festplatte und können so Ihre gesamte Softwareinstallation beschädigen. Wenn Sie hingegen nur einen Spieleordner als Festplatte einbinden, so können bösartige Programme bzw. Fehlbedienungen innerhalb von DOSBox keinen Schaden an Dateien außerhalb dieses Ordner anrichten.)
  • Ordner als Diskette
    Über diese Option können Sie ein beliebiges Verzeichnis als virtuelles Diskettenlaufwerk in DOSBox einbinden.
  • CD-Laufwerk
    Diese Option erlaubt es, ein reales CD-Laufwerk als virtuelles CD-Laufwerk in DOSBox einzubinden. Sie haben dabei mehrere Möglichkeiten, nach der das Laufwerk beim Start von DOSBox ausgewählt werden soll. U.a. ist es möglich, das zu verwendende Laufwerk an Hand der eingelegten CD automatisch auszuwählen. Wenn Sie einen festen Pfad als CD-Laufwerk mounten wollen, so sollte der Pfad auf das Wurzelverzeichnis eines realen CD-Laufwerks verweisen.
  • Diskettenimage
    Diese Option erlaubt es, ein Diskettenimage als virtuelles Diskettenlaufwerk in DOSBox einzubinden. Über die Schaltfläche "Imagedatei erstellen" auf der rechten Seite des Dialogs können Sie ein neues Diskettenimage von einer realen Diskette erstellen oder auch ein neues, leeres Diskettenimage erstellen.
  • ISO-Image
    Diese Option erlaubt es, ein ISO-Image einer CD als virtuelles CD-ROM-Laufwerk einzubinden. Über die Schaltfläche "Imagedatei erstellen" auf der rechten Seite des Dialogs können Sie ISO-Images von realen CDs auslesen.
  • Festplattenimage als Festplatte
    Diese Option erlaubt es, ein Festplattenimage als virtuelle Festplatte in DOSBox einzubinden. Über die Schaltfläche "Imagedatei erstellen" auf der rechten Seite des Dialogs können Sie neue, leere Festplattenimages erstellen.
  • DOSBox PhysFS (*)
    Über diese Option können Sie eine Zip-Datei als Laufwerk in DOSBox einbinden. DOSBox erstellt das Laufwerk intern aus der Zip-Datei und einem Verzeichnis; es ließt dabei aus der Zip-Datei und führt alle Schreiboperationen in das angegebene Verzeichnis durch (d.h. die Zip-Datei wird von DOSBox nicht verändert.) Über die "Ordnerinhalt anch dem Ende von DOSBox in das Zip-Archiv einpacken" Funktion können Sie D-Fend Reloaded anweisen, die Zip-Datei mit den Dateien aus dem Schreib-Ordner zu aktualisieren.
  • Zip-Datei
    Über diese Option können Sie eine Zip-Datei als Laufwerk in DOSBox einbinden, ohna dass dafür die DOSBox PhysFS-Unterstützung benötigt wird (welche in der normalen DOSBox-Version auch nicht vorhanden ist). D-Fend Reloaded entpackt dafür den Inhalt der Zip-Datei vor dem Start von DOSBox in ein Verzeichnis und bindet dieses in DOSBox als Laufwerk ein. Nach dem Programmende von DOSBox wird der Inhalt des Verzeichnisses wieder in die Zip-Datei eingepackt.

Die mit (*) markierte Option ist nur verfügbar, wenn die zugehörige Option auf der Dialogseite DOSBox CVS-Features des Programmeinstellungen-Dialogs aktiviert ist. Die offizielle DOSBox Version 0.73, die mit D-Fend Reloaded ausgeliefert wird, unterstützt diesen Mount-Typ und den Sicherheitsmodus nicht.

Über das "Laufwerksbuchstabe" Auswahlfeld können Sie festlegen, welchen Laufwerksbuchstaben der jeweils einzubindende physkalische Ordner bzw. das jeweils einzubindende Image in DOSBox erhalten soll. Beim Einbinden von Disketten- und Festplattenimages können Sie außer den üblichen Laufwerksbuchstaben auch optional ein Zahl zwischen 0 und 3 angeben. Wenn Sie eine dieser Zahlen als Laufwerksbuchstabe wählen, wird das Laufwerk nicht mit einem DOSBox-Laufwerksbuchstaben versehen, sondern direkt an den virtuellen Disketten- und Festplattencontroler in DOSBox angebunden. Dies hat zur Folge, dass das Laufwerk zwar nicht direkt auf der DOSBox-Kommandozeile verwedet werden kann, aber nach dem Booten eines alternativen Betriebssystems in DOSBox als Laufwerk zur Verfügung steht.

Siehe auch:

Profileditor-Dialog


Profileditor | Serielle Schnittstellen

Menü: Profil | Bearbeiten | Serielle Schnittstellen

Profileditor-Dialogseite "Serielle Schnittstellen"

Auf dieser Dialogseite können Sie die vier virtuellen seriellen Schnittstellen, die DOSBox emulieren kann, konfigurieren. Jede der vier virtuellen seriellen Schnittstellen kann in einem der folgenden Betriebsmodi arbeiten:

  • Deaktiviert
    Die entsprechende serielle Schnittstelle wird deaktiviert.
  • Dummy
    Betreibt die serielle Schnittstelle im Dummy-Modus, d.h. Sie existiert, hat aber keine weitere Funktion.
  • Modem
    Ist diese Option gewählt, so wird ein virtuelles Modem, welches mit der jeweiligen Schnittstelle verbunden ist, emuliert. Die tatsächliche Verbindung zu der Gegenstelle erfolgt über das Netzwerk des realen Computers. Dafür müssen Sie auf dem Server "Auf eingehende Verbindungen warten" wählen.
  • Nullmodem
    Ist diese Option gewählt, so wird ein virtuelles Nullmodemkabel, welches mit der jeweiligen Schnittstelle verbunden ist, emuliert. Die tatsächliche Verbindung zu der anderen DOSBox-Instanz erfolgt über das reale Netzwerk des Computers. Es muss jeweils ein Comuter als Server und einer als Client konfiguriert werden. Auf der Client-Seite muss außerdem die IP-Adresse des Servers eingetragen werden.
  • Physikalische Schnittstelle
    Mit Hilfe dieser Option kann eine virtuelle serielle Schnittstelle in DOSBox mit einer physikalischen seriellen Schnittstelle des realen Computers verbunden werden.

Siehe auch:

Profileditor-Dialog


Profileditor | Netzwerk

Menü: Profil | Bearbeiten | Netzwerk

Profileditor-Dialogseite "Netzwerk"

Auf dieser Dialogseite können Sie einstellen, welche Netzwerk-Funktionen DOSBox den Programmen, die in DOSBox laufen, zur Verfügung stellen soll und wie diese auf das Netzwerk des realen Computers abgebildet werden sollen.

  • UDP/IP Emulation aktivieren
    Über dieses Auswahlfeld können Sie die gesamte Netzwerk-Unterstützung in DOSBox ein- oder ausschalten. Sind die Netzwerkfunktionen in DOSBox deaktiviert, so haben alle weiteren Optionen auf dieser Dialogseite keine Auswirkungen.
  • IPX Verbindung herstellen
    In diesem Feld können Sie einstellen, ob der jeweilige Computer als Client (initiiert Verbindungen) oder als Server (wartet auf eingehende Verbindungen) auftreten soll.
  • IPX Server-IP-Adresse (für Client-Modus)
    In dieses Eingabefeld können Sie die Adresse des Server eingeben, wenn Sie in dem "IPX Verbindung herstellen"-Feld die Betriebsart "Client" gewählt haben. Der Client versucht dann unter der angegebenen Adresse Kontakt mit dem Server aufzunehmen.
  • IPX Port
    In diesem Eingabefeld können Sie die Portnummer angeben, die DOSBox zum Verbindungsaufbau verwenden soll. Die Portnummer sollte auf Client und Server identisch eingestellt sein.

Siehe auch:

Profileditor-Dialog


Profileditor | Drucker

Menü: Profil | Bearbeiten | Drucker

Profileditor-Dialogseite "Drucker"

Auf dieser Dialogseite können Sie die Drucker-Emulation in DOSBox konfigurieren.

Diese Dialogseite ist nur dann sichtbar, wenn die Drucker-Emulation auf der Seite DOSBox CVS-Features des Programmeinstellungen-Dialogs aktiviert ist. Die offizielle DOSBox Version 0.72, die mit D-Fend Reloaded ausgeliefert wird, unterstützt die Drucker-Emulation nicht.

  • Drucker-Emulation aktivieren
    Über diese Option kann die gesamte Drucker-Emulation ein- und ausgeschaltet werden. Wenn die Drucker-Emulation deaktiviert ist, sind alle weiteren Einstellungen auf dieser Dialogseite ohne weitere Bedeutung.
  • Auflösung (in DPI)
    Über dieses Eingabefeld können Sie die Auflösung (gemessen in dot per inch, Punkte pro Zoll) des virtuellen Druckers festlegen.
  • Papierbreite and Papierhöhe
    Über diese beiden Eingabefelder können Sie die größe des virtuellen Papiers einstellen. Die Größenangaben werden in der Einheit 1/10 Zoll gemessen.
  • Ausgabeformatformat
    In diesem Auswahlfeld kann festgelegt werden, in welchem Format die Ausgaben, die auf dem virtuellen Drucker ausgegeben werden, gespeichert werden sollen:

    • png:Erzeugt eine png (portable network file) Grafikdatei mit der Druckerausgabe. DOSBox fragt bei Bedarf nach einem Dateinamen für die Ausgabedatei.
    • ps:Erzeugt eine ps (post script) Datei mit der Druckerausgabe. DOSBox fragt bei Bedarf nach einem Dateinamen für die Ausgabedatei.
    • bmp:Erzeugt eine bmp (bitmap) Grafikdatei mit der Druckerausgabe. DOSBox fragt bei Bedarf nach einem Dateinamen für die Ausgabedatei.
    • printer:Sender die Ausgabe auf dem virtuellen Drucker direkt an den realen Windows-Standarddrucker.
  • Mehrseiten-Ausdrucke aktivieren
    (Diese Option ist nur für das Ausgabeformat Postscript von Bedeutung.) Wenn diese Option deaktiviert ist, wird jede Seite, die auf dem virtuellen Drucker in DOSBox ausgegeben wird, in einer eigenen Datei abgelegt. Wenn diese Option aktiviert ist, werden alle Seiten in eine Datei geschrieben. Um die Ausgabe zu beenden und die Ausgabedatei abzuschließen, müssen Sie in DOSBox Strg+F2 drücken.

Siehe auch:

Profileditor-Dialog


Profileditor | DOS-Umgebung

Menü: Profil | Bearbeiten | DOS-Umgebung

Profileditor-Dialogseite "DOS-Umgebung"

Auf dieser Dialogseite können Sie die DOS-Umgebung, die DOSBox den Spielen zur Verfügung stellen soll, konfigurieren:

  • Gemeldete DOS-Version
    In diesem Eingabefeld können Sie die DOS-Version, die DOSBox melden soll, einstellen. Die meisten Programme fragen diese Version nicht ab und laufen mit jeder DOS-Version. Einige Programme setzen jedoch eine bestimmte DOS-Version für den Betrieb voraus. Sollte das Programm, das Sie ausführen wollen mit der Meldung, dass die DOS-Version unpassend wäre, abbrechen, so können Sie die passende DOS-Version in dieses Eingabefeld eintragen.
  • 4DOS als Kommandozeilen-Interpreter verwenden (*)
    Wenn diese Option aktiviert ist, wird 4DOS statt des normalen DOSBox-Kommandozeilen-Interpreters verwendet.
  • Umgebungsvariablen
    In dieser Tabelle können Sie beliebige Umgebungsvarialben angeben, die DOSBox den Programmen zur Verfügung stellen soll. In den meisten Fällen sollten zur korrekten Ausführung des Spiels hier keine weiteren Einträge nötig sein. (Die häufig benötigte Blaster-Umgebungsvariable, die die Konfigurationsdaten der SoundBlaster-Karte angibt, wird von DOSBox beim Start automatisch gesetzt.)

Die mit (*) markierte Option wird über den mit FreeDOS mitgelieferten 4DOS-Kommandozeilen-Interpreter realisiert. Dies bedeutet, dass diese Option nur dann zur Verfügung steht, wenn Sie auf der FreeDOS Seite des Programmeinstellungen-Dialogs den Pfad zu Ihrer FreeDOS-Installation angegeben haben. Der Informationstext unter dieser Option wird in grau dargestellt, wenn FreeDOS verfügbar ist. Andernfalls wird der Text in rot angezeigt.

Siehe auch:

Profileditor-Dialog


Profileditor | Start

Menü: Profil | Bearbeiten | Start

Profileditor-Dialogseite "Start"

On this page you can setup what DOSBox should do when it starts (that means you can setup here the way DOSBox will start the chosen game).

  • Spiel-Start überspringen
    Wenn diese Option aktiviert ist, werden die auf der Profil-Seite eingetragenen Programm- und Setupdateien ignoriert und DOSBox ohne den Aufruf dieser Dateien gestartet.
  • Mounting überspringen
    Wenn diese Option aktiviert ist, werden die Einstellungen, die Sie auf der Dialogseite Laufwerke vorgenommen haben, ignoriert und es werden beim Start von DOSBox keine Laufwerke eingebunden.
  • Autoexec.bat
    Die DOS-Befehle, die Sie in diesem Eingabefeld eintragen, werden beim Aufruf von DOSBox unmittelbar vor dem Aufruf des Spiels ausgeführt, d.h. den Befehlen in diesem Eingabefeld kommt eine ähnliche Bedeutung zu, wie den Befehlen inder Autoexec.bat-Datei in einer realen DOS-Umgebung.
  • Abschluss
    Die DOS-Befehle, die Sie in diesem Eingabefeld eintragen, werden nach dem Ende des Spiels ausgeführt und können z.B. Aufräumarbeiten ausführen.
  • DOSBox normal starten
    Wenn diese Option gewählt ist, wird das Spiel bzw. die Setupdatei, die Sie auf der Dialogseite Profil angegeben haben, normal gestartet. Diese Einstellung sollten Sie so lange Sie keine alternativen Betriebssysteme in Imagedateien ausführen wollen, stets aktiviert lassen.
  • Festplattenimage starten
    Wenn Sie ein bootfähiges Festplattenimage erstellt haben und dieses auf der Laufwerke-Seite dieses Dialogs so konfiguriert haben, dass es ohne Laufwerksbuchstaben eingebunden wird, können Sie hier einstellen, dass von diesem Image gestartet werden soll.
  • Diskettenimage starten
    Wenn Sie von einem Diskettenimage in DOSBox booten wollen, müssen Sie diese Option aktivieren. Diskettenimages müssen im Gegensatz zu Festplattenimages nichtals Laufwerke eingebunden sein, um von ihnen starten zu können. Sie müssen lediglich hier die Dateinamen der zu verwendenden Diskettenimages angeben. Das erste Image wird zum Booten verwenden. Über die Tastenkombination Strg+F4 können Sie zwischen den virtuellen Disketten wechseln während DOSBox läuft.

Siehe auch:

Profileditor-Dialog


Profil kopieren

Anstatt für jedes Spiel ein neues Profil anzulegen, können Sie auch ein bestehendes Profil kopieren. Beim Kopieren des Profil wird nur der Eintrag in der Spieleliste kopiert, die sonstigen Daten (insbesondere die Spieledateien) werden nicht dubliziert. In dem "Profil kopieren"-Dialog können Sie neben dem Namen für das neue Profil zwei optionale Einstellungen vornehmen:

  • Neuen Screenshot-Ordner festlegen
    Wenn diese Option markiert ist, wird basierend auf dem Namen des neuen Profils für das neue Profil automatisch ein Ordner festgelegt, in dem Screenshots, Sounds und Videos abgelegt werden können. Andernfalls verweist der Screenshot-Ordner-Eintrag des neuen Spiels auf den selben Ordner, wie das bisherige Profil (d.h. in diesem Fall wird ein Ordner von beiden Profilen gemeinsam genutzt).
  • Datenordner-Eintrag entfernen
    Wenn diese Option markiert ist, wird bei dem neuen Profil der Datenordner-Pfad entfernt. Ist diese Option deaktiviert (und besitzt das Ausgangsprofil einen Datenordner), so verweisen in Zukunft beide Profile auf den selben Ordner.


Profil deinstallieren

Über diesen Menüpunkt kann das gewählte Profile inklusiver aller zugehörigen Dateien deinstalliert werden. Sie können dabei auswählen, welche Komponenten des Profils entfernt werden sollen (Programmdateien, vom Benutzer angelegte Datendateien, gespeicherte Screenshots usw.).

Aus dem Deinstallieren-Dialog, der erscheint wenn Sie diesen Menüpunkt anklicken, können Sie auswählen welche Dateien konkret gelöscht werden sollen. Wenn Sie ein Spiel vollstöndig entfernen wollen, können Sie alle Optionen in diesem Dialog ausgewählt lassen. D-Fend Reloaded bietet nur Dateien zum Deinstallieren an, die nicht von anderen Profilen verwendet werden und die außerdem innerhalb des Basisordners und seinen Unterordnern liegen (siehe Verzeichnisse Seite im Programmeinstellungen-Dialog). Dadurch wird verhindert, dass das Deinstallieren von falsch konfigurierten Profilen andere Spiele oder gar Dateien außerhalb des D-Fend Reloaded Basisordners beschädigen kann. (Sie können diese standardmäßig aktivierte Schutzfunktion auf der Dialogseite Sicherheit des Programmeinstellungen-Dialogs deaktivieren, wenn Sie dies wirklich wollen.)

Siehe auch:


Archivdatei-Paket erstellen

Mit Hilfe dieser Funktionen können Sie komplette Spiele (bestehend aus den Programmdateien, dem D-Fend Reloaded Profil, dem Datenordner, aufgezeichneten Screenshots usw.) in eine einzelne Archivdatei einpacken. Auf diese Art gespeicherte Spiele können Sie jederzeit wieder über den Menüpunkt Archivdatei importieren aus dem "Datei"-Menü in D-Fend Reloaded importieren. Alternativ können Sie eine solche Archiv-Datei auch einfach mit der Maus auf das D-Fend Reloaded Programmfenster ziehen und dort fallen lassen.

Die mit dieser Funktion erstellten Archive eigenen sich besonders gut für die Langzeitarchivierung von Spielen (besser als die exe-Installer Pakete) da die Archivdateien auch ohne D-Fend Reloaded verwendet werden können: Neben den Spieledateien befindet sich in den Archiven nicht nur eine D-Fend Reloaded Profil-Datei, sondern auch eine conf-Datei zur direkten Verwendung in DOSBox. Dies bedeutet, dass auf diese Art archivierte Spiele in der Zukunft auch ohne D-Fend Reloaded problemlos verwendet werden können.

Als Archivformate unterstützt D-Fend Reloaded ohne Unterstützung durch externe Packprogramme die Formate zip und 7z. Auf der Dialogseite Packprogramme des Programmeinstellungen-Dialogs können weitere, externe Packprogramme eingetragen werden, so dass D-Fend Reloaded Archivdateien auch in anderen Formaten lesen und schreiben kann.

Siehe auch:

Installer-Paket erstellen


Gespeicherten Spielstand ändern

Mit Hilfe dieser Funktion können Sie gespeicherte Spielstände zu Ihrem Vorteil verändern (mehr Geld, bessere Eigenschaften und Ausrüstung für die Spielfigur usw.). D-Fend Reloaded verfügt über eine Datenbank mit Informationen, an welchen Adressen sich bei welchen Spielen welche Angaben befinden, so dass gezielt die richtigen Stellen in den Spielständen geändert werden können.

Beim Aufruf dieses Dialogs gleich D-Fend Reloaded die Dateinamen in dem Verzeichnis des in der Profilliste gewählten Spiels automatisch mit den Dateimasken der Cheat-Informationen in der Datenbank ab und bietet im Folgenden nur die Cheats an, zu denen vom Dateinamen her passende Dateien vorhanden sind. Sie müssen in dem Dialog nur noch den konkreten Namen des Spiel, die zu ändernden Eigenschaften und den Spielstand, der geändert werden soll, auswählen.

Sie können die Cheats-Datenbank auch selbst erweitern. Entweder können Sie über die Schaltfläche "Cheats-Datenbank bearbeiten" den Dialog zum Bearbeiten der Cheats-Datenbank öffnen oder über die Adresssuchfunktion in beliebigen Spielständen nach den jeweils richtigen Adressen für bestimmte Werte suchen.

Siehe auch:


DOSBox conf-Datei anzeigen

Wenn Sie diesen Menüpunkt anklicken, wird für das gewählte Profil eine temporäre DOSBox Konfigurationdatei erstellt und in einem Texteditor geöffnet.

Wenn Sie Probleme mit dem Ausführen von einzelnen Spielen haben und im einem Internet-Forum um Hilfe bitten wollen, so sollten Sie diese confDatei mit posten, da sie alle Informationen, die beim Aufrufen an DOSBox übergeben werden, enthält und so eine sehr gute Basis für die Untersuchung von Problemen darstellt.


ScummVM ini-Datei anzeigen

Wenn Sie diesen Menüpunkt anklicken, wird für das gewählte Profil eine temporäre ScummVM Konfigurationdatei erstellt und in einem Texteditor geöffnet.

Wenn Sie Probleme mit dem Ausführen von einzelnen Spielen haben und im einem Internet-Forum um Hilfe bitten wollen, so sollten Sie diese iniDatei mit posten, da sie alle Informationen, die beim Aufrufen an ScummVM übergeben werden, enthält und so eine sehr gute Basis für die Untersuchung von Problemen darstellt.


Programmordner öffnen

Wenn Sie diesen Menüpunkt anklicken, wird das Programmverzeichnis des gewählten Spiels im Windows Explorer geöffnet. Das Programmverzeichnis des Spiels ist das Verzeichnis, in dem sich die Hauptdatei des Spiels befindet, die sie auf der Dialogseite Profil des Profileditor-Dialogs angegeben haben.


Capture-Ordner öffnen

Wenn Sie diesen Menüpunkt anklicken, wird das Capture-Verzeichnis des gewählten Spiels im Windows Explorer geöffnet. Das Capture-Verzeichnis eines Spiels ist das Verzeichnis, in dem Screenshots, Sounds und Videos zu dem Spiel abgelegt werden. Sie können das Capture-Verzeichnis auf der Verzeichnisse-Dialogseite des Profileditor-Dialogs für jedes Profil individuell festlegen.


Datenordner öffnen

Wenn Sie diesen Menüpunkt anklicken, wird das Datenverzeichnis des gewählten Spiels im Windows Explorer geöffnet. Das Datenverzeichnis eines Profils kann auf der Verzeichnisse-Dialogseite des Profileditor-Dialogs festgelegt werden. In dem Datenverzeichnis können Sie zusätzliche, zu dem Spiel gehörende Dateien wie z.B. Handbuchdateien ablegen.

Über den Menüpunkt Datei in Datenordner öffnen im "Profil"-Menü können Sie auch direkt einzelne Dateien aus dem Datenordner öffnen.

Siehe auch:

Datei in Datenordner öffnen


Datei in Datenordner öffnen

Wenn Sie auf diesen Menüpunkt zeigen, öffnet sich ein Untermenü, welche alle Dateien, die Sie in dem Datenordner des gewählten Spiels abgelegt haben, anzeigt. Wenn Sie einen der Dateinamen aus dem Untermenü anklicken, so wir die jeweilige Datei sofort mit ihrem Standardprogramm geöffnet.

Das Datenverzeichnis eines Profils kann auf der Verzeichnisse-Dialogseite des Profileditor-Dialogs festgelegt werden. In dem Datenverzeichnis können Sie zusätzliche, zu dem Spiel gehörende Dateien wie z.B. Handbuchdateien ablegen.

Über den Menüpunkt Datenordner öffnen des "Profil"-Menüs können Sie auch das gesamte Datenverzeichnis im Windows Explorer öffnen.

Siehe auch:

Datenordner öffnen


Internet-Adresse

Wenn Sie diesen Menüpunkt anklicken, wird die Internet-Adresse, die Sie auf der Dialogseite Programminformationen dea Profileditor-Dialogs zu diesem Spiel angegeben haben, geöffnet.


Als Favorit markieren

Wenn Sie diese Menüpunkt anklicken, wird das gerade ausgewählte Spiel als Favorit markiert oder, wenn es bereits als Favorit markiert ist, wird diese Markierung wieder aufgehoben. Über den Eintrag "Favoriten" aus der Kategorienliste links im Programmfenster kann die Spieleliste nach den Favoriten gefiltert werden.


Verknüpfung erstellen

Mit Hilfe dieser Funktion können Sie eine Verknüpfung für das gewählte Profil auf dem Desktop oder im Startmenü erstellen. Wenn Sie diese Verknüpfung später anklicken, wird das entsprechende Profil automatisch gestartet.

Wenn Sie D-Fend Reloaded in einer Wine-Umgebung unrer Linux einsetzen, können Sie diese Funktion so umkonfigurieren, dass sie statt Windows-Verknüpfungen Linux Shell-Skripte erstellt. (Sie dafür die Dialogseite Wine-Unterstützung des Programmeinstellungen-Dialogs.)


Spiel suchen

Aus dem Untermenü, dass sich öffnet, wenn Sie auf diesen Menüpunkt zeigen, können Sie verschiedene Suchmaschinen, die teilweise auf alte Spiele spezialisiert sind, auswählen und auf diesen nach Informationen zu dem gewählten Spiel suchen.

Links bearbeiten

Wenn Sie auf "Links bearbeiten" klicken, öffent sich ein Dialog, in dem Sie die Liste der angebotenen Suchmaschinen bearbeiten können.


Icon-Manager

In diesem Dialog können Sie die Icons, die Sie in der Spieleliste verwenden wollen, konfigurieren. Über die beiden Schaltfläche "Hinzufügen" und "Löschen" können Sie Icons in die Liste aufnehmen und wieder entfernen. (Die Icons werden physikalisch in die Liste eingefügt und nicht nur als Verknüpfung eingefügt.) Die in dieser Liste vorhandenen Icons können über die Dialogseite Profil des Profileditor-Dialogs in Profile eingebunden werden. Allerdings können Sie vom Profileditor aus auch Icon-Dateien außerhalb dieser Icon-Liste für Profile verwenden.

Siehe auch:

Dialogseite "Profil" des Profileditor-Dialogs


Verlauf anzeigen

In diesem Dialog wird eine Liste mit allen bisher von D-Fend Reloaded aus gestarteten Spielen angezeigt. Außerdem wird in diesem Dialog angezeigt, wie oft welches Spiel gestartet wurde.

Siehe auch:

"Datenschutz"-Seite im Programeinstellungen-Dialog


Spieleordner öffnen

Wenn Sie auf diesen Menüpunkt klicken, wird der auf der Dialogseite Verzeichnisse des Programmeinstellungen-Dialogs angegebene Spieleordner im Explorer geöffnet.

Sie können die Spiele, die Sie von D-Fend Reloaded aus starten wollen, in jedem beliebigen Ordner ablegen, es ist allerdings empfehlenswert, die Spiele in den Unterordnern des Spieleverzeichnisses abzulegen.

Siehe auch:

"Verzeichnisse" Dialogseite des Programmeinstellungen-Dialogs


Vorlagen

In dem Vorlagendialog können Sie die Vorlagen, auf deren Basis neue Profile erstellt werden können, verwalten. Bei den Vorlagen handelt es sich um Profile, die zu keinem speziellen Spiel zugeordnet sind. Über die Schaltfläche "Bearbeiten" in diesem Dialog können Sie die Vorlagen genauso bearbeiten, wie normale Profile. Über die "Verwenden"-Schaltfläche können Sie eine Vorlage verwenden, um von ihr ein neues Profil zu stellen. (Die Funktion "Verwenden" steht für Autosetup-Vorlagen nicht zur Verfügung.) Über die "Hinzufügen"-Schaltfläche können Sie neue Vorlagen anlegen und auch Vorlagen von bestehenden Profilen erstellen.

In D-Fend Reloaded gibt es zwei Arten von Vorlagen:

Vorlagen

Die Vorlagen aus dieser Liste können bei der Erstellung neuer Profile über den "Hinzufügen von Vorlage"-Menüpunkt aus dem "Profil"-Menü verwendet werden.

In dieser Liste gibt es zwei spezielle Vorlagen die mit "Standardvorlage" und Standardvorlage für ScummVM-Profile" beschriftet sind. Diese Vorlagennamen werden in blau dargestellt und können nicht gelöscht oder umbeannt werden. Diese beiden Vorlagen werden beim Erstellen von Profilen über die Menüpunkte "Hinzufügen" bzw. "ScummVM-Profile hinzufügen" aus dem "Profil"-Menü verwendet.

Autosetup-Vorlagen

Die Vorlagen, die in dieser Liste angezeigt werden, werden zur automatischen Konfiguration von Spielen bei der Verwendung der Funktion "Hinzufügen mit Assistent" aus dem "Profil"-Menü verwendet.

Hinweis:

Über den Menüpunkt "Mehrere Vorlagen gleichzeitig bearbeiten" des "Bearbeiten"-Menüs des Vorlagendialogs können Sie auch mehrere Vorlagen gleichzeitig bearbeiten.

Siehe auch:

Profileditor


Cheats-Datenbank bearbeiten

In diesem Dialog können Sie die Cheats Datenbank von D-Fend Reloaded bearbeiten. Sie können bestehende Cheats bearbeiten oder löschen und neue Datensätze hinzufügen.

In der obenen Hälfte befindet sich eine Liste mit Spielen und bei dem jewiligen Spiel möglichen Änderungsaktionen. Aktionen können z.B. "Mehr Geld" oder "Mehr Trefferpunkte für alle Charaktere" sein. Jede Aktion kann wiederum aus mehreren Schritten bestehen. Jede Änderung eines Wertes an einer Adresse ist ein Schritt einer Aktion.

In der unteren Hälfte des Dialogs können Sie die Daten zu dem gewählten Schritt der gewählten Aktion angeben. Es gibt im Wesentlichen zwei Arten von Operationen, die D-Fend Reloaded ausführen kann. Zum einen können feste Werte an bestimmte Adressen geschrieben werden und zum anderen kann der Benutzer gefragt werden, welcher Wert an eine bestimmte Adresse geschrieben werden soll. In den Feldern für Werte und Adressen können Zahlen im Dezimal- und auch im Hexadezimalsystem eingegeben werden. Um anzudeuten, dass es sich bei einer Zahl um einen Hexadezimalwert handelt, muss der eigentlich Zahl ein "$" vorangestellt werden.

Die hier konfigurierten Cheats können über die Funktion Gespeicherten Spielstand ändern abgerufen werden. Soforn Sie noch nicht wissen, an welche Adresse in dem gespeicherten Spielstand sich der Wert befindet, den Sie ändern möchten, so können Sie die Funktion zum Suchen von Adressen verwenden.

Siehe auch:


In Spielstand nach Adresse suchen

Mit Hilfe dieser Funktion können Sie nach der Adresse eines bestimmten Wertes (z.B. nach der Adresse des Wertes für das Geld im Spiel) suchen. Wenn D-Fend Reloaded eine eindeutige Adresse für einen bestimmten Wert gefunden hat, kann diese automatisch in die Cheatsdatenbank eingetragen werden, so dass Sie die Spielstände dieses Spiels fortan direkt über die Funktion Gespeicherten Spielstand ändern entsprechend ändern können.

D-Fend Reloaded bietet zwei Möglichkeiten zur Suche nach einer Adresse. Wenn Sie den genauen Zahlenwert des zu ändernden Wertes kennen, können Sie direkt nach diesem Wert suchen. Findet D-Fend Reloaded den Wert mehrfach in der Datei, so speichert es die Adresse und durch eine weitere Suche in einer anderen Spielstandsdatei können Sie Adresse weiter eingrenzen. Überlicherweise bleibt nach einigen wenigen Suchschritten nur noch eine Adresse übrig, die dann in die Datenbank eingetragen werden kann. Ist der genaue Zahlenwert jedoch unbekannt, so muss eine etwas aufwendigere Suchmethode angewandt werden. Im ersten Schritt legt D-Fend Reloaded eine Kopie der aktuellen Spielstandsdatei an. Wenn Sie den Suchdialog später erneut öffnen, können Sie angeben, ob sich der Wert, dessen Adresse gesucht ist, seit dem letzten Aufruf erhöht oder erniedrigt hat. D-Fend Reloaded vergleich dann den aktuellen Spielstand mit dem gespeicherten, alten Spielstand. Auch auf diese Weise ergibt sich eine Reihe von Adresskandidaten. Wiederum durch weitere Suchen mit "gestiegen" oder "gefallen" lässt sich die Liste weiter eingrenzen, so dass auch bei dieser Methode am Ende eine eindeutige Adresse übrig bleibt. Allerdings sind bei der Suche ohne konkreten Wert üblicherweise mehr Schritte nötig, um eine Adresse zu finden.

Siehe auch:


Imagedatei erstellen

In diesem Dialog können Sie neue, leere Disketten- und Festplattenimage-Dateien erstellen. Diese Imagedateien können dann über die Laufwerke-Dialogseite des Profileditor-Dialogs als Laufwerke in DOSBox eingebunden werden.

Diskettenimages / Festplattenimages

Über die beiden Registerreiter am oberen Fensterrand können Sie auswählen, ob ein Disketten- oder ein Festplattenimage erstellt werden soll. Bei Diskettenimages können Sie den Diskettentyp oder manuell die Anzahl an Spuren, Köpfen und Sektoren pro Spur angeben. Bei Festplattenimages kann die Größe im MB angegeben werden.

Optionen

  • Imagedatei im NTFS-Dateisystem komprimieren
    Wenn diese Option aktiviert ist, wird das Image als komprimierte Datei gespeichert. Dies bedeutet, dass die Datei nur soviel Platz auf dem Datenträger belegt, wie wirklich zum Speichern der in dem Image abgelegten Dateien notwenidg ist. Die leeren Sektoren innerhalb des Images belegen fast keinen Platz. Die Kompression erfolgt durch den Windows-Festplattentreiber, d.h. Sie können mit der komprimierten Datei normal arbeiten, ohne ein (De-)Kompressionsprogramm verweden zu müssen.
  • Image bootfähig machen
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded die FreeDOS Boot-Dateien auf das Image und erstellt einen Bootsektor auf dem Image, welches es bootfähig macht. (Um diese Option verwenden zu können, muss FreeDOS installiert und der Pfad zu FreeDOS auf der Dialogseite FreeDOS des the Programmeinstellungen-Dialogs eingetragen sein.)
  • Die DOSBox-Tastaturbelegung verwenden
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded den FreeDOS-Tastaturtreiber in das Image und fügt eine Zeile in die autoexec.bat-Datei ein, um das Tastaturlayout, welche in der in D-Fend Reloaded gewählten Sprachdatei definiert ist, zu aktivieren.
  • Maustreiber einbinden
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded den FreeDOS-Maustreiber in das Image und fügt eine Zeile in die autoexec.bat-Datei ein, um ihn beim Starten des Images zu aktivieren.
  • Speichermanager verwenden
    Ist diese Option aktiviert, so werden die Speicherverwaltungsprogramme himem und emm386 auf das Image kopiert und aktiviert, so dass mehr konventioneller Speicher zur Ausführung von Anwendungen zur Verfügung steht.
  • Datenträger-Verwaltungsprogramme hinzufügen
    Wenn diese Option aktiviert ist, werden Programme zum partitionieren, formatieren und prüfen von Datenträgern in das Image kopiert.
  • Texteditor hinzufügen
    Wenn diese Option aktiviert ist, wird ein Texteditor mit in das Image kopiert.

Siehe auch:

"Laufwerke" Dialogseite des Profileditors


IMG-Image von Diskette erstellen

In diesem Dialog können Sie IMG-Imagedateien von physikalischen Disketten erstellen. IMG-Diskettenimages können über die Dialogseite Laufwerke des Profileditor-Dialogs als Laufwerke in DOSBox eingebunden werden.

Über den Menüpunkt "IMG-Image auf Diskette schreiben" des "Imagedateien"-Untermenüs des "Extras"-Menü können bestehende IMG-Images wieder zurück auf Diskette geschrieben werden.

Siehe auch:


IMG-Image auf Diskette schreiben

Von diesem Dialog aus können Sie IMG-Imagedateien auf physikalische Disketten schreiben.

IMG-Diskettenimages können von physikalischen Disketten über den Menüpunkt "IMG-Image von Diskette erstellen" aus dem "Imagedateien"-Untermenü des "Extras"-Menü erstellt werden.

IMG-Diskettenimages können über die Dialogseite Laufwerke des Profileditor-Dialogs als Laufwerke eingebunden werden.

Siehe auch:


Imagedatei von Ordnerinhalt erstellen

In diesem Dialog können Sie Diskettenimages mit dem Inhalt eines Ordners auf der Festplatte erstellen.

  • Imagetype
    In dieser Box können Sie auswählen, ob ein Disketten- oder ein Festplattenimage angelegt werden soll. Diskettenimages sind 1,44MB groß, Festplattenimages werden automatisch an die Größe der zu kopierenden Dateien angepasst (wobei zusätzlich 5MB freier Platz einkalkuliert werden).
  • Image bootfähig machen
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded die FreeDOS Boot-Dateien auf das Image und erstellt einen Bootsektor auf dem Image, welches es bootfähig macht. (Um diese Option verwenden zu können, muss FreeDOS installiert und der Pfad zu FreeDOS auf der Dialogseite FreeDOS des the Programmeinstellungen-Dialogs eingetragen sein.)
  • Die DOSBox-Tastaturbelegung verwenden
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded den FreeDOS-Tastaturtreiber in das Image und fügt eine Zeile in die autoexec.bat-Datei ein, um das Tastaturlayout, welche in der in D-Fend Reloaded gewählten Sprachdatei definiert ist, zu aktivieren.
  • Maustreiber einbinden
    Wenn diese Option aktiviert ist, überträgt D-Fend Reloaded den FreeDOS-Maustreiber in das Image und fügt eine Zeile in die autoexec.bat-Datei ein, um ihn beim Starten des Images zu aktivieren.
  • Speichermanager verwenden
    Ist diese Option aktiviert, so werden die Speicherverwaltungsprogramme himem und emm386 auf das Image kopiert und aktiviert, so dass mehr konventioneller Speicher zur Ausführung von Anwendungen zur Verfügung steht.
  • Datenträger-Verwaltungsprogramme hinzufügen
    Wenn diese Option aktiviert ist, werden Programme zum partitionieren, formatieren und prüfen von Datenträgern in das Image kopiert.
  • Texteditor hinzufügen
    Wenn diese Option aktiviert ist, wird ein Texteditor mit in das Image kopiert.
  • Fertiges Image auf reale Diskette schreiben
    Wenn diese Option aktiviert ist, wird das Diskettenimage nach seiner Erstellung auf eine reale Diskette geschrieben.

Siehe auch:


Imagedatei in Ordner entpacken

Über diesen Menüpunkt können Sie bestehende Imagedateien, die von DOSBox gelesen werden können, in normale Ordner auf der Festplatte entpacken.


ISO-Image von CD erstellen

In diesem Dialog können Sie ISO-Imagedateien von bestehenden CD-ROMs erstellen. ISO-Images können uuml;ber die Dialogseite Laufwerke des Profileditor-Dialogs als Laufwerke in DOSBox eingebunden werden.

Der D-Fend Reloaded ISO-Image-Leser kann nur den jeweils ersten Track einer CD lesen. Wenn Sie ein ISO-Image einer CD, die mehrer Tracks besitzt, erstellen wollen, sollten Sie einen externen ISO-Image-Leser verwenden.

See also:

"Laufwerke" Dialogseite des Profileditor-Dialogs


Imagedatei-basierendes Profil von normalem Profil erstellen

In diesem Dialog können Sie ein Profil, in dem ein Spiel direkt in DOSBox gestartet wird, auswählen und in ein Festplattenimage-basierendes Profil umwandeln. Dies kann hilfreich sein, wenn sich ein Spiel in der DOS-Emulation von DOSBox nicht korrekt ausführen lässt.

Neben dem umzuwandelnden Profil müssen Sie nur angeben, wieviele zusätzliche Megabyte in dem Image für zukünftige Spielstände usw. reserviert werden sollen, ob die Imagedatei im NTFS-Dateisystem komprimiert werden soll und ob HIMEM und EMM386 auf dem Festplattenimage eingebunden werden sollen. In den meisten Fällen ist es hilfreich, diese Speichermanager zu verwenden. In einigen wenigen Fällen müssen diese jedoch deaktiviert werden, damit das Spiel korrekt ausgeführt werden kann.

Das Ausgangsprofil wird bei der Verarbeitung nicht verändert. Nach Abschluss des Vorgangs erscheint ein zusätzliches Profil in der Spieleliste.

Siehe auch:


Spieleverzeichnis nach neuen Spielen durchsuchen

Mit Hilfe dieser Funktion können Sie das auf der Verzeichnisse-Seite des Programmeinstellungen-Dialogs angegebene Spieleverzeichnis nach neuen Spielen durchsuchen und diese automatisch zur Spieleliste hinzufügen.

  • Profilnamen-Schema
    Wenn ein Spiel hinzugefügt werden soll, für das keine passende AutoSetup-Vorlage existiert (und die Option zum Hinzufügen von Spielen ohne passende AutoSetup-Vorlagen aktiviert ist), können Sie in diesem Feld festlegen, ob der Dateiname der Spieledatei oder das Verzeichnisname, in dem sich das Spiel befindet, als Vorlage für den Profilnamen verwendet werden soll.

Siehe auch:


Profile auf fehlende Dateien überprüfen

Wenn Sie diese Menüpunkt anklicken, werden alle Profile auf fehlende Dateien und Ordner überprüft (z.B. ob die jeweils zu startenden Dateien in allen Profilen existieren usw.). Wenn D-Fend Reloaded Einträge, die auf fehlende Dateien und Ordner verweisen, findet, so zeigt es diese in einer Liste an.


Mehrere Profile gleichzeitig bearbeiten

In diesem Dialog können Sie Änderungen an mehreren Profile gleichzeitig vornehmen. Der Dialog besteht aus drei Seiten; auf der ersten Seite können Sie die zu bearbeitenden Profile auswählen und auf der zweiten und dritten Seite können Sie angeben, welche Datenfelder auf jeweils welchen Wert geändert werden sollen. Wenn Sie auf die "Ok"-Schaltfläche klciekn, werden die gewählten Änderungen an den gewählten Profilen vorgenommen.

Siehe auch:

Profileditor-Dialog


Mehrere Spiele deinstallieren

In diesem Dialog können Sie mehrer Spiele gleichzeitig deinstallieren. Dies bedeutet, dass bei der Verwendung dieses Dialogs nicht nur die Profildateien zu den Spielen entfernt werden, sondern alle zu dem Spiel gehörenden Dateien gelöscht werden. Wenn Sie hingegen nur die D-Fend Reloaded Profildateien löschen wollen und die eigentlichen Spiele behalten wollen, müssen Sie die Funktion "Löschen" aus dem "Profil"-Menü verwenden.

Aktionen

In diesem Feld können Sie auswählen, welche Dateien gelöscht werden sollen. Wenn Sie die gewählten Spiele vollständig löschen wollen, können Sie den Vorgabewert "Profil-Listen Eintrag und alle Programmdatenverzeichnisse löschen" ausgewählt lassen. D-Fend Reloaded löscht grundsätzlich nur Dateien, die von keinem anderen Profil verwendet werden. Außerdem werden nur Dateien gelöscht, die sich innerhalb des Basisordners und seinen Unterordnern befinden (siehe Dialogseite Verzeichnisse des Programeinstellungen-Dialogs). Dadurch wird sichergestellt, dass das Deinstallieren von falsch konfigurierten Spielen trotzdem zu keinen Schäden an der Softwareinstallation außerhalb des D-Fend Reloaded Basisverzeichnisses führen kann. (Sie können diese Schutzfunktion auf der Dialogseite Sicherheit des Programeinstellungen-Dialogs deaktivieren, allerdings wird dringend empfohlen, diese Schutzfunktion aktiviert zu lassen.)

Siehe auch:


Verknüpfungen erstellen

Mit Hilfe dieser Funktion können Sie ein Verknüpfungen für die gewählten Profile auf dem Desktop oder im Startmenü erstellen. Wenn Sie diese Verknüpfungen später anklicken, wird das entsprechende Profil automatisch gestartet.

Wenn Sie D-Fend Reloaded in einer Wine-Umgebung unrer Linux einsetzen, können Sie diese Funktion so umkonfigurieren, dass sie statt Windows-Verknüpfungen Linux Shell-Skripte erstellt. (Sie dafür die Dialogseite Wine-Unterstützung des Programmeinstellungen-Dialogs.)


D-Fend Reloaded Übersetzungseditor

Der Übersetzungseditor unterstützt Sie dabei, D-Fend Reloaded in andere Sprachen zu übersetzen. (Alternative können Sie auch einfach eine Kopie einer der ini-Sprachdateien in dem Sprachen-Verzeichnis erstellen und diese Kopie in einem Texteditor bearbeiten, allerdings ist der Übersetzungseditor wesentlich komfortabler.)

Über die Auswahlbox oben in dem Dialog können Sie die Kategorie, deren Zeichenketten Sie übersetzen wollen, auswählen. Die Tabelle, die den größten Bereich des Dialogs einnimmt, besteht aus drei Spalten und ändert Ihren Inhalt in Abhängigkeit von der gewählten Kategorie: Im der ersten Spalte stehen die Bezeichner für die jeweiligen zu übersetzenden Zeichenketten. (Dies sind Namen wie "File.Export" für das Wort "Export" im "Datei"-Menü.) In der zweiten Spalte steht der jeweilige englische Standardname für den Bezeichner und in der dritten, editierbaren Spalte können Sie den Namen für den Bezeichner in der neuen Sprache eingeben.

Siehe dazu auch in der häufig gestellten Fragen (FAQs):

Wie kann ich eine andere Sprache für die D-Fend Reloaded Programmoberfläche erstellen ?
Gibt es einen einfachen Weg, eine neue Sprachdatei auf Rechtschreibfehler zu überprüfen ?


DOSBox Übersetzungseditor

Der Übersetzungseditor unterstützt Sie dabei, DOSBox in andere Sprachen zu übersetzen. (Alternative können Sie auch einfach eine Kopie einer der ini-Sprachdateien in dem Sprachen-Verzeichnis erstellen und diese Kopie in einem Texteditor bearbeiten, allerdings ist der Übersetzungseditor wesentlich komfortabler.)

Über die Auswahlbox oben in dem Dialog können Sie die zu übersetzende Zeichenketten auswählen. Das Textfeld, das den größten Bereich des Dialogs einnimmt, zeigt die aktuelle Übersetzung der Zeichenkette an. Hier können Sie auch den neuen Inhalt für die Zeichenkette eingeben.

Siehe auch:

DOSBox-Einstellungen Seite im Programmoptionen-Dialog


Forum

Es gibt kein spezielles Support-Forum für D-Fend Reloaded auf der D-Fend Reloaded Homepage. Aber es gibt ein langes Diskussionsthema zu D-Fend Reloaded in dem Vogons-Forum ("Very old games on new systems").

In dem Vogons-Forum können Sie auch Antworten zu vielen allgemeinen Fragen rund um den Betrieb von alten Spielen finden (weit jenseits von D-Fend Reloaded). Beim Posten von Fragen in das Vogons-Forum, sollten Sie jedoch die folgenden Dinge beachten:

  • Rechtlicher Status von Abandondedware:
    Die meisten Mitglieder des Vogons-Forums verwenden eine sehr strenge Auslegung der Copyright-Gesetzgebung. Auch wenn der rechtliche Status von Abandondedware nicht eindeutig geklärt ist, werden derartige Angebote von den meisten Mitglieder des Vogons-Forums schlicht als illegal angesehen. Mehr noch werden üblicherweise keine Anfragen zu Spielen beantwortet, wenn der Frager angibt, das Spiel von einer Abandondedware-Seite heruntergeladen zu haben. D.h. die Vogons-Forumsmitglieder werden Ihnen sehr wahrscheinlich nur dann weiterhelfen, wenn Sie das Spiel regulär besitzen (=den Diskettensatz zu dem Spiel besitzen).
  • Das Vogons-Forum ist nicht D-Fend Reloaded:
    Auch wenn ich das Vogons-Forum verwende, um Support für D-Fend Reloaded zu leisten, gibt es doch keinerlei Verbindung zwischen dem Vogons-Forum und D-Fend Reloaded. Der wesentliche Gegenstand der Themen des Forums ist DOSBox bzw. die Verwendung von DOSBox zum Betrieb alter Spiele. D.h. Sie sollten nicht erwarten, dass alle Mitglieder des Forums Experten für D-Fend Reloaded sind und Ihnen bei Ihren Fragen weiterhelfen können. Es gibt sogar einige Forumsmitglieder, die die Verwendung jeglicher Frountends kategorisch ablehnen.
  • Der wahre Typ des Problems:
    Wenn Sie eine Anfrage mit "I have a problem with D-Fend Reloaded" beginnen, ist die Wahrscheinlichkeit hoch, dass Sie die Antwort erhalten werden: "Try running DOSBox without using any Frontend." (siehe auch der vorherige Punkt). In den meisten Fällen ist ist es auch gar nicht D-Fend Reloaded, womit Sie ein Problem haben, sondern DOSBox bzw. der Betrieb eines Spiels innerhalb von DOSBox. Da viele der Mitglieder des Forums DOSBox-Experten sind, ist es wesentlich erfolgversprechender, wenn Sie um Hilfe bitte, das Spiel innerhalb von DOSBox auszuführen und dann (wenn dies gewünscht wird) die DOSBox conf-Datei zu posten. (Diese kann in D-Fnd Reloaded über das Kontextmenü eines Profils oder über den Profileditor angezeigt werden.)
  • D-Fend Reloaded ist nicht D-Fend:
    Auch wenn beiden Namen mit "D-Fend" beginnen und es sich bei beiden um Frontends für DOSBox handelt, sind es doch vollkommen verschiedene Programme die keinerlei gemeinsamen Quellcode besitzen. D-Fend (ohne "Reloaded") ist ein älteres Frontend, welches nicht mehr weiterentwickelt wird, für ältere DOSBox-Versionen ausgelegt war und bei der Verwendung in Verbindung mit der aktuellen DOSBox-Version Probleme verursachen kann. D.h. wenn Sie D-Fend Reloaded verwenden sollten Sie keine Anfragen der Form "Game ... won't run with D-Fend." schreiben, da Sie darauf wahrscheinlich nur die Antwort "D-Fend is outdated, use D-Fend Reloaded." erhalten.

Wenn Sie die obigen Informatione gelesen haben und versprechen, diese beim Posten von Nachrichten im Vogons-Forum auch zu beherzigen, können Sie jetzt die Webseite des Forums öffnen:

D-Fend Reloaded Diskussionsthema im Vogons-Forum


Alte Spiele

Aus dem Untermenü, dass sich öffnet, wenn Sie auf diesen Menüpunkt zeigen, können Sie verschiedene Internetseiten, die alte Spiele zum Thema haben, aufgerufen werden.

Links bearbeiten

Wenn Sie auf "Links bearbeiten" klicken, öffent sich ein Dialog, in dem Sie die Liste der angebotenen Internetverknüpfungen bearbeiten können. Jede Zeile stellt dabei eine Verknüpfung dar; auf der linken Seite stehen die anzuzeigenden Namen und auf der rechten Seite die aufzurufenden Internetadressen. Leerzeilen werden als Trennlinien dargestellt und mit Hilfe vorangestellter "="-Zeichen können Menüpunkte verschachtelt werden.


Statistik

Der Statistik-Dialog zeigt Ihnen an, wie viele Profile, Vorlagen und Icons in Ihrer D-Fend Reloaded Installation vorhanden sind. Außerdem zeigt er Ihnen die Anzahl der Spiele-Profile pro Genre an.


Betriebsart

Dieser Dialog zeigt Ihnen die Betriebsart, in der D-Fend Reloaded installiert wurde, an. D-Fend Reloaded kann in insgesamt drei verschiedenen Betriebsarten installiert werden:

  • Benutzerverzeichnis-Modus
    Dies ist die Standard Betriebsart. Die Programmdateien von D-Fend Reloaded und DOSBox werden in einem Unterverzeichnis des Programme-Verzeichnisses abgelegt. Beim Betrieb von D-Fend Reloaded sind keinerlei Schreibzugriffe auf dieses Verzeichnis mehr nötig, d.h. das Programm kann ohne Admin-Rechte ausgeführt werden und verhält sich Vista-komform. Profile, Einstellungen und Spiele werden in Unterverzeichnissen eines Verzeichnisses namens "D-Fend Reloaded" abgelgt. Das Verzeichnis "D-Fend Reloaded" befindet sich direkt in Ihrem Benutzprofil-Verzeichnis.
  • Programmverzeichnis-Modus
    Dies Betriebsart wird nur aus Kompabilität mit D-Fend (classic) angeboten. Sowohl die Programmdateien von D-Fend Reloaded und DOSBox als auch alle Profile, Einstellungen und Spiele werden in einem Unterordner des Programmeverzeichnisses abgelegt. Da normale Anwender oft keine Schreibrechte für Verzeichnisse innerhalb des Programmeordners haben, müssen Sie D-Fend Reloaded entweder als Admin ausführen oder aber dieses Verzeichnis explizit zum Schreiben freigeben.
  • Portabler Modus
    In diesem Modus verhält sich D-Fend Reloaded ähnlich wie im "Programmverzeichnis-Modus", aber das Basisverzeichnis, der Pfad zu der DOSBox-Installation usw. werden relative zum Programmverzeichnis in der Konfiguration gespeichert. Das hat zur Folge, dass Sie den gesamten D-Fend Reloaded Ornder an jede beliebige Position verschieben können ohne dafür irgendwelche Anpassungen an der Konfiguration vornehmen zu müssen. (Diese Betriebsart ist dafür gedacht, D-Fend Reloaded und DOSBox direkt von USB-Stick aus auszuführen.)

Die Auswahlfelder und (nur lesbaren) Eingabefeld in diesem Dialog zeigen ebenfalls die obigen Informationen zu der gewählten Betriebsart an.


Nach Updates suchen

Durch das Anklicken dieses Menüpunkts starten Sie eine manuelle Suche nach Updates für D-Fend Reloaded. Sie können auf der Nach Updates suchen Dialogseite des of the Programmeinstellungen-Dialogs auch einstellen, dass D-Fend Reloaded in regelmäßigen Abständen automatisch nach Updates sucht.

Die Updateüberprüfung überträgt keine persönlichen Daten ins Internet. Bei der Updateüberprüfung wird lediglich der Inhalt einer auf der D-Fend Reloaded Homepage angebotenen Textdatei heruntergeladen und ausgewertet. Wenn die Versionsnummer, die in dieser Textdatei angegeben ist, größer als die Versionsnummer der aktuellen Installation ist, bietet die Updateprüfung an, den in der zweiten Zeile der Textdatei angegebenen Updateinstaller herunter zu laden und auszuführen.

Dateils zur Funktionsweise der Update-Überprüfung

Der Update-Checker läd folgende Datei von der D-Fend Reloaded Hompage auf Sourceforge herunter: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt". Die Datei enthält zwei Textzeilen; in der ersten Zeile steht die Versionsnummer der aktuellen D-Fend Reloaded Version (z.B. "0.6.0" ) und in der zweiten Zeile die Download-Adresse für den Updateinstaller, der eine existierende D-Fend Reloaded Installation auf diese Version aktualisiert (z.B. "http://downloads.sourceforge.net/dfendreloaded/D-Fend-Reloaded-0.6.0-UpdateSetup.exe"). Wenn die Versionsnummer in der UpdateInfo.txt-Datei größer ist, als die Versionsnummer der momentan verwendeten D-Fend Reloaded Installation, wird Sie der Update-Checker fragen, ob Sie jetzt auf diese Version aktualisiern wollen. Wenn Sie diese Frage mit "Ja" beantworten, wird er die in der zweiten Zeile der in der UpdateInfo.txt-Datei angegebenen Datei in Ihr Verzeichnis für tempräre Dateien herunterladen und starten. Als letzten Schritt wird er Windows mitteilen, den Update-Installer so bald wie möglich wieder zu löschen. Da der Update-Installer jedoch gerade ausgeführt wird, kann Windows die Datei nicht sofort löschen und fügt sie in die interne "Beim nächsten Systemstart löschen"-Liste ein.

Momentan handelt es sich bei der UpdateInfo.txt-Datei um eine statische Datei, aber in Zukunft wäre es denkbar, dass der Webserver verschiedene Dateiinhalte abhängig von der momentan verwendeten D-Fend Reloaded Version ausliefert (ein kleiner Update-Installer für Aktualisierungen von Version 0.6.0 auf 0.6.1 und ein gröeres Installationspaket, welches alle älteren Versionen aktualisieren kann). Um dies zu ermöglichen, fügt D-Fend Reloaded beim Abfragen der Update-Informationsdatei ein "?Version=0.6.0" an die Adresse an (bzw. was sonst die aktuelle Verionsnummer ist). Wenn Sie nicht möchten, dass php-Skript auf dem Sourceforge-Webserver erfährt, welche D-Fend Reloaded Version Sie momentan einsetzen, können Sie diese Adressergänzung auf dieser Dialogseite deaktivieren. Da php-Skripte auf dem Sourceforge Webserver grundsätzlich keine Daten in Dateien abspeichern können (d.h. keine Anfragen in Log-Dateien erfassen können), ergeben sich keinerlei Einschränkungen der Privatephäre durch die Update-Abfrage.

Der Update-Checker stellt also lediglich eine Automatisierung dessen dar, was Sie manuell unternehmen würden, wenn Sie auf der Homepage nach Updates suchen. Die Update-Überprüfung kann automatisch beim Programmstart von D-Fend Reloaded durchgeführt werden. Da Programme, die ungefragt Internetverbindungen aufbauen häufig jedoch nicht gern gesehen werden, ist diese Option im Auslieferungszustand deaktiviert.

Die Update-Prüfung verwendet die Windows-Verbindungseinstellung (die Sie über die Programmeinstellungen des Internet Explorers anpassen können). Dies bedeutet insbesondere, dass D-Fend Reloaded den möglicherweise im Internet Explorer konfigurierten Proxy-Server verwenden wird.

Siehe auch:

Programmeinstellungen-Dialog


Erststart-Assistent

Der Erststart-Assistent hilft Ihnen bei Vornehmen der wichtigten Einstellungen unmittelbar nach der Installation von D-Fend Reloaded.

Programmsprache und DOSBox-Sprache

Die Programm- und DOSBox-Sprache wird vom Installationsprogramm übernommen, so dass diese in den meisten Fällen bereits korrekt eingestellt sein sollte.

Standard DOSBox-Installation

In diesem Feld können Sie angeben, welche DOSBox-Installation standardmäßig zum Aufruf der DOS-Spiele verwendet werden soll. Sofern Sie bei der Installation von D-Fend Reloaded die Option, DOSBox mit zu installieren, nicht explizit abgewählt haben, können Sie die Einstellung "Mit D-Fend Reloaded installierte Version" beibehalten. Unabhängig von der hier gewählten Standard-Installation können Sie später jedem Profil auch eine individuelle DOSBox-Version zuweisen.

Automatisch nach Updates suchen

Über dieses Feld können Sie festlegen, ob D-Fend Reloaded automatisch in regelmäßigen Abständen nach Programmupdates suchen soll. (Es wird dabei nur nach Updates gesucht; wenn ein Update gefunden wurde, werden Sie gefragt, ob Sie dieses installieren wollen. Eine automatische Installtion von Updates ohne Rückfrage erfolgt keinesfalls.) Wenn Sie die Vorgabeeinstellungen beibehalten, wird D-Fend Reloaded niemals automatisch Verbindungen mit dem Internet aufnehmen. Sie können auch jederzeit manuell über den Menüpunkt Nach Updates suchen im "Hilfe"-Menü einen Update-Suchvorgang starten.

Alle hier angebotenen Einstellungen können Sie auch später jederzeit in dem Programmeinstellungen-Dialog anpassen.

Siehe auch:

Programmeinstellungen-Dialog


Profil bearbeiten (klassisch)

Menü: Profil | Bearbeiten (klassisch)

DOSBox-Profil bearbeiten (klassischer Profileditor)

Der klassische Profileditor ist nur aus Kompabilitätsgründen mit D-Fend v2 in D-Fend Reloaded enthalten. Sie sollten diesen Editor nur verwenden, wenn Sie das Look & Feel von D-Fend v2 in D-Fend Reloaded haben wollen. Der klassische Profileditor versucht den Profileditor aus D-Fend v2 (insbesondere in Bezug auf die Verteilung der Einstellungen auf die verschiedenen Dialogseiten) nachzubilden. Er bildet alle Einstellmöglichkeiten von D-Fend v2 ab, aber stellt nicht alle Optionen, die D-Fend Reloaded besitzt, dar.

Sie können auf der Profileditor Dialogseite des Programmeinstellungen-Dialogs einstellen, ob sie den klassischen oder den modernen Profileditor verwenden möchten.

Für eine Beschreibung der Einstellungen, die im Profileditor angeboten werden, siehe die Hilfeseite zum modernen Profileditor.

Siehe auch:

Moderner Profileditor-Dialog


Versionsgeschichte

Version 1.2.1 (23.10.2011)
Version 1.2.0 (29.09.2011)
Version 1.1.0 (25.02.2011)
Version 1.0.3 (15.11.2010)
Version 1.0.2 (25.10.2010)
Version 1.0.1 (13.09.2010)
Version 1.0.0 (02.07.2010)
Version 0.9.3 (31.03.2010)
Version 0.9.2 (19.03.2010)
Version 0.9.1 (05.02.2010)
Version 0.9.0 (02.12.2009)
Version 0.8.2 (31.08.2009)
Version 0.8.1 (10.08.2009)
Version 0.8.0 (28.07.2009)
Version 0.7.0 (28.04.2009)
Version 0.6.1 (31.10.2008)
Version 0.6.0 (20.10.2008)
Version 0.5.0 (22.08.2008)
Version 0.4.1 (22.05.2008)
Version 0.4.0 (14.05.2008)
Version 0.3.2 (29.02.2008)
Version 0.3.1 (18.02.2008)
Version 0.3.0 (08.02.2008)
Version 0.2.0 (16.01.2008)
Version 0.1.2 (04.01.2008)
Version 0.1.1 (18.12.2007)
Version 0.1.0 (08.11.2007)

Die einzelnen Einträge zur Versionsgeschichte liegen leider nur auf Englisch vor.

» Version 1.2.1 (10/??/2011)
  • Added a setup option to select which filter keys to be displayed in the filter tree view.
  • The Russian language file has been updated.
  • [Fix] Exception in the new game wizard when using the default template.
  • [Fix] Exception when using the "Reset all pages but this" function in the profile editor to reset a profile to a template.
  • [Fix] Wrong name for "Export archive file" popup menu item.

» Version 1.2.0 (09/29/2011)
  • Updated DOSZip from 2.08 to 2.17.
  • Added about 300 new auto setup templates.
  • New "Select by" option in the profiles export dialog: Games for which there is no auto setup template.
  • New option to create package list xml files for plain archive files.
  • In the extra program files dialog of the profile editor parameters for the additional program files can be entered now.
  • New function in the icons manager to add all icons from a selected folder and its subfolders.
  • Setup option to allow or block multiple instances of D-Fend Reloaded at the same time.
  • New option to setup the font style (bold, italic, underlined) for normal games list entries.
  • D-Fend Reloaded can store up to 9 internet addresses per profile now.
  • Setup option to use the image viewer as a non-modal window.
  • New option to change pixel shader settings in the multiple profiles editor.
  • More ScummVM settings in the multiple profiles editor.
  • The modes "hardware2x" and "hardware3x" will be added automatically to the scalers list when activating the pixel shader GUI.
  • New input fields on the MIDI page of the profile editor to setup MT32.
  • Now you can set up custom DOSBox settings per DOSBox installation, too.
  • Improved detection if the per profile keyboard mapper file is the same as the global keyboard mapper file on the keyboard page of the profile editor.
  • Additional user-defined command line parameters can be passed to ScummVM now.
  • Now the icon manager will show icons located in sub folders of the icons folder, too.
  • Some smaller improvements to the first run wizard.
  • [Fix] Incompatibility with ScummVM 1.3.x is fixed.
  • [Fix] Storing the order of user defined columns in the games list did not work correctly.
  • [Fix] The package manager can handle splitted packages larger than 2 GB from local sources now.
  • [Fix] The options "Video chipset" and "Video RAM" in the multiple profiles editor did not work correctly.
  • [Fix] Displaying multiple bmp files in the screenshots previewer did not work correctly.
  • [Fix] Opening the profile editor for an auto setup template could rise an expection under some conditions.
  • [Fix] The function "Convert absolute to relative paths" from the service page of the program options dialog could rise an expection under some conditions.
  • [Fix] Clicking the down button to reorder the list of user-defined emulators on the "Other emulators" setup dialog page cause some settings to be overwritten.
  • [Fix] The names of the user-defined emulators in the dropdown box on the "Other emulators" setup dialog page were not always correct.
  • [Fix] When filtering the games list by emulation type when selecting "Windows" also games using some user-defined emulators were listed.
  • [Fix] The download/copy progress dialog shows wrong percent values in the caption when copying large files from local sources.
  • [Fix] When changing the program language the language of the entries in the games list columns listbox did not change at once.
  • [Fix] The list available of licenses was not displayed correctly in the "Select by" menu.
  • [Fix] The preferences for opening text, image and video files were not respected when opening files from the data folder via the context or the profile menu.

» Version 1.1.0 (02/25/2011)
  • Updated DOSZip from 2.05 to 2.08.
  • New option in the mobygames data reader to download all images available for some game.
  • Setup option to configure if history information of started games shall be collected or not.
  • Support for more special ykhwong DOSBox builds features.
  • New optional games list column: Number of starts of the profile.
  • When exporting the games list you can choose which fields to export.
  • Now the package list creation and package download system can handle packages larger than 2 GB by splitting them.
  • The names for the files to look for a profile name suggestion when importing plain archive files (default: FILE_ID.DIZ) is configurareable now.
  • The history viewer dialog opens much faster now.
  • The games list tooltips now also tells how often the selected profile has been started.
  • New setup dialog option to configure whether D-Fend Reloaded should add a trailing backslash to path names when calling an external packer or not. (uha needs path names without trailing backslashs.)
  • Default command line parameter values for the external packers uha and arj32 are included now.
  • User defined emulators will be listed as sub entries below "Emulation type" in the games list filter tree.
  • A new option to filter the games list by game license is offered in the filter tree.
  • Setup option to rename all media files in all profiles.
  • The "Starting DOSBox failed" dialog now also allows to change the selected SDL video driver.
  • Option to reselect the last selected profile on program restart.
  • The games list can be exported as a xml file now.
  • New option in the icons library to rename all icon files to have upper or lower file extensions.
  • The package manager will display the download size of the selected games now.
  • Some more new auto setup templates.
  • The package manager will open faster now.
  • Lower memory consumption on downloading large files via the package manager.
  • Tuned the game and setup file detection code.
  • [Fix] The automatic translation of the license fields in the profiles failed.
  • [Fix] Sorting the columns in the history dialog by clicking the column headers did not work for all columns correctly.
  • [Fix] The second last games list column could not be moved down (to be the last column) on the games list columns editor in the setup dialog.
  • [Fix] Template names and custom game information keys containing "&" can cause problems.
  • [Fix] When running from a network share not connected to a drive letter starting DOSBox failed.
  • [Fix] When clicking the zoom button in the video previewer while a damaged video file is selected or the needed codec is missing a division by zero error message appeared.
  • [Fix] Access violation when using the "Start" dialog from the tray icon menu and opening a second dialog from the tray icon menu while the first dialog is still open.

» Version 1.0.3 (11/15/2010)
  • When importing plain archive files or folders D-Fend Reloaded will look for a FILE_ID.DIZ file and use if existent its content to suggest a profile name.
  • Files (like text files etc.) can be used as profile specific helper programs to be started before or after the main program now.
  • The physical path names for drives mounts can contain semicolons now.
  • If the user selects a custom MIDI device to be used in a profile the device will be stored by name and not by id anymore so the right device will be selected when using the profile on an other system, too.
  • Now the DOSBox IPX network settings can be configurated in the mutli profile editor, too.
  • Support for new glide=emu mode when using a ykhwong DOSBox build.
  • [Fix] Running profiles via command line parameters or via desktop or start menu shortcuts was not working.
  • [Fix] Error messages when trying to load icons larger than 256x256 pixels.
  • [Fix] A cover image downloaded from mobygames via the profile editor was not shown in the image viewer area of the main window at once if the profile editor was closed by clicking on "Cancel".

» Version 1.0.2 (10/25/2010)
  • Updated DOSZip from 2.01 to 2.05.
  • About 50 new auto setup templates.
  • The French and the French (Canada) languages file have been updated.
  • [Fix] When starting a new language based on "English" in the DOSBox language editor the chosen default DOSBox language was used, not always English.
  • [Fix] When importing a game from a plain archive file by using an auto setup template which has an icon file defined now D-Fend Reloaded will check if the icon file exists and remove the icon record if not.
  • [Fix] Some temporary files were not deleted when closing D-Fend Reloaded.
  • [Fix] "Transfer profiles" dialog not large enough for Italian translation.

» Version 1.0.1 (09/13/2010)
  • Updated DOSZip from 1.54 to 2.01.
  • A new start-up logging function can help you to find the problem if D-Fend Reloaded is not running.
  • Now the DOSBox language file editor can use the DOSBox built-in Englisch language file as template.
  • Updated the png file reader library.
  • [Fix] In some cases the "DOSBox start failed" dialog could appear even if DOSBox is working correctly.
  • [Fix] Access violation when unsing the "Create image" dialog.
  • [Fix] Download of multiple games packages from Sourceforge always failed.
  • [Fix] The pixel shader option on the graphics card page of the profile editor was partially out of the dialog.
  • [Fix] When selecting a MIDI device to be used in a DOSBox profile the text "midiconfig=id" is added to the additional MIDI settings field instead of just the MIDI device id.
  • [Fix] When running D-Fend Reloaded in portable operation mode and the base directory for relative path names was not set to the program directory the capture folder was not stored correctly.
  • [Fix] If updated from a previous D-Fend Reloaded version the changelog tab in the program information dialog may displayed an outdated, incomplete DOSBox changelog.
  • [Fix] The main window was not disabled while the check for missing files progress dialog was shown.

» Version 1.0.0 (07/02/2010)
  • DOSBox 0.74 is supported and bundled with D-Fend Reloaded.
  • Updated default values to offer all values available in DOSBox 0.74.
  • The new game installation support will assist you when adding a game that needs to be installed before being able to be used.
  • New function for making FreeDOS bootable images and profiles from normal profiles.
  • Functions for changing saved games (cheating) using an internal, editable data base or by searching for values in saved game files.
  • Updated DOSZip from 1.49 to 1.54.
  • It can be configurated from the setup dialog now when to update the packages list, the data reader configuration etc.
  • Via the Help|Search for updates function now you can also search for package list, data reader and cheats database updates.
  • The zip file import function also can import DBGL packages now.
  • New easier to use first run wizard.
  • If DOSBox start fails D-Fend Reloaded will show some information and will offer some options to find and solve the problem.
  • Now folders can be imported like archive files via the import menu and via drag&drop.
  • DOSBox language file editor.
  • New setup option when to configurate a new game completely automatically.
  • Like the genre and language names the license in game profiles can now be translated on the fly so profiles created via auto setup templates etc. will always be shown with translated names for the license.
  • Now multiple commands can be specified to be executed before/after DOSBox.
  • The DOSBox console window can be turned on and off on per profile now.
  • In the profile editor you can selected which physical output device to use when playing MIDI music inside DOSBox.
  • In the game information data reader dialog you can specify to look for DOS based games only or to look for all games.
  • The game information data reader dialog now also can change the profile name.
  • Now the game information data reader will remember which fields have been activated and which have be unchecked.
  • The paths to the text editor and the media viewers are stored relatively to the base folder if the programs are located in subfolders of the base folder.
  • You can create capture folders and game data folders for all profiles at the same time via the service page of the setup dialog.
  • You can disable the Windows exe file warnings for single profiles now.
  • Additionally to "and", "or", "not" language specific values for this logical operator can be used in the filter field.
  • The fields for DOSBox window resolution and fullscreen resolution can have individual default values lists now.
  • When creating a harddisk image file from some folder content now you can specify how much free space you want to have on the image.
  • Some additionally information texts in the profile editor for making it easier to understand the meanings of the DOSBox options.
  • Smarter way of finding the default GUI theme for ScummVM.
  • Some more auto setup templates.
  • [Fix] The "use scan codes" option was not passed the right way to DOSBox.
  • [Fix] Downloading multiple games packages via the package manager always failed.
  • [Fix] "Not" operator in games list filter not working correctly.
  • [Fix] Mounting folders as CD drives did not work on systems without a real CD drive.
  • [Fix] Some smaller fixes to the multiple profile editor.
  • [Fix] Hiding the ScummVM console did not work when starting ScummVM in fullscreen mode.
  • [Fix] Error message when pressing F1 while menu is opened.

» Version 0.9.3 (03/31/2010)
  • Czech language file (thanks to marker)
  • About 50 new auto setup templates for automatical installation of even more games.
  • Some more fine tuning to the way setup files are detected when importing plain archive files.
  • [Fix] Downloading icons, language files and icon sets via the package manager always failed.

» Version 0.9.2 (19.03.2010)
  • The Italian language file has been updated.
  • Updated DOSZip from 1.41 to 1.49.
  • The functions for filtering the games list by a search string can handle complex search strings (including "and", "or", "not", quotes, brackets, compare operators for numbers, selecting properties to check by writing "genre=..." etc.) now.
  • D-Fend Reloaded will use an internal update checker for checking for program updates now. This will also fix the Windows 7 issue the program looses focus on start up.
  • When running an update via the update check function the update installer will not ask for the installation directory anymore.
  • The codepage selection dropdown box in the profile editor will show some descriptions for the codepages now.
  • Improved DOSBox directory search order (if not installed together with DOSBox) on first run.
  • About 100 new auto setup templates for automatical installation of even more games.
  • Some fine tuning to the way game and setup files are detected when importing plain archive files.
  • D-Fend Reloaded will start a bit faster on first run now.
  • [Fix] The selected keyboard layout when defining a DOSBox installation specific keyboard layout in the advanced DOSBox settings may not got saved.
  • [Fix] Setting the DOSBox background priority for multiple profiles at once via the multi profile editor did not work correctly.
  • [Fix] Setting the CD volume did not work.
  • [Fix] In some conditions the Game Explorer integration during installation could fail.
  • [Fix] When adding profiles via the scan games folder function the entered name for the new profile was ignored when an auto setup template was selected to be used for the new profile.
  • [Fix] When copying a profile or adding profiles via the scan games folder function no collision check for existing capture folders was performed.

» Version 0.9.1 (05.02.2010)
  • Brazilian Portuguese language file (thanks to Cpt.Guapo)
  • Turkish language file (thanks to Hakan ATEÞ)
  • Updated DOSZip from 1.37 to 1.41.
  • Updated the DOSBox language files for German and Italian and added a new DOSBox language file for Polish.
  • About 150 new auto setup templates for automatical installation of even more games. Althogether D-Fend Reloaded now has more than 1000 auto setup templates.
  • Updated the default value lists for the supported keyboard layouts and codepages.
  • Added Wikipedia to the "Search for game" default links.
  • Faster filtering functions in the package manager.
  • [Fix] Drag&drop of zip files etc. to the program window sometimes did not work.
  • [Fix] Access violation when uninstalling multiple games while one of the profiles to be uninstalled is installed in the games list.
  • [Fix] Access violation when clicking the "Download game information" button on the programm information page of the profile editor when no internet connection is available.
  • [Fix] The game data reader update function did not work.
  • [Fix] When canceling a download from the package manager the program will continue with the next file from the download list instead of canceling the whole operation.
  • [Fix] The reset to default values function on the default values page of the program settings dialog could raise an access violation when closing the dialog.
  • [Fix] The select/unselect functions of dialogs like the prof file export etc. did not work for profiles having multiple values in the choosen category (multiple genres divided by ";" for example).
  • [Fix] When downloading multiple games via the package manager the close button of the main window became enabled after the first download was completed. Clicking the main window close button while the package manager dialog was opened raised an access violation.
  • [Fix] The "Use as screenshot in profiles list" context menu item in the "Data folder" tab was also visible if no file was selected.
  • [Fix] The "Rename all" and "Delete all" context menu entries in the screenshots, sounds and video tabs were also enabled if there were no files.
  • [Fix] Some minor problems in the keyboard layout setup; in particular when keyboard layout "none" is selected.
  • [Fix] Wrong filenames for downloaded language files if language file and the package list directring to this language file were not in the same directory on the server.
  • [Fix] Some corrections to the DOSBox keyboard layouts default values list.
  • [Fix] The language dropdown boxes in the setup dialog now have a tooltip hint and the dropdown list is wider (so "Brazilian Portuguese" is not truncated anymore).

» Version 0.9.0 (02.12.2009)
  • Example games packages, language files, icon sets etc. can be downloaded from the D-Fend Reloaded homepage via the import menu now.
  • Via the new "Tools" button in the profiles editor you can reset any page of a profile to any template.
  • Ability to add games for other emulators as Windows profiles (calling the emulator program file with the game data file as parameter).
  • From the game information page of the profile editor and the profile wizard game information (including a cover image) can be loaded from mobygames.com directly now.
  • Faster loading of the profile and the auto setup template files.
  • Now you can optionally enter multiple values per game info field (like genre, language etc.).
  • Normal drive mounts can be converted into archiv file mounts and vice versa right from the mounting dialog. The commands to run the game will also be changed automatically if needed.
  • You can drag links from your browser to the D-Fend Reloaded program window now. D-Fend Reloaded will download and importthe zip file behind the link.
  • All captured screenshots, sounds and videos can be renamed from the context menu to have an uniform name scheme.
  • D-Fend Reloaded will warn the user when importing an archive file with a name of an existing profile and will prevent overwriting existing games directory subdirectories when importing plain archive files.
  • When adding new profiles via the profile editor needed mounting records can be added automatically now. (This was already done when adding profiles via the wizard.)
  • In the multiple profiles editor sections can be collapsed and expanded (like in a tree structure) to make it more clear.
  • Now image files can be used as game icons, too.
  • The algorithm used for scaling images (like screenshots) can be selected from the program options dialog now.
  • D-Fend Reloaded can optionally create conf files for all profiles in the games list automatically.
  • The floppy and harddisk image creator now can make harddisk images and floppy disk images of all sizes bootable.
  • The make disk image from folder content function now is able to create harddisk images, too.
  • When creating disk images optionally disk management utilities and a text editor can be added to the image.
  • When creating bootable disk images optionally a memory manager can be added to the image. Also not only the selected keyboard layout is used on the image but also the codepage.
  • Some improvements to the language editor.
  • Added *.ima to the file selection dialog when selecting an image file for mounting or for extracting.
  • About 300 new auto setup templates for automatic identification of even more games.
  • Two more sites have been added to the list of game information sites (TheLegacy.de and KultPower.de).
  • The time needed on first program start for initializing the user data has been improved.
  • The profile editor and the program options dialog will open a bit faster.
  • Some smaller improvements to the new profile wizard.
  • [Fix] Extra directories and extra files records (see directories page of the profile editor) got damaged when using the "Convert absolute to relative paths" function in the program options dialog.
  • [Fix] When importing a plain archive file with multiple executable files in it and with a matching auto setup template sometimes the wrong executable file was selected.
  • [Fix] The main window hotkeys were enabled while template editor was open.
  • [Fix] Access violation then trying to add a game with a space in the filename via the profile wizard.
  • [Fix] The "Run game with current configuration" from the profile editor dialog did not work with ScummVM and Windows game profiles.
  • [Fix] When setting the SoundBlaser or the Gravis UltraSound base address to a hexadecimal address containing letters the selected address was not stored.
  • [Fix] Erroneous window behaviour when using "Run game with current configuration" from the profile editor dialog or when creating bootdisk images when "Minimize when DOSBox start" was active.
  • [Fix] keybrd2.sys and keybrd3.sys needed for some languages missing on bootdisks.
  • [Fix] Wrong error message "No game file selected" when adding a profile for booting an image file.

» Version 0.8.2 (31.08.2009)
  • Faster program start.
  • Faster start of profiles on many games in the games directory.
  • [Fix] Previewer area at the bottom of them main window is not resizeable.
  • [Fix] When using the "Create multiple shortcuts" function the tooltip hints for the created shortcuts can be wrong.
  • [Fix] When transfering, uninstalling, building archive files or building installer packages from profiles using cue/bin CD images only the selected cue file was processed; the bin file was ignored.
  • [Fix] The mounting search and replace function of the multiple profiles editor did not work.
  • [Fix] The mouse wheel not working on settings page of the multiple profiles editor.
  • [Fix] Sometimes a second taskbar entry appears when clicking the program window while creation of an archive package is prepared.

» Version 0.8.1 (10.08.2009)
  • [Fix] If you press the delete key in the quick search box the program asks you if you want to delete the currently selected profile.
  • [Fix] Pressing F3 while the wizard dialog is visible causes an access violation when closing the dialog.
  • [Fix] The update installer did not update all DOSBox language files.
  • [Fix] The scan games folder function was not automatically adjusting the mounting settings from the auto setup templates if not VirtualHD was used as games folder.
  • [Fix] Program window position is lost after restoring the program window if using the minimize/restore on DOSBox start option in fullscreen mode without border.
  • [Fix] In portable mode the automatic profile update after program upgrade to make all profiles DOSBox 0.73 compatible did not work.
  • [Fix] The restore default values for this category button on the default values page of the profile editor only worked for the first category.
  • [Fix] Sometimes the screenshot viewer displayed a wrong resolution in the status bar after resizing the viewer window.
  • [Fix] Wrong value "50000" instead of "49716" in the default values list for sample rate settings.
  • [Fix] Added missing value "4axis_2" to joystick types default values list.
  • [Fix] Added missing values to default values lists for SoundBlaster and GUS, DMA and IRQ settings.
  • [Fix] Added missing value "none" to SoundBlaster OPL mode default values list.
  • [Fix] Removed "0" from default values list for the memory size.
  • [Fix] The "How to add profiles" info panel at the bottom of the program window was not automatically removed after adding the first profile.

» Version 0.8.0 (28.07.2009)
  • DOSBox 0.73 is supported and bundled with D-Fend Reloaded.
  • The user can switch between different icon sets for the toolbar, the menus and the dialogs now.
  • The dialog for scanning the games folder for new games has been rewritten and offers more options now.
  • Faster program start when using large game lists.
  • More settings in the multiple profiles editor.
  • New program icon and logo made by burnsflipper, the designer of the original D-Fend logo.
  • New tab "Notes" at the bottom of the program window for direct access to the stored game notes.
  • Now you can choose to use the game filesnames or the folder names as names for the new profiles when scanning the games folder for new games.
  • Via the new multiple shortcut creation dialog you can create shortcuts for more than one game at once.
  • Now the user can select the profile name, the template to use, the destination folder and the file to start when importing zip files (regardless if the new game was identified by an auto setup template or not).
  • Support for user-defined interpreters (like before only for QBasic) inside DOSBox.
  • Better algorithm for scaling images when displaying captured screenshots.
  • Now icons can also be added to the icon manager by dragging them to the icon manager window and by scanning the games folder for new icons. Additionally the icon manager will show icons added by copying them to the icons folder immediately.
  • New optional start mode: Fullscreen without window border.
  • The default parent directory for the capture folders for games can be configurated in the setup dialog now.
  • The icon size for the game icons in the games list in view mode "Icon" can be configurated now.
  • The first start wizard has been improved and now is easier to use.
  • Now "Pause" can be chosen as DOSBox background priority.
  • The scan games folder for new games function is now also respecting the extra program folders of existing profiles and is not trying to detect games in this folders anymore.
  • Cleaned up menu structure (in particular the function for creating archive or exe packages for multiple games have been moved from the Extras to the Export menu).
  • Option to hide the menubar.
  • Faster search for DOSBox if it is not stored in the default directory.
  • [Fix] Error message when closing the profile editor dialog when editing a template.
  • [Fix] If the first run wizard is closed by clicking the window close "X" the settings are not stored.
  • [Fix] Now 16-bit Windows exe files are also recogniced as Windows program files and the user is warned if he trys to start a 16-bit Windows program file via DOSBox.
  • [Fix] When running a profile using a helper program to be executed after the main program via a shortcut the helper program was not executed.

» Version 0.7.0 (28.04.2009)
  • Dutch language file (thanks to Tim Molderez)
  • Italian language file (thanks to Filippo Bartoli)
  • Archive files not created by D-Fend Reloaded can now also be imported. (D-Fend Reloaded will try to auto detect and setup the game.)
  • Now the games folder can be scaned for new games (which will be added automatically then).
  • Support for external archiving programs lets D-Fend Reloaded handle other archive formats than zip and 7z.
  • New toolbar icons.
  • Many new options for automatically and manual selection of the right physical CD drive to mount on DOSBox start (for example mount drive by file or folder on CD or ask the user to select a drive).
  • Option to run some other program (for example a hardware setup tool) before and after the main program (DOSBox or ScummVM).
  • The genre and language names in game profiles can now be translated on the fly so profiles created via auto setup templates etc. will always be shown with translated names for the genre and the language of the game.
  • Integration in the Vista Game Explorer.
  • Again some improvements to the long to (DOSBox) short file name converter (thank you to skatz).
  • A new custom settings edit field in the profile editor for ScummVM profiles allows to add any custom configuration settings to the ScummVM ini file when starting a ScummVM profile.
  • Added new functions in ScummVM profile editor: Option to disable joystick support, option to setup an extra path, option to setup render mode, option to setup game platform and option to define custom languages for games (and to setup the default languages list for the games in the setup dialog).
  • Option to setup data folder automatically for new profiles in wizard.
  • Many new functions in the multiple profiles editor.
  • The program file icon of the Windows program file will be used as the default icon on Windows game profiles.
  • The sound previewer and the quick starter now also can playback MIDI files.
  • Now the D-Fend Reloaded main window can (optionally) be restored when ScummVM closes.
  • The D-Fend Reloaded main window can be minimized before a Windows game profile is started and restored when the program quits (both optional).
  • You can define a default keyboard layout and a default codepage per DOSBox installation now.
  • On the first page of the of the wizard now you can choose how many things the wizard should ask you. (In the default configuration the wizard will be much easier to handle if there is a auto setup template for the game.)
  • Now you can add user defined game information as columns to the games list.
  • Auto setup templates from existing profiles can now also be created via the export menu.
  • Now also images from the games data folder can be used in screenshot mode in the games list.
  • The column widths in the games list can be restored to the last state on program start now.
  • The history dialog has been extended with some statistic functions.
  • If the translation of a long path name to a short DOSBox name fails, the program will show a warning message now.
  • Support for the DOSBox CVS build features "securemode", "pixelshader", "cpumode" and the new CD drive accessing modes "ioctl_dx", "ioctl_dio" and "ioctl_mci".
  • Now you can also define submenus in the "Old games" custom menu.
  • The link lists for "Search for game" and "Old games" in the help menu can be imported and exported now.
  • Updated DOSZip from 1.28 to 1.31.
  • Moved most program files to a "Bin" subfolder of the installation directory and moved all configuration files to a "Settings" subfolder of the installation data directory. (This will make the usage of portable installations easier because less files in the main program main directory will make finding the DFend.exe faster.)
  • Now also icons inside program dialogs can be replaced via the Icons.ini file.
  • "Open program folder" now also available for ScummVM and Windows games.
  • [Fix] Starting games via DOSBox failed if the game file uses a long filename and the DOSBox drive was mounted via a relative path name.
  • [Fix] Creation of zip archives could fail if the profile uses a drive image which is located inside the (already included) games folder.
  • [Fix] Creation of installer packages or zip packages will result in to big files if the game to pack uses iso images or zipped drives.
  • [Fix] The selected ScummVM save path was assigned to ScummVM correctly.
  • [Fix] Seleting "French (Canada)" as language results in an English program language.
  • [Fix] When using the option "File path is relative to the DOSBox directory structure" D-Fend Reloaded shows an error message when closing the profile editor and when starting the profile (but then starts the profile correctly).
  • [Fix] Access violation when trying to show the "No file name" warning when adding a Windows game profile and not entering a file name to start.
  • [Fix] If a prof file with the same name already exists in the destination path while transfering profiles the profile file was not copied to the destination correctly. (The algorithm for finding an alternative file name changed the profile filename in a wrong way.)
  • [Fix] The ScummVM games list stored in the ScummVM.dat file was not always read correctly on program start up.
  • [Fix] When using the restore window size on start up function sometings the menu bar gets invisible.
  • [Fix] Uninstaller is not removing uninstall entry from Windows software list.
  • [Fix] In some long to short path name related error messages wrong information have been displayed.
  • [Fix] The option "Close DOSBox when program closes" is not working on running extra program files via the context menu.
  • [Fix] Warning message when running ScummVM based games from zip files via a D-Fend Reloaded desktop shortcut.
  • [Fix] Error message when loading toolbar images not in bmp format via the Icons.ini file.
  • [Fix] Transparency not working in user defined toolbar images.
  • [Fix] Reduced number of colors in screenshot preview for new screenshots after returning from fullscreen DOSBox.
  • [Fix] Reduced number of colors in some png screenshots in the preview area in the main window.
  • [Fix] Spelling bug in installer package nsi script.
  • [Fix] On smaller screen resolutions the D-Fend Reloaded program window could be a bit to high. (The taskbar has not been subtracted from the available desktop height.)

» Version 0.6.1 (31.10.2008)
  • Improved Windows long pathname to DOSBox short pathname converter (thanks to Alexander Katz).
  • The select image dialog for adding image files as harddisks in the profile editor will now also show cue sheet files.
  • Smarter initial directory when opening selection dialog for text editor, wave encoder and ScummVM.
  • [Fix] Opening text files in "Use default editor for file type" mode sometimes did not work.
  • [Fix] Sometimes an access violation occured just after uninstalling a game.
  • [Fix] Selecting/Unselecting profiles via the "Select by..." buttons in the "Build installer" dialog etc. did not work with "Not set" values.
  • [Fix] Wrong view style (icon instead of list) in the sounds and the videos previewer area at the bottom of the main window.
  • [Fix] Access violation while displaying an error message if renameing a screenshot is not possible (for example because a file with the new entered name already exists).
  • [Fix] Execution of Windows programs could fail under some rare conditions (this only affected helper programs like text editors etc. and not Windows games started via the games list).
  • [Fix] Problem if virtual serial port is working as a modem in DOSBox and "Listen for connections" is turned off.
  • [Fix] Screenshots, sounds and videos lists not always sorted correctly.

» Version 0.6.0 (20.10.2008)
  • Polish language file (thanks to Adam Sosnowski)
  • Explorer-like quick starter interface for easy browsing through the games folder and directly starting DOS program files and making profiles of an existing DOS program file.
  • You can specify zip files as ScummVM games now. D-Fend Reloaded will automatically extract the zip file, run ScummVM and repack the game folder content to the zip file when ScummVM has closed.
  • The profile editor and the profile wizard now also support setting a saved games path for ScummVM profiles.
  • The profile editor now supports all game specific settings known in ScummVM.
  • Now the games list can also be filtered by emulation type (DOSBox, ScummVM and Windows).
  • German online help.
  • New language file "French Canada" (same as "French" but will select qwerty keyboard layout instead of azerty and codepage 437 instead of 850 in DOSBox).
  • Now you can also create profiles for Windows games via the profile wizard.
  • In the template dialog now you can also edit the ScummVM default template.
  • In the profile wizard you do not need to go to the last page before the "Ok" button will be activated.
  • The profile wizard will now automatically suggest a name for the new profile from the selected template or the program file name. (To allow this D-Fend Reloaded will not ask for the profile name on the first page of the profile wizard but on the game information page.)
  • New program icon (thanks to T.B. from vogons.zetafleet.com)
  • The game data folder viewer on the bottom of the main window will now automatically update its file list if the folder on harddisk changes. Additionally files and folders can be renamed and deleted and new folders can be created via context menu of the data folder viewer now.
  • Now you can configurate in the setup dialog which files should be moved to the recycle bin and which should be deleted irrevocable when deleting files from within D-Fend Reloaded.
  • New optional column "notes" in list view mode "report".
  • New setup option for configuration the appearance of the games list: Show grid lines in view mode "report".
  • Option to open the capture folder in the Explorer right from the context menu of the capture viewer area.
  • The player for captured sounds can also play ogg files (if there is a codec installed on the system for ogg files) now.
  • The user data section on the game information page of the profile editor will suggest names for keys and values from the existing profiles when adding lines or changing values.
  • In the setup dialog now you can choose which text editor D-Fend Reloaded should use when opening text files. Additionally you can setup to automatically fix the line wraping of text files if needed when opening them.
  • In the setup dialog now you can choose which viewers/players for images, sounds and videos should be used when doubleclicking a file in the captured data viewer on the bottom of the main window.
  • When creating ScummVM ini files all settings from the default ScummVM configuration file are also added.
  • When dragging files to the D-Fend Reloaded program window to copy them to the data folder of the active profile, now you can also drag and drop complete directories.
  • Now you can drop files directly to the screenshots/sounds/videos viewer or to the data viewer pane (including subdirectories).
  • Smarter method of detecting the running DOSBox instances when using the "Restore program window when DOSBox closes function".
  • Now you can zoom the image in the screenshot viewer and videos in the video previewer by pressing + or - and by moving the mouse wheel while holding Ctrl. By pressing * or 0 you can go back to 100% zoom. And by pressing escape you can close the preview dialog.
  • New options "Center ScummVM window" and "Hide ScummVM console" in program settings dialog.
  • When adding a drive to a profile the edit drive dialog will offer the drive type used the last time when added a new drive to a profile at first in the drive type dropdown box.
  • On the setup page for the screenshot view mode now you can define which screenshot number to use if no explicit screenshot is defined for a game.
  • [Fix] When using some other DOSBox installation than the one in the "DOSBox" subdirectory of the D-Fend Reloaded program directory as default DOSBox installation, D-Fend Reloaded will reset the path at each start.
  • [Fix] The game and the setup program parameters for Windows games were inverted.
  • [Fix] When switching between profiles with and without a data folders the data folder tab at the bottom of the main windows could have displayed some wrong content.
  • [Fix] Clicking the buttons for selecting or searching the DOSBox directory and for selecting a mapper file in the "More DOSBox settings" dialog (on DOSBox settings page of the program options dialog) did nothing.
  • [Fix] When creating a portable D-Fend Reloaded installation from the transfer profiles dialog the mediaplr.dll file was not copyed to the destination folder and so the D-Fend.exe in the destination folder could not start.
  • [Fix] In profile editor all four serial port pages showed data for first serial port.
  • [Fix] The chosen music driver in ScummVM profiles was not given to ScummVM when starting a profile.
  • [Fix] Until now D-Fend Reloaded tried to find the scummvm.ini file for reading the default theme path etc. in the ScummVM program directory instead of the path reported by ScummVM (usualy $APPDATA\ScummVM).
  • [Fix] When trying to display damaged images in the screenshot viewer area an unhandled exception could occur.
  • [Fix] Wrong colors or reduction of the number of colors when exporting captured screenshots.
  • [Fix] D-Fend Reloaded failed to play video files of other types than avi via the captured videos player.
  • [Fix] When switching between images of the same size in the screenshot previewer the statusbar was not updated.
  • [Fix] When creating a zip package for a ScummVM profile the ScummVM ini file needed to use the zip file without D-Fend Reloaded was not included to it.
  • [Fix] When dragging video files to the main window they got copied into the data folder instead of into the capture folder.
  • [Fix] When using the minimize to tray option and restoring the program window it loses the input focus right after restore.
  • [Fix] In screenshots view mode sometimes there are wrong images associated to wrong games in games list.
  • [Fix] The DOSBox language selected in the profile editor was not used when starting DOSBox.
  • [Fix] Screenshots may got displayed distorted in the screenshot preview area.
  • [Fix] Function "Restore main window when DOSBox closes" will not restore the D-Fend Reloaded main window if it was already minimized before DOSBox was started (because of using the tray area mini starter).
  • [Fix] Added missing default values in "scaler" section of the profile editor.
  • [Fix] Current selected game is deselected after closing setup dialog.
  • [Fix] The drive type names on the "Drives" page and the priority levels on the "DOSBox settings" page of the profile editor were not translateable. Also the info label on the data folder panel was not translated.

» Version 0.5.0 (22.08.2008)
  • Danish language file (thanks to Jens Peter Jensen)
  • Traditional Chinese language file (thanks to muzuiget)
  • Zip and 7z archives can be used as drives now. Additionally D-Fend Reloaded can repack the changed files to the zip archive when using a PhysFS folder and zip file pair.
  • You can make zip packages from installed games (just like the exe installers) for long time archiving your games. The zip archive will contain all game data (prof file, game files, icon, captured images/sound/videos, additional data files). And of course you can import games stored in a zip package to D-Fend Reloaded agian. (They can be installed via the File|Import menu or even via drag&drop.)
  • D-Fend Reloaded has got an online help.
  • When uninstalling or transfering game or building installer packages the image files used as drive will be respected, too.
  • You can manage multiple DOSBox installations with individual settings via the setup dialog now. In the profile editor you can choose one of this predefined DOSBox installations or choose an custom DOSBox path.
  • Now you can also manage your Windows based games as profiles. (When starting a Windows based profile D-Fend Reloaded simply starts the given program file. The benefit of this function is you can manage all your games in one GUI.)
  • For each profile you can configurate to use another DOSBox language than the language defined in the DOSBox settings.
  • You can browse through the content of the profile data folders via the new "Data folder" tab in the screenshots viewer area.
  • D-Fend Reloaded can display captured videos like captured screenshots and captured sounds now.
  • The new profile list view style "Screenshots" allows to browse through the list of profiles by screenshots.
  • You can search for information about games via a (editable) list of web game search engines from the profile editor, the "Profile" menu and the context menu of a profile.
  • D-Fend Reloaded can store additionally to the program and the setup file other program files (for example a level editor) which are offered to start via the context menu of the profile and the profile menu.
  • Now screenshots taken by ScummVM can also be managed within D-Fend Reloaded.
  • You can specify a custom link name and a link comment in the create shortcut dialog now.
  • Setup dialog option to configurate D-Fend Reloaded to run in a Wine environment.
  • The disk image creator can (optional) create plain, unformated images now.
  • The profile list can be checked for missing files and directories.
  • D-Fend Reloaded will warn you, if you try to setup a Windows exe file to run in DOSBox.
  • Now you can setup if the DOSBox console should stay open when an error in DOSBox occures.
  • You can choose to temporary disable the screensaver when DOSBox is running.
  • The list of links to old games web sites is editable now.
  • You can change the zoom level in the screenshot dialog by a new toolbar button now.
  • You can (optional) set a new screenshot folder and remove the data folder record when copying a profile.
  • You can change the font style (bold, italic, underline) for displaying the favorites now.
  • The view conf file option will use the default txt editor instead of always using notepad.
  • Some more speed improvements when working with large profile lists.
  • [Fix] The "Run setup" toolbar button was not working.
  • [Fix] Creation of 2880KB ("extended density") floppy images failed.
  • [Fix] When using long folder names inside a DOSBox drive D-Fend Reloaded may tryed to start files in the wrong folder because Windows and DOSBox used different ways of translating long to short file names.
  • [Fix] When "UseShortFolderNames" was turned off in the DFend.ini the loading of PhysFS drives with spaces in their file oder folder names failed.
  • [Fix] Adding a new profile if the modern profile editor is activated and reopen last active tab was chosen results in an access violation.
  • [Fix] The chosen ScummVM filter setting has not been saved when closing the profile editor.
  • [Fix] The chosen ScummVM game language was not shown correctly when reopening the profile editor again.
  • [Fix] When using the "Reopen last profile editor page" was used and the "Profile" page was the last used page the profile editor showed a wrong page setup of the profile page when reopening.
  • [Fix] Trying to play an invalid audio file resulted in an infinite loop of error dialog boxes.
  • [Fix] The size of capture viewer area was not restored when "Restore window size on program start" was activated.
  • [Fix] Caption of icon manager was not translated.

» Version 0.4.1 (22.05.2008)
  • When using the option to minimize D-Fend Reloaded while DOSBox is running and DOSBox is changing the resolution, D-Fend Reloaded will no longer rely on the Windows window placement and restore its correct position itself.
  • Some smaller speed improvements when working with large profile lists.
  • [Fix] Access violation when opening a screenshot from a profile containing more than one screenshot.
  • [Fix] Error message when trying to run a D-Fend Reloaded desktop game link while "Minimize when DOSBox starts" is activated.
  • [Fix] When selecting the default template in the template editor the "Delete" menu item was not disabled (like the toolbar icon and the item in the context menu).
  • [Fix] DOSBox did not start if the given DOSBox language file did not exist.
  • [Fix] Closed some memory leaks in screenshot viewer, setup dialog and program info dialog.

» Version 0.4.0 (14.05.2008)
  • Simplified Chinese language file (thanks to muzuiget)
  • The new profile wizard has been completely redesigned. With the new auto setup templates new profiles (for games known by the D-Fend Reloaded database) can be setup by only entering the game name and the filename.
  • ScummVM based advantures can be configurated and listed together with the DOSBox based profiles now.
  • If you define a QBasic interpreter in the setup dialog, you can define bas files as normal program files for games. When executing a bas file profile D-Fend Reloaded will automatically execute it in QBasic in DOSBox.
  • A new first run wizard makes setting up language and updates for new users much easier.
  • The content of image files can be extracted to a folder now.
  • You can build a floppy image from the content of a folder now.
  • If you copy prof files to the "Confs" folder while D-Fend Reloaded is running they will be added to the games list immediately.
  • Icons form outside the "IconLibrary" folder can now also be used as profile icons (and can be transfered with the profile and included to installers just like the icons in the default icons folder).
  • If you delete a profile file while D-Fend Reloaded is running it will ask you if you want to restore the deleted file.
  • Now you can setup a codepage to be used in DOSBox for each profile. Additionally there is a default codepage stored in each language file which will be used if the codepage is set to "default" in the profile.
  • Now you can (optionally) define a key mapper file for each profile. (If no key mapper file is defined, the DOSBox default key mapper file will be used.)
  • A list of batch commands which DOSBox will run after the end of the game can be defined now (some kind of complement of the Autoexec.bat commands).
  • Now you can also make installer packages from your profile templates.
  • The templates dialog now has an option to change multiple templates at once (like the multi profile editor for normal profile).
  • More option to configurate low-level access to mounted CDROMs.
  • When creating floppy images you can choose to make the image bootable now.
  • The tray icon has a context menu for direct starting and adding of profiles.
  • The transfer profiles function can create a portable version of D-Fend Reloaded (by copying files from the current installation and modifing the configuration) in the destination folder before copying the profile data.
  • Now you can define if the path to the game and the setup exe file should be interpreted absolute (in the physical file system) or relative (to the file system in DOSBox).
  • Now you can configurate in the setup dialog if D-Fend Reloaded should show configuration options in the profile editor which can only be used with DOSBox CVS builds (like multiple floppy images per drive, PhysFS support, setting the number of text mode lines, VGA chipset and video RAM, Glide emulation and printer support).
  • When changeing multiple profiles, creating installers etc. now you can select and unselect profiles also by any user defined information. (Until now selecting was only possible by the predefined fields like language, developer, year, etc.)
  • Profiles (conf and prof files), screenshots and captured sound can be imported by drag&drop now. Dragging program files to the D-Fend Reloaded program window will open the new profile wizard with the chosen file.
  • Within the multi profile editor you can add, change and delete user-defined information fields now.
  • For each profile you can define some extra files which will be transfered, uninstalled and packed into installer packages together with the other game files (like it is already possible with the extra directories).
  • The profile editor will show a warning if the user trys to create a new profile with no game program filename (and is not using a boot image option).
  • When opening the select game exe or select setup exe dialog from the profile editor or the wizard the path of the setup exe or the game exe (if already defined) will be used as initial directory instead of the games base directory.
  • When a checksum error (changed or exchanged game program file) is detected, D-Fend Reloaded now also offers the option to turn off checksums for the profile (until now only keep old checksum or create new checksum).
  • The checksum driven game file change detection can be turned off in the setup dialog now.
  • The mount dialog will show a warning if the users trys to use the same drive letter for two mounted drives.
  • The mount dialog will show a warning message if the users trys to mount the the root directory of a drive.
  • The dialog for playing captured game sounds has been improved: You can jump to any position in the file via a slider and the captured wave sound can be encoded to mp3 or ogg directly from the dialog now.
  • The screenshot view dialog has been improved: You can cycle though the screenshots of a profile via two new toolbar buttons (or by using the cursor keys or the mouse wheel) without closing the dialog. Additionally the zoom level is set to 100% when a new image is loaded.
  • The import conf file function now trys to make mount records from the mount commands of the autoexec section.
  • Now you can setup which icons should be visible on the toolbar.
  • The tooltips in the games list now also show the last modification time of each profile.
  • Some new icons in the modern and classic profile editor (thanks to Banjo).
  • [Fix] Even if you choose "Restore profile on disk with version from memory" when a file conflict occures the profile on disk will not be changed and the version in memory will be lost as long as you do not make any changes to the profile in memory before closing D-Fend Reloaded.
  • [Fix] The boot from floppy image function did not work if you used a single image file.
  • [Fix] When using D-Fend Reloaded in portable mode the path to the DOSBox language file was not updated properly what could DOSBox prevent from starting.
  • [Fix] The main activation of DOSBox IPX support is not written to the DOSBox conf file when starting a profile with IPX support enabled.
  • [Fix] When installing D-Fend Reloaded in user directory mode (the default installation mode) the templates were only created for the user account the installer was run from.
  • [Fix] The column visible status was not saved when closing the setup dialog if the columns were not in default order.
  • [Fix] When changing the filename of a profile all character after the first "." in the new filename were removed.
  • [Fix] The capture folder settings were ignored when importing conf files.
  • [Fix] User defined fields were ignored when exporting a games list.
  • [Fix] Wrong language in dialogs after changing the program language but closing the setup dialog with "Cancel".
  • [Fix] When using the "Minimize to tray" option together with "Start minimized" the application is minimized to the taskbar instead of the tray area on programm start-up.
  • [Fix] When adding a new profile via the wizard the information fields (genre, developer, etc.) of the new profile always showed "Not set" until restart of the program.
  • [Fix] Wrong default icon in the profile select dialog which opens when clicking on "Template from profile" in the templates dialog.

» Version 0.3.2 (29.02.2008)
  • French language file (thanks to Christophe Bertrand)
  • Russian language file (thanks to Alexander Katz)
  • The installer and the data package installers are now also available in all five currently supported languages.
  • All available CDs can automatically be mounted at DOSBox start (optional, configurateable per profile).
  • Floppy images can be written back to real floppy disks.
  • The profile files will only be updated on disk on program close if this is really needed. (This makes using multiple instances of D-Fend Reloaded at the same time easier.)
  • A warning message will appear if you try to run a game from a profile made for some other game. (With each profile checksums for the game and the setup exe will be stored automatically compared with the real exe when trying to run the game.)
  • A warning message will appear if you try to run a program file which is not reachable via any mounted folder.
  • The function that builds the autoexec commands to run the game now also looks on mounted CDs for a path to the file and when there are overlapping mounts it will use the shortest path instead of the first matching path.
  • The screenshot capture folder will be chosen automatically for new profiles (until now screenshot capture folder was only setup automatically when adding profiles via the wizard). This feature can be turned off in the setup dialog.
  • It can be configurated now what should be shown in the games list if there are undefined values for genre, developer, etc. (by default "not set").
  • [Fix] Mounting of real CD drives does not work if no CD is in the drive when starting DOSBox.
  • [Fix] Changes made to "Window resolution", "Fullscreen resolution" and "Scale" in the multiple profile were not saved.
  • [Fix] The default profile cannnot be changed with the modern style profile editor because when closing the dialog an "You have to define a name for the new game." error occurs.
  • [Fix] In the language editor the last language string of each section was not shown.
  • [Fix] The "Set default screenshot folder" button in the profile editor does not detect and remove illegal characters in the profile name.
  • [Fix] The sound prebuffer value written from the profile to the DOSBox config file was wrong.
  • [Fix] The "Reopen last active profile editor page" does not work when using the modern profile editor.
  • [Fix] When changing the language in the setup dialog the "window size at program start" dropdown box was reset to the default value.
  • [Fix] When starting the first run wizard by deleting the DFend.ini a second "DOSBox DOS" profile was created instead of reseting the existing one to the default values.
  • [Fix] Pressing the "Insert" and "Delete" keys in the environment variables editor table may changes the the list of environment variables in unexpected ways.
  • [Fix] When browsing for a installation directory in the program installer and in data packages installers always a "\D-Fend Reloaded" was added to the choosen folder.
  • [Fix] When opening the multi profile editor the second tab (things to change) instead the first tab (selecting profiles for change) was active.
  • [Fix] Untranslated button caption in language select dialog for language editor and misspelled string in profile editor.

» Version 0.3.1 (18.02.2008)
  • CDs can be ripped to ISO images and used as DOSBox drives.
  • Floppy disks can be ripped to IMG images and used as DOSBox drives.
  • Screenshots and captured sounds can be renamed.
  • Captured screenshots can be set as windows wallpaper image.
  • If DOSBox is started in window mode, the DOSBox window can be centered on screen.
  • [Fix] CPU cycles settings "Auto" and "Max" in the modern profile editor dialog did not work.
  • [Fix] In the "Edit multiple profiles" the "Fullscreen resolution" did not work.
  • [Fix] When using the "Restore window size on program start" option the games list keeps empty until you click on a category on the left at program start.
  • [Fix] When pressing enter in the setup dialog shown at first program start you got an "No game is selected in list." error.
  • [Fix] Choose DOSBox directory as current directory when starting DOSBox to make DOSBox find files in its own directory.
  • [Fix] The "Use as default profile" option in the template profile editor did not work.
  • [Fix] When changing the language in the setup dialog the "Mode" dropdown box shows an empty value until you choose one of the two modes again.
  • [Fix] Default values for "Resolution" corrected.

» Version 0.3.0 (08.02.2008)
  • Completely new designed and more clearly arranged profile editor (the classic D-Fend style profile editor is still available and can be activated in the setup dialog).
  • D-Fend Reloaded can look for updates on start up and via menu now.
  • Captured wave sounds for each game can be listed, saved, deleted, played and encoded to mp3 (encoder not included) or ogg.
  • For each profile a DOS version number which should be reported by DOSBox can be configurated.
  • You can (optional) define a custom DOSBox installation for each profile to be used to start the game.
  • You can define additional information of the type key=value for each profile and filter the games by this new categories.
  • Font sizes and colors and balckground colors and images in the main window can be configurated.
  • The multi profile editor can change window resulution, fullscreen resolution and scaling method now.
  • If a conf file on disk is changed using a text editor while D-Fend Reloaded is running, it can load and keep these changes or overwrite them with the copy in memory.
  • You can define for each profile to activate, deactivate or keep the status of the num lock, the caps lock and the scroll lock when starting DOSBox.
  • New profile settings: Switch mouse to 2-button mode and change mouse buttons.
  • New profile settings: Sound volume for the different virtuel sound devices (master, disney sound system, speaker, GUS, SoundBlaster and FM).
  • The conf file, which will be used when opening DOSBox, can be opend in a text editor now.
  • Making translations of D-Fend Reloaded is now much easier with the new buildin language editor.
  • The icons in the program (toolbar, menu and profile editor) are not exchangeable via an ini file.
  • The profile icon can be used as the link icon when making desktop or startmenu links now.
  • External image files can be added to the screenshots list via the screenshots popup menu now.
  • The file names of the profile files can be changed from within the profile editor now.
  • In all dialogs with a games selection list where games could be selected by genre, now games can also be selected by developer, publisher, year and language.
  • More view options for the games list (simple list, report, small icons, icons; simple list and report with and without icons).
  • The setup dialog has two different feature sets "easy" and "advanced" now.
  • New menu item for direct D-Fend prof file import.
  • New setup option: Start maximized.
  • A new statistics window has information about the number of profiles, the number of templates, the number of icons and the number of profiles per genre.
  • Some more icons in the menu and the dialogs.
  • [Fix] The path comparison for making paths relative worked case sensitive, so some paths abbreviations may be missed until now.
  • [Fix] The select buttons in the multiple profile change dialog had no function.
  • [Fix] The "Free virtual space" value in the "Folder as hard disk" section of the mount edit dialog was not saved.
  • [Fix] Changed genre, publisher, ... in the multiple profile editor did not appear in the games list until a restart of D-Fend Reloaded.
  • [Fix] Changed default values in the setup dialog were may not saved.
  • [Fix] When resetting the default values in the setup dialog not all avaible values were written to the lists.
  • [Fix] The setup dialog function "Make absolute to relative paths" did not change the extra directories if more than one extra directory was defined.
  • [Fix] The setup dialog default values for the video card types were ignored in the profile editor.
  • [Fix] Misaligend window elements when stating maximized.
  • [Fix] Corrected untranslated menu item.

» Version 0.2.0 (16.01.2008)
  • New dialog for changing multiple profiles at once.
  • The serial port settings can be changed via a dialog now.
  • If installed with the FreeDOS commandline tools, 4DOS can be set up as commandline interpreter in profile editor.
  • If installed with the FreeDOS commandline tools, DOS32A can be used as a replacement for the DOS/4GW protected mode extender.
  • Now you can specify multiple CD images for one drive mount and switch between them at DOSBox runtime.
  • Now you can specify multiple floppy images for booting from floppy image and switch between them at DOSBox runtime.
  • If a game has a data folder, D-Fend Reloaded can not only open this folder but also open a specific file in the data folder now (selectable via a directory list in form of menu).
  • Installer packages for single games can be built directly from the the profile context menu.
  • The DOSBox png screenshots can be saved as jpeg, gif or bmp image files now.
  • The creation of the games list is much faster now.
  • The DosBox program icon is used for the "DosBox DOS" default profile.
  • The game info tooltips in the games list can be turned off and on now.
  • More icons in the menu.
  • Updated DOSBox links in the help menu.
  • Added the vogons to the "Old games" link collection.
  • [Fix] The serial port settings were ignored when starting DosBox.
  • [Fix] Long lines in "Autoexec.bat" and "Custom setting" were split into two lines which can damage commandlines.
  • [Fix] Numerial values were not stored when closing profile editor if you entered less digits than the edit field allows.
  • [Fix] Added missing default value "auto" for joysticks.
  • [Fix] Fixed some spelling mistakes in the English language file.
  • [Fix] Wrong info text in DOSBox folder select dialog in setup dialog.
  • [Fix] I/O control is always shown as "No" in the drives list independend of the real state of I/O control.

» Version 0.1.2 (04.01.2008)
  • [Fix] Missing translations for Shortcuts
  • The function of the add button in the toolbar is now configurable (normal add, add with wizard or popup menu for operation).
  • [Fix] After changing the program language the categories list on the "default values" page of the setup dialog contained the values in the old and the new language.
  • New setup option: Start on Windows boot (default: off)
  • New setup option: Start minimized (default: off)
  • [Fix] Missing translations for menu items in the games list popup menu and the screenshots popup menu
  • [Fix] Missing translation of message dialog captions and buttons
  • The program info dialog shows the names of the authors of the language files.
  • The games list can now be sorted by any column just by clicking the column header.
  • Spanish language file (thanks to Neville from vogons.zetafleet.com)

» Version 0.1.1 (18.12.2007)
  • [Fix] Missing space between programfile und parameters when running a game
  • More icons in treeview and in profile editor dialog
  • Changelog viewer in programinfo dialog
  • [Fix] Wrong tab order in some dialogs
  • New "By genre" button in "Export|Create conf" dialog
  • The "Edit drive" dialog now opens faster
  • [Fix] The alternative profile edit hotkey F2 was linked to profile add instead of profile edit
  • In the transfer dialog, the uninstall dialog and the build installer dialog the "DosBox DOS" default entry is not shown but the genre of this profile has been used when building the "by genre" menu.
  • Additional start menu link "Manuals folder" to access the manual and game data folder.
  • [Fix] When copying a profile "not set" was shown in the info columns (genre, ...) of the new profile.
  • More abandonded games links in the help menu.
  • Progress dialog when deinstalling or transfering games.
  • "Auto create" button in mounting section of profile editor to create default drive c: with one click.
  • New options "retry" and "ignore" when files are protected when deinstalling games.
  • New buttons "Previous" and "Next" in profile editor to switch between games.
  • Now you can choose between "DirectX" and "WinDIB" als SDL videodrivers. ("WinDIB" is slower than the default "DirectX" but may solve some keyboard problems.)
  • New profile menu option "Add from template" allows to create new profiles from templates without opening the template dialog.
  • Setup dialog language will change immediately when another language is selected in the dialog.
  • [Fix] Icon files were ignored when copying and uninstalling game and when building installers.
  • [Fix] The GUS enabled/disabled setting was not correctly shown in the profile editor.

» Version 0.1.0 (08.11.2007)
  • First Version at all, everything is new.


Häufig gestellte Fragen (FAQ)

1. Wie funktioniert die Update-Überprüfung ?
2. Beim Ausführen eines selbst erstellen Installer-Paketes erhalte ich eine "DFend.dat nicht gefunden"-Fehlermeldung.
3. Ich wusste genau auf welche Seite des D-Fend Profileditors welche Einstellungen waren. Gibt es diesen Dialog auch in D-Fend Reloaded ?
4. Ich verwende ein spezielles DOSBox-Build mit einigen zusätzlichen Funktionen. Unterstützt D-Fend Reloaded einige dieser Features ?
5. Ich habe "C:\Users\me\D-Fend Reloaded\VritualHD" als Laufwerk C in DOSBox eingestellt, aber DOSBox zeigt an, dass "C:\Users\me\D-FEND~1\VIRTUA~1" als Laufwerk C gemounted wurde. Was ist passiert ?
6. Wie kann ich eine andere Sprache für die D-Fend Reloaded Programmoberfläche erstellen ?
7. Gibt es einen einfachen Weg, eine neue Sprachdatei auf Rechtschreibfehler zu überprüfen ?
8. Wo ist der "Standardvorlage bearbeiten... (F5)"-Menüpunkt hin ?
9. Kann D-Fend Reloaded in Wine unter Linux verwendet werden ?
10. Ich habe Tastaturprobleme, die sich mit dem DOSBox Keymapper nicht lösen lassen.
11. Ich erhalte einen Fehler, wenn ich versuche den DOSBox Videocodec zu installieren.

» Wie funktioniert die Update-Überprüfung ?

Der Update-Checker läd folgende Datei von der D-Fend Reloaded Hompage auf Sourceforge herunter: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt". Die Datei enthält zwei Textzeilen; in der ersten Zeile steht die Versionsnummer der aktuellen D-Fend Reloaded Version (z.B. "0.6.0" ) und in der zweiten Zeile die Download-Adresse für den Updateinstaller, der eine existierende D-Fend Reloaded Installation auf diese Version aktualisiert (z.B. "http://downloads.sourceforge.net/dfendreloaded/D-Fend-Reloaded-0.6.0-UpdateSetup.exe"). Wenn die Versionsnummer in der UpdateInfo.txt-Datei größer ist, als die Versionsnummer der momentan verwendeten D-Fend Reloaded Installation, wird Sie der Update-Checker fragen, ob Sie jetzt auf diese Version aktualisiern wollen. Wenn Sie diese Frage mit "Ja" beantworten, wird er die in der zweiten Zeile der in der UpdateInfo.txt-Datei angegebenen Datei in Ihr Verzeichnis für tempräre Dateien herunterladen und starten. Als letzten Schritt wird er Windows mitteilen, den Update-Installer so bald wie möglich wieder zu löschen. Da der Update-Installer jedoch gerade ausgeführt wird, kann Windows die Datei nicht sofort löschen und fügt sie in die interne "Beim nächsten Systemstart löschen"-Liste ein.

Momentan handelt es sich bei der UpdateInfo.txt-Datei um eine statische Datei, aber in Zukunft wäre es denkbar, dass der Webserver verschiedene Dateiinhalte abhängig von der momentan verwendeten D-Fend Reloaded Version ausliefert (ein kleiner Update-Installer für Aktualisierungen von Version 0.6.0 auf 0.6.1 und ein gröeres Installationspaket, welches alle älteren Versionen aktualisieren kann). Um dies zu ermöglichen, fügt D-Fend Reloaded beim Abfragen der Update-Informationsdatei ein "?Version=0.6.0" an die Adresse an (bzw. was sonst die aktuelle Verionsnummer ist). Wenn Sie nicht möchten, dass php-Skript auf dem Sourceforge-Webserver erfährt, welche D-Fend Reloaded Version Sie momentan einsetzen, können Sie diese Adressergänzung auf der Nach Updates suchen-Seite des Programmeinstellungen-Dialog deaktivieren. Da php-Skripte auf dem Sourceforge Webserver grundsätzlich keine Daten in Dateien abspeichern können (d.h. keine Anfragen in Log-Dateien erfassen können), ergeben sich keinerlei Einschränkungen der Privatephäre durch die Update-Abfrage.

Der Update-Checker stellt also lediglich eine Automatisierung dessen dar, was Sie manuell unternehmen würden, wenn Sie auf der Homepage nach Updates suchen. Die Update-Überprüfung kann automatisch beim Programmstart von D-Fend Reloaded durchgeführt werden. Da Programme, die ungefragt Internetverbindungen aufbauen häufig jedoch nicht gern gesehen werden, ist diese Option im Auslieferungszustand deaktiviert. Wenn Sie mögen, können Sie die automatische Update-Prüfung jeder Zeit auf der Nach Updates suchen-Seite des Programmeinstellungen-Dialog aktivieren. Alternativ können Sie jederzeit manuell über den Menüpunkt Nach Updates suchen im "Hilfe"-Menü.

Die Update-Prüfung verwendet die Windows-Verbindungseinstellung (die Sie über die Programmeinstellungen des Internet Explorers anpassen können). Dies bedeutet insbesondere, dass D-Fend Reloaded den möglicherweise im Internet Explorer konfigurierten Proxy-Server verwenden wird.

» Beim Ausführen eines selbst erstellen Installer-Paketes erhalte ich eine "DFend.dat nicht gefunden"-Fehlermeldung.

Selbst erstellte Installer-Pakete enthalten nur die bei der Erstellung ausgewählten Spiele und nicht D-Fend Reloaded und DOSbox. Dies bedeutet, dass sie nur auf Computern installier werden können, auf denen bereits eine D-Fend Reloaded Installation existiert.

Wenn Sie D-Fend Reloaded im "Benutzerverzeichnis Modus" installiert haben (der voreingestellte Installationstyp), müssen Sie als Zielverzeichnis bei der Installation eines Installer-Paketes dennoch das D-Fend Reloaded Programmverzeichnis (beispielsweise "C:\Program Files\D-Fend Reloaded") angeben und nicht etwa da Datenverzeichnis (etwa "C:\Users\IhrName\D-Fend Reloaded"). Der Installer des Datenpaketes greift nur lesend auf die Basiseinstellungen im Programmverzeichnis zu und kopiert die eigentlichen Spieledaten dann in das Datanverzeichnis (d.h. er kann unter Vista ohne Admin-Rechte ausgeführt werden).

Wenn Sie ein Installationspaket erstellen wollen, welches neben den Spielen auch die D-Fend Reloaded Programmdateien enthält, so sollten Sie D-Fend Reloaded in der portablen Betriebsart in ein beliebiges Verzeichnis installieren, die jeweiligen Spiele (per Installer-Paket) in dieser Installation installieren oder zu ihr übertragen und dann ein Zip-Archiv des gesamten Programmverzeichnisses erstellen oder den gesamten Ordner auf einen USB-Stick kopieren.

» Ich wusste genau auf welche Seite des D-Fend Profileditors welche Einstellungen waren. Gibt es diesen Dialog auch in D-Fend Reloaded ?

D-Fend Reloaded besitzt zwei Profileditor-Dialoge: Den klassischen D-Fend-Style Profileditor und den modernen Profileditor-Dialog. Über beide Dialoge können alle normalen Einstellungen zu einem Profil vorgenommen werden (d.h. Einstellungen, die es auch bereits in D-Fend gab). Einige neuere Einstellungen sind jedoch nur über den modernen Profileditor erreichbar. Welchen Profileditor Sie verwenden wollen, können Sie im Programeinstellungen-Dialog auf der Seite profile editor einstellen. Diese Dialogseite ist allerdings nur sichtbar, wenn Sie den Konfigurationsmodus "Vollständig" gewählt haben.

» Ich verwende ein spezielles DOSBox-Build mit einigen zusätzlichen Funktionen. Unterstützt D-Fend Reloaded einige dieser Features ?

Ja, D-Fend Reloaded unterstützt die folgenden neuen Features der DOSBox-CSV-Builds:

  • Mehrere Diskettenimages pro Laufwerk
  • Mounten von Zip-Dateien (PhysFS)
  • 28 oder 50 Zeilen-Textmodus
  • Glide-Emulation
  • VGA-Chipsatz und Video-RAM Einstellungen
  • Drucker-Emulation
  • Einige weitere Dinge (neue Render-Typen, neue Grafikkartentypen, neue MIDI-Geräte) können durch das Hinzufügen weiterer Vorgabewerte zu verschiedenen Auswahlboxen aktiviert werden.

Um diese Einstellungsmöglichkeiten in der Programmoberfläche zu aktivieren, müssen Sie den Programeinstellungen-Dialog öffnen und auf der (nur im Konfigurationsmodus "Vollständig" sichtbaren) Seite DOSBox CVS-Features die gewünschten Funktionen aktivieren.

Alle anderen speziellen Funktion der Nicht-Standard DOSBox-Versionen werden momentan nicht direkt unterstützt. Allerdings können Sie über das Eingabefeld "Benutzerdefinierte Einstellungen" auf der Dialogseite "DOSBox Einstellungen" im Profileditor beliebige Konfigurationseinstellungen vorgeben, die beim Aufrufen von DOSBox mit in die Konfigurationsdatei aufgenommen werden.

» Ich habe "C:\Users\me\D-Fend Reloaded\VritualHD" als Laufwerk C in DOSBox eingestellt, aber DOSBox zeigt an, dass "C:\Users\me\D-FEND~1\VIRTUA~1" als Laufwerk C gemounted wurde. Was ist passiert ?

"C:\Users\me\D-FEND~1\VIRTUA~1" ist der kurze Name für "C:\Users\me\D-Fend Reloaded\VritualHD". D-Fend Reloaded übersetzt den langen Namen in die kurze Form beim Erstellen der DOSBox Konfigurationsdatei. Der Grund hierfür liegt darin, dass DOSBox nur maximal 134 Zeichen lange Befehle unterstützt. Ist der angegebene Pfad zu lang, so würde DOSBox den Pfad ohne die Umwandlung in die kurze Schreibweise evtl. nicht korrekt mounten. Wenn Sie diese Umwandlung nicht mögen, so können Sie sie über die Option "Kurze Pfadnamen in Mount-Befehlen verwenden" auf der DOSBox-Seite des Programeinstellungen-Dialogs deaktivieren. (Diese Option ist nur im Konfigurationsmodus "Vollständig" sichtbar.)

» Wie kann ich eine andere Sprache für die D-Fend Reloaded Programmoberfläche erstellen ?

Dafür muss lediglich der Menüpunkt "Übersetzen Sie das Programm in eine andere Sprache" aus dem "Helfen Sie, D-Fend Reloaded besser zu machen"-Untermenü des "Hilfe"-Menüs angeklickt werden. In dem folgenden Dialog können Sie dann über die Option "Neue Sprache anlegen" eine neue Sprachdatei erstellen.

D-Fend Reloaded erstellt dann eine neue Sprachdatei und öffnet diese in ein eingebauten Übersetzungseditor. In dem Übersetzungseditor ist eine dreispaltige Tabelle für die verschiedenen Kategorien zu sehen (Menü, Profileditor, Programmeinstellungen-Dialog usw.). In der ersten Spalte der Tabelle steht der Name des zu übersetzenden Bezeichners, in der zweiten Spalte der zugehörige englische Begriff und in der dritten Spalte kann der Begriff in der von Ihnen gewünschten Sprache eingetragen werden. Nach dem Schließen des Übersetzungseditors kann die neu erstellte Sprache genauso wie die mitgelieferten Sprachdateien über den Programmeinstellungendialog aktiviert werden.

Wenn Sie möchten, dass Ihre Sprachdatei mit der nächsten Version von D-Fend Reloaded veröffentlicht wird, so schicken Sie mir Ihre Sprachdatei einfach. (Sie finden die benutzererstellten Sprachdateien in dem Verzeichnis "C:\Users\me\D-Fend Reloaded\Lang".) Selbstverständlich werden Sie dann auch in der Sprachdateien-Kategorie des Programm-Info-Dialogs aufgeführt. Dabei sollten Sie jedoch eine Sache beachten: Ihr Name und der Name der Sprache erscheinen in allen D-Fend Reloaded Installationen; daher sollten beide jeweils in allen Codepage- und Zeichensatzkombinationen lesbar sein. (So sollten z.B. keine speziellen kyrillischen Zeichen in dem Namen der Sprache und in der Autorennamen enthalten sein.)

Wenn Ihre Sprachdatei einen speziellen Zeichensatz (wie z.B. Kyrillisch) voraussetzt, so wird sie automatisch korrekt dargestellt, wenn dieser Zeichensatz auch der Standardzeichensatz ihrer Windows-Installation ist. Auf Systemen, die jedoch einen anderen Standardzeichensatz verwenden, werden die Zeichen falsch dargestellt. Um dies zu vermeiden, kann in der Sprachdatei eingestellt werden welcher Zeichensatz bei Verwendung der Sprachdatei in D-Fend Reloaded eingestellt werden soll. Dafür muss nur in dem Abschnitt [CharsetSettings] in dem Feld "Name=" einer der folgenden Werte eingetragen werden: ANSI_CHARSET, DEFAULT_CHARSET, SYMBOL_CHARSET, SHIFTJIS_CHARSET, HANGEUL_CHARSET, GB2312_CHARSET, CHINESEBIG5_CHARSET, OEM_CHARSET, JOHAB_CHARSET, HEBREW_CHARSET, ARABIC_CHARSET, GREEK_CHARSET, TURKISH_CHARSET, VIETNAMESE_CHARSET, THAI_CHARSET, EASTEUROPE_CHARSET, RUSSIAN_CHARSET. Der Standardwert ist "DEFAULT_CHARSET" und bedeutet, dass D-Fend Reloaded den Windows-Standardzeichensatz verwenden soll. Allerdings gibt es bei dieser Zeichensatzanpassung eine Kleinigkeit zu beachten: Die Zeichensatz-Einstellungen wirken sich nur auf Fenster, die D-Fend Reloaded unmittelbar selbst kontrolliert, aus. Dies bedeutet leider, dass insbesondere Meldungsfenster unabhängig von der Einstellung in der Sprachdatei immer den Windows-Zeichensatz verweden werden.

» Gibt es einen einfachen Weg, eine neue Sprachdatei auf Rechtschreibfehler zu überprüfen ?

Textverarbeitungen verfügen üblicherweise über verhältnismäßig gute Rechtschreibkorrekturfunktionen. Allerdings ist es wenig zweckmäßig den gesamten Inhalt einer Sprachdatei in eine Textverarbeitung zu kopieren, da in diesem Fall alle Bezeichner, d.h. die Ausdrücke links der Gleichheitszeichen ("CouldNotDeleteFile=" usw.) als Fehler markiert würden. Um nur die Texte rechts der Gleichheitszeichen zu ürüfen, hilft der folgende Trick: Öffnen Sie Windows Notepad und drücken Sie die Tabulatortaste (es entstehen 8 freie Buchstabenfelder), markieren Sie den Tabulator und kopieren Sie ihn in die Zwischenablage. Öffnen Sie nun die Sprachdatei in Notepad, öffnen Sie den Ersetzen-Dialog, fügen Sie in das "Suchen nach"-Feld "=" ein und kopieren Sie den Tabulator aus der Zwischenablage in das Ersetzen-Feld. Nach dem ersetzen aller "=" markieren und kopieren Sie den gesamten Fensterinhalt in die Zwischenablage und fügen Sie ihn in eine Tabellenkalkulation ein. Nun sind Bezeichner und Werte in zwei Spalten getrennt. Wenn Sie jetzt schließlich die zweite Spalte in eine Textverarbeitung kopieren, haben Sie dort nur noch Ihre Übersetzungen.

» Wo ist der "Standardvorlage bearbeiten... (F5)"-Menüpunkt hin ?

Da die Standardvorlage auch nur eine Vorlage ist, wurde die Funktion zum Bearbeiten der Standardvorlage in den Vorlagen-Dialog verlagert. Die Standardvorlage erscheint jetzt als weiterer Eintrag in der Vorlagen-Liste im Vorlagen-Dialog. Um zwischen der (nicht löschbaren) Standardvorlage und den normalen Vorlagen zu unterscheiden, wird die Standardvorlage in blau in der Liste dargestellt.

Auch wenn der separate Menüpunkt zum Bearbeiten der Standardvorlage nicht mehr existiert, so existiert doch immer noch der F5-Hotkey um die Standardvorlage jederzeit bearbeiten zu können.

» Kann D-Fend Reloaded in Wine unter Linux verwendet werden ?

Die Verwendung von D-Fend Reloaded in einer Wine-Umgebung wird nur halboffiziell unterstützt. Auf der (nur im Konfigurationsmodus "Vollständig" sichtbaren) Seite Wine-Unterstützung im Programmeinstellungen-Dialog kann eingestellt werden, wie die Wine-Laufwerksbuchstaben (C:, D: usw.) beim Erstellen der DOSBox conf-Dateien wieder zurückabgebildet werden sollen auf die Linux Pfadnamen (/mnt/sta3, /mnt/stb1 usw.).

Die Art, wie die Funktion zur Erstellung von Verknüpfungen arbeiten soll, kann ebenfalls für den Einsatz unter Linux angepasst werden: Wenn die funktion "Menüpunkt zur Erstellung von Verknüpfungen erstellt Shellskripte" aktiviert ist, lassen sich über die entsprechende Funktion im "Profil"-Menü Linux Shellskripte statt Windows-Verknüpfungen erstellen.

Sie können die selbe D-Fend Reloaded Installation sowohl unter Windows als auch unter Wine verwende (ohne dabei die Konfiguration jedes Mal wieder zu ändern): Wenn Sie D-Fend Reloaded mit den Parametern "WineMode" oder "WineSupportEnabled" aufrufen, können Sie damit die globale Voreinstellung zur Aktivierung der Wine-Unterstützung überschreiben (und sie aktivieren). Wenn Sie D-Fend Reloaded mit den Paramerern "WindowsMode", "NoWineSupport" oder "WineSupportDisabled" aufrufen, können Sie damit die globale Voreinstellung zur Aktivierung der Wine-Unterstützung überschreiben (und sie deaktivieren). Die Paraeter wirken sich dabei nicht dauerhaft auf die Konfiguration aus. Die Parameter werden ohne Beachtung der Größ- und Kleinschreibung interpretiert und es können Ihnen, nach eigenem Geschmack "-" oder "/" vorangestellt werden (so wird beispielsweise auch "-winemode" korrekt erkannt.

» Ich habe Tastaturprobleme, die sich mit dem DOSBox Keymapper nicht lösen lassen.

Als ersten Schritten sollten Sie den SDL-Videotreiber auf "Win DIB" auf der DOSBox-Seite des Programmeinstellungen-Dialogs umstellen. Wenn Sie danach immer noch Tastaturprobleme haben (insbesondere wenn es Tasten gibt, die vom Keymapper überhaupt nicht erkannt werden, wenn sie gedrückt werden und noch mehr insbesondere wenn es sich dabei um die rechte Umschalttaste handelt) und Sie eine Microsoft eHome Infrarot-Empfänger (die offizielle Fernbedienung für das Microsoft Mediacenter) verwenden, sollten Sie die folgenden Schritten ausprobieren:

  1. Öffnen Sie den "Tastaturen"-Abschnitt im Gerätemanager.
  2. Klicken Sie mit der rechten Maustaste auf "Microsoft eHome MCIR 109 Keyboard" und wählen Sie "Treiber aktualisieren" (unter Vista heißt dieser Menüpunkt "Treibersoftware aktualisieren").
  3. Wählen Sie "Auf dem Computer nach Treibersoftware suchen" (XP Nutzer müssen angeben, nicht automatisch nach Treibern zu suchen, sondern dass sie manuell einen Speicherort angeben möchten). Im folgenden "Treiber von Liste auswählen" anklicken.
  4. In dem folgenden Dailog muss "Kompatible Hardware anzeigen" aktiviert werden; wählen Sie "HID-compliant device" aus und klicken Sie auf "Weiter". Klicken Sie auf "Ok" und/oder "Abschließen" um die Installation abzuschließen.

Der 109-Tasten-Treiber ist ein japanischer Tastaturtreiber. Sofern sie keine japanische 109-Tasten-Tastatur einsetzen, sollte diese Einstellung die Funktionsweise ihrer Tastatur und ihrer Fernbedienung nicht beeinträchtigen. (Siehe auch http://forums.logitech.com/logitech/board/message?board.id=general&message.id=6123)

» Ich erhalte einen Fehler, wenn ich versuche den DOSBox Videocodec zu installieren.

Um den DOSBox Videocodec installieren zu können, werden Admin-Rechte benötigt. Unter Windows XP arbeiten die meisten Anwender stets als Administratoren, so dass Sie den Codec in diesem Fall einfach vom Startmenü aus installieren können. Unter Windows Vista müssen Sie Programmen jedoch stets explizit Admin-Rechte erteilen. Da die Codec-Installation aus einem einfachen RunDLL-Aufruf besteht, erkennt Vista diesen nicht als Installationsvorgang und fragt nicht von sich aus, ob der Vorgang Admin-Rechte erhalten soll (wie dies bei normalen Installationsprogrammen der Fall isr). Daher müssen Sie unter Vista explizit angeben, dass die Codec-Installation mit Admin-Rechten erfolgen soll: Klicken Sie mit der rechten Maustaste auf den Eintrag zur Codec-Installation im Startmenü und wählen Sie "Als Administrator ausführen" aus.


D-Fend Reloaded license (GPL3)

D-Fend Reloaded Lizenz (GPL3)

                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007

 Copyright (C) 2007 Free Software Foundation, Inc. (http://fsf.org/)
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                            Preamble

  The GNU General Public License is a free, copyleft license for
software and other kinds of works.

  The licenses for most software and other practical works are designed
to take away your freedom to share and change the works.  By contrast,
the GNU General Public License is intended to guarantee your freedom to
share and change all versions of a program--to make sure it remains free
software for all its users.  We, the Free Software Foundation, use the
GNU General Public License for most of our software; it applies also to
any other work released this way by its authors.  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
them if you wish), that you receive source code or can get it if you
want it, that you can change the software or use pieces of it in new
free programs, and that you know you can do these things.

  To protect your rights, we need to prevent others from denying you
these rights or asking you to surrender the rights.  Therefore, you have
certain responsibilities if you distribute copies of the software, or if
you modify it: responsibilities to respect the freedom of others.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must pass on to the recipients the same
freedoms that you received.  You must make sure that they, too, receive
or can get the source code.  And you must show them these terms so they
know their rights.

  Developers that use the GNU GPL protect your rights with two steps:
(1) assert copyright on the software, and (2) offer you this License
giving you legal permission to copy, distribute and/or modify it.

  For the developers' and authors' protection, the GPL clearly explains
that there is no warranty for this free software.  For both users' and
authors' sake, the GPL requires that modified versions be marked as
changed, so that their problems will not be attributed erroneously to
authors of previous versions.

  Some devices are designed to deny users access to install or run
modified versions of the software inside them, although the manufacturer
can do so.  This is fundamentally incompatible with the aim of
protecting users' freedom to change the software.  The systematic
pattern of such abuse occurs in the area of products for individuals to
use, which is precisely where it is most unacceptable.  Therefore, we
have designed this version of the GPL to prohibit the practice for those
products.  If such problems arise substantially in other domains, we
stand ready to extend this provision to those domains in future versions
of the GPL, as needed to protect the freedom of users.

  Finally, every program is threatened constantly by software patents.
States should not allow patents to restrict development and use of
software on general-purpose computers, but in those that do, we wish to
avoid the special danger that patents applied to a free program could
make it effectively proprietary.  To prevent this, the GPL assures that
patents cannot be used to render the program non-free.

  The precise terms and conditions for copying, distribution and
modification follow.

                       TERMS AND CONDITIONS

  0. Definitions.

  "This License" refers to version 3 of the GNU General Public License.

  "Copyright" also means copyright-like laws that apply to other kinds of
works, such as semiconductor masks.

  "The Program" refers to any copyrightable work licensed under this
License.  Each licensee is addressed as "you".  "Licensees" and
"recipients" may be individuals or organizations.

  To "modify" a work means to copy from or adapt all or part of the work
in a fashion requiring copyright permission, other than the making of an
exact copy.  The resulting work is called a "modified version" of the
earlier work or a work "based on" the earlier work.

  A "covered work" means either the unmodified Program or a work based
on the Program.

  To "propagate" a work means to do anything with it that, without
permission, would make you directly or secondarily liable for
infringement under applicable copyright law, except executing it on a
computer or modifying a private copy.  Propagation includes copying,
distribution (with or without modification), making available to the
public, and in some countries other activities as well.

  To "convey" a work means any kind of propagation that enables other
parties to make or receive copies.  Mere interaction with a user through
a computer network, with no transfer of a copy, is not conveying.

  An interactive user interface displays "Appropriate Legal Notices"
to the extent that it includes a convenient and prominently visible
feature that (1) displays an appropriate copyright notice, and (2)
tells the user that there is no warranty for the work (except to the
extent that warranties are provided), that licensees may convey the
work under this License, and how to view a copy of this License.  If
the interface presents a list of user commands or options, such as a
menu, a prominent item in the list meets this criterion.

  1. Source Code.

  The "source code" for a work means the preferred form of the work
for making modifications to it.  "Object code" means any non-source
form of a work.

  A "Standard Interface" means an interface that either is an official
standard defined by a recognized standards body, or, in the case of
interfaces specified for a particular programming language, one that
is widely used among developers working in that language.

  The "System Libraries" of an executable work include anything, other
than the work as a whole, that (a) is included in the normal form of
packaging a Major Component, but which is not part of that Major
Component, and (b) serves only to enable use of the work with that
Major Component, or to implement a Standard Interface for which an
implementation is available to the public in source code form.  A
"Major Component", in this context, means a major essential component
(kernel, window system, and so on) of the specific operating system
(if any) on which the executable work runs, or a compiler used to
produce the work, or an object code interpreter used to run it.

  The "Corresponding Source" for a work in object code form means all
the source code needed to generate, install, and (for an executable
work) run the object code and to modify the work, including scripts to
control those activities.  However, it does not include the work's
System Libraries, or general-purpose tools or generally available free
programs which are used unmodified in performing those activities but
which are not part of the work.  For example, Corresponding Source
includes interface definition files associated with source files for
the work, and the source code for shared libraries and dynamically
linked subprograms that the work is specifically designed to require,
such as by intimate data communication or control flow between those
subprograms and other parts of the work.

  The Corresponding Source need not include anything that users
can regenerate automatically from other parts of the Corresponding
Source.

  The Corresponding Source for a work in source code form is that
same work.

  2. Basic Permissions.

  All rights granted under this License are granted for the term of
copyright on the Program, and are irrevocable provided the stated
conditions are met.  This License explicitly affirms your unlimited
permission to run the unmodified Program.  The output from running a
covered work is covered by this License only if the output, given its
content, constitutes a covered work.  This License acknowledges your
rights of fair use or other equivalent, as provided by copyright law.

  You may make, run and propagate covered works that you do not
convey, without conditions so long as your license otherwise remains
in force.  You may convey covered works to others for the sole purpose
of having them make modifications exclusively for you, or provide you
with facilities for running those works, provided that you comply with
the terms of this License in conveying all material for which you do
not control copyright.  Those thus making or running the covered works
for you must do so exclusively on your behalf, under your direction
and control, on terms that prohibit them from making any copies of
your copyrighted material outside their relationship with you.

  Conveying under any other circumstances is permitted solely under
the conditions stated below.  Sublicensing is not allowed; section 10
makes it unnecessary.

  3. Protecting Users' Legal Rights From Anti-Circumvention Law.

  No covered work shall be deemed part of an effective technological
measure under any applicable law fulfilling obligations under article
11 of the WIPO copyright treaty adopted on 20 December 1996, or
similar laws prohibiting or restricting circumvention of such
measures.

  When you convey a covered work, you waive any legal power to forbid
circumvention of technological measures to the extent such circumvention
is effected by exercising rights under this License with respect to
the covered work, and you disclaim any intention to limit operation or
modification of the work as a means of enforcing, against the work's
users, your or third parties' legal rights to forbid circumvention of
technological measures.

  4. Conveying Verbatim Copies.

  You may convey verbatim copies of the Program's source code as you
receive it, in any medium, provided that you conspicuously and
appropriately publish on each copy an appropriate copyright notice;
keep intact all notices stating that this License and any
non-permissive terms added in accord with section 7 apply to the code;
keep intact all notices of the absence of any warranty; and give all
recipients a copy of this License along with the Program.

  You may charge any price or no price for each copy that you convey,
and you may offer support or warranty protection for a fee.

  5. Conveying Modified Source Versions.

  You may convey a work based on the Program, or the modifications to
produce it from the Program, in the form of source code under the
terms of section 4, provided that you also meet all of these conditions:

    a) The work must carry prominent notices stating that you modified
    it, and giving a relevant date.

    b) The work must carry prominent notices stating that it is
    released under this License and any conditions added under section
    7.  This requirement modifies the requirement in section 4 to
    "keep intact all notices".

    c) You must license the entire work, as a whole, under this
    License to anyone who comes into possession of a copy.  This
    License will therefore apply, along with any applicable section 7
    additional terms, to the whole of the work, and all its parts,
    regardless of how they are packaged.  This License gives no
    permission to license the work in any other way, but it does not
    invalidate such permission if you have separately received it.

    d) If the work has interactive user interfaces, each must display
    Appropriate Legal Notices; however, if the Program has interactive
    interfaces that do not display Appropriate Legal Notices, your
    work need not make them do so.

  A compilation of a covered work with other separate and independent
works, which are not by their nature extensions of the covered work,
and which are not combined with it such as to form a larger program,
in or on a volume of a storage or distribution medium, is called an
"aggregate" if the compilation and its resulting copyright are not
used to limit the access or legal rights of the compilation's users
beyond what the individual works permit.  Inclusion of a covered work
in an aggregate does not cause this License to apply to the other
parts of the aggregate.

  6. Conveying Non-Source Forms.

  You may convey a covered work in object code form under the terms
of sections 4 and 5, provided that you also convey the
machine-readable Corresponding Source under the terms of this License,
in one of these ways:

    a) Convey the object code in, or embodied in, a physical product
    (including a physical distribution medium), accompanied by the
    Corresponding Source fixed on a durable physical medium
    customarily used for software interchange.

    b) Convey the object code in, or embodied in, a physical product
    (including a physical distribution medium), accompanied by a
    written offer, valid for at least three years and valid for as
    long as you offer spare parts or customer support for that product
    model, to give anyone who possesses the object code either (1) a
    copy of the Corresponding Source for all the software in the
    product that is covered by this License, on a durable physical
    medium customarily used for software interchange, for a price no
    more than your reasonable cost of physically performing this
    conveying of source, or (2) access to copy the
    Corresponding Source from a network server at no charge.

    c) Convey individual copies of the object code with a copy of the
    written offer to provide the Corresponding Source.  This
    alternative is allowed only occasionally and noncommercially, and
    only if you received the object code with such an offer, in accord
    with subsection 6b.

    d) Convey the object code by offering access from a designated
    place (gratis or for a charge), and offer equivalent access to the
    Corresponding Source in the same way through the same place at no
    further charge.  You need not require recipients to copy the
    Corresponding Source along with the object code.  If the place to
    copy the object code is a network server, the Corresponding Source
    may be on a different server (operated by you or a third party)
    that supports equivalent copying facilities, provided you maintain
    clear directions next to the object code saying where to find the
    Corresponding Source.  Regardless of what server hosts the
    Corresponding Source, you remain obligated to ensure that it is
    available for as long as needed to satisfy these requirements.

    e) Convey the object code using peer-to-peer transmission, provided
    you inform other peers where the object code and Corresponding
    Source of the work are being offered to the general public at no
    charge under subsection 6d.

  A separable portion of the object code, whose source code is excluded
from the Corresponding Source as a System Library, need not be
included in conveying the object code work.

  A "User Product" is either (1) a "consumer product", which means any
tangible personal property which is normally used for personal, family,
or household purposes, or (2) anything designed or sold for incorporation
into a dwelling.  In determining whether a product is a consumer product,
doubtful cases shall be resolved in favor of coverage.  For a particular
product received by a particular user, "normally used" refers to a
typical or common use of that class of product, regardless of the status
of the particular user or of the way in which the particular user
actually uses, or expects or is expected to use, the product.  A product
is a consumer product regardless of whether the product has substantial
commercial, industrial or non-consumer uses, unless such uses represent
the only significant mode of use of the product.

  "Installation Information" for a User Product means any methods,
procedures, authorization keys, or other information required to install
and execute modified versions of a covered work in that User Product from
a modified version of its Corresponding Source.  The information must
suffice to ensure that the continued functioning of the modified object
code is in no case prevented or interfered with solely because
modification has been made.

  If you convey an object code work under this section in, or with, or
specifically for use in, a User Product, and the conveying occurs as
part of a transaction in which the right of possession and use of the
User Product is transferred to the recipient in perpetuity or for a
fixed term (regardless of how the transaction is characterized), the
Corresponding Source conveyed under this section must be accompanied
by the Installation Information.  But this requirement does not apply
if neither you nor any third party retains the ability to install
modified object code on the User Product (for example, the work has
been installed in ROM).

  The requirement to provide Installation Information does not include a
requirement to continue to provide support service, warranty, or updates
for a work that has been modified or installed by the recipient, or for
the User Product in which it has been modified or installed.  Access to a
network may be denied when the modification itself materially and
adversely affects the operation of the network or violates the rules and
protocols for communication across the network.

  Corresponding Source conveyed, and Installation Information provided,
in accord with this section must be in a format that is publicly
documented (and with an implementation available to the public in
source code form), and must require no special password or key for
unpacking, reading or copying.

  7. Additional Terms.

  "Additional permissions" are terms that supplement the terms of this
License by making exceptions from one or more of its conditions.
Additional permissions that are applicable to the entire Program shall
be treated as though they were included in this License, to the extent
that they are valid under applicable law.  If additional permissions
apply only to part of the Program, that part may be used separately
under those permissions, but the entire Program remains governed by
this License without regard to the additional permissions.

  When you convey a copy of a covered work, you may at your option
remove any additional permissions from that copy, or from any part of
it.  (Additional permissions may be written to require their own
removal in certain cases when you modify the work.)  You may place
additional permissions on material, added by you to a covered work,
for which you have or can give appropriate copyright permission.

  Notwithstanding any other provision of this License, for material you
add to a covered work, you may (if authorized by the copyright holders of
that material) supplement the terms of this License with terms:

    a) Disclaiming warranty or limiting liability differently from the
    terms of sections 15 and 16 of this License; or

    b) Requiring preservation of specified reasonable legal notices or
    author attributions in that material or in the Appropriate Legal
    Notices displayed by works containing it; or

    c) Prohibiting misrepresentation of the origin of that material, or
    requiring that modified versions of such material be marked in
    reasonable ways as different from the original version; or

    d) Limiting the use for publicity purposes of names of licensors or
    authors of the material; or

    e) Declining to grant rights under trademark law for use of some
    trade names, trademarks, or service marks; or

    f) Requiring indemnification of licensors and authors of that
    material by anyone who conveys the material (or modified versions of
    it) with contractual assumptions of liability to the recipient, for
    any liability that these contractual assumptions directly impose on
    those licensors and authors.

  All other non-permissive additional terms are considered "further
restrictions" within the meaning of section 10.  If the Program as you
received it, or any part of it, contains a notice stating that it is
governed by this License along with a term that is a further
restriction, you may remove that term.  If a license document contains
a further restriction but permits relicensing or conveying under this
License, you may add to a covered work material governed by the terms
of that license document, provided that the further restriction does
not survive such relicensing or conveying.

  If you add terms to a covered work in accord with this section, you
must place, in the relevant source files, a statement of the
additional terms that apply to those files, or a notice indicating
where to find the applicable terms.

  Additional terms, permissive or non-permissive, may be stated in the
form of a separately written license, or stated as exceptions;
the above requirements apply either way.

  8. Termination.

  You may not propagate or modify a covered work except as expressly
provided under this License.  Any attempt otherwise to propagate or
modify it is void, and will automatically terminate your rights under
this License (including any patent licenses granted under the third
paragraph of section 11).

  However, if you cease all violation of this License, then your
license from a particular copyright holder is reinstated (a)
provisionally, unless and until the copyright holder explicitly and
finally terminates your license, and (b) permanently, if the copyright
holder fails to notify you of the violation by some reasonable means
prior to 60 days after the cessation.

  Moreover, your license from a particular copyright holder is
reinstated permanently if the copyright holder notifies you of the
violation by some reasonable means, this is the first time you have
received notice of violation of this License (for any work) from that
copyright holder, and you cure the violation prior to 30 days after
your receipt of the notice.

  Termination of your rights under this section does not terminate the
licenses of parties who have received copies or rights from you under
this License.  If your rights have been terminated and not permanently
reinstated, you do not qualify to receive new licenses for the same
material under section 10.

  9. Acceptance Not Required for Having Copies.

  You are not required to accept this License in order to receive or
run a copy of the Program.  Ancillary propagation of a covered work
occurring solely as a consequence of using peer-to-peer transmission
to receive a copy likewise does not require acceptance.  However,
nothing other than this License grants you permission to propagate or
modify any covered work.  These actions infringe copyright if you do
not accept this License.  Therefore, by modifying or propagating a
covered work, you indicate your acceptance of this License to do so.

  10. Automatic Licensing of Downstream Recipients.

  Each time you convey a covered work, the recipient automatically
receives a license from the original licensors, to run, modify and
propagate that work, subject to this License.  You are not responsible
for enforcing compliance by third parties with this License.

  An "entity transaction" is a transaction transferring control of an
organization, or substantially all assets of one, or subdividing an
organization, or merging organizations.  If propagation of a covered
work results from an entity transaction, each party to that
transaction who receives a copy of the work also receives whatever
licenses to the work the party's predecessor in interest had or could
give under the previous paragraph, plus a right to possession of the
Corresponding Source of the work from the predecessor in interest, if
the predecessor has it or can get it with reasonable efforts.

  You may not impose any further restrictions on the exercise of the
rights granted or affirmed under this License.  For example, you may
not impose a license fee, royalty, or other charge for exercise of
rights granted under this License, and you may not initiate litigation
(including a cross-claim or counterclaim in a lawsuit) alleging that
any patent claim is infringed by making, using, selling, offering for
sale, or importing the Program or any portion of it.

  11. Patents.

  A "contributor" is a copyright holder who authorizes use under this
License of the Program or a work on which the Program is based.  The
work thus licensed is called the contributor's "contributor version".

  A contributor's "essential patent claims" are all patent claims
owned or controlled by the contributor, whether already acquired or
hereafter acquired, that would be infringed by some manner, permitted
by this License, of making, using, or selling its contributor version,
but do not include claims that would be infringed only as a
consequence of further modification of the contributor version.  For
purposes of this definition, "control" includes the right to grant
patent sublicenses in a manner consistent with the requirements of
this License.

  Each contributor grants you a non-exclusive, worldwide, royalty-free
patent license under the contributor's essential patent claims, to
make, use, sell, offer for sale, import and otherwise run, modify and
propagate the contents of its contributor version.

  In the following three paragraphs, a "patent license" is any express
agreement or commitment, however denominated, not to enforce a patent
(such as an express permission to practice a patent or covenant not to
sue for patent infringement).  To "grant" such a patent license to a
party means to make such an agreement or commitment not to enforce a
patent against the party.

  If you convey a covered work, knowingly relying on a patent license,
and the Corresponding Source of the work is not available for anyone
to copy, free of charge and under the terms of this License, through a
publicly available network server or other readily accessible means,
then you must either (1) cause the Corresponding Source to be so
available, or (2) arrange to deprive yourself of the benefit of the
patent license for this particular work, or (3) arrange, in a manner
consistent with the requirements of this License, to extend the patent
license to downstream recipients.  "Knowingly relying" means you have
actual knowledge that, but for the patent license, your conveying the
covered work in a country, or your recipient's use of the covered work
in a country, would infringe one or more identifiable patents in that
country that you have reason to believe are valid.

  If, pursuant to or in connection with a single transaction or
arrangement, you convey, or propagate by procuring conveyance of, a
covered work, and grant a patent license to some of the parties
receiving the covered work authorizing them to use, propagate, modify
or convey a specific copy of the covered work, then the patent license
you grant is automatically extended to all recipients of the covered
work and works based on it.

  A patent license is "discriminatory" if it does not include within
the scope of its coverage, prohibits the exercise of, or is
conditioned on the non-exercise of one or more of the rights that are
specifically granted under this License.  You may not convey a covered
work if you are a party to an arrangement with a third party that is
in the business of distributing software, under which you make payment
to the third party based on the extent of your activity of conveying
the work, and under which the third party grants, to any of the
parties who would receive the covered work from you, a discriminatory
patent license (a) in connection with copies of the covered work
conveyed by you (or copies made from those copies), or (b) primarily
for and in connection with specific products or compilations that
contain the covered work, unless you entered into that arrangement,
or that patent license was granted, prior to 28 March 2007.

  Nothing in this License shall be construed as excluding or limiting
any implied license or other defenses to infringement that may
otherwise be available to you under applicable patent law.

  12. No Surrender of Others' Freedom.

  If conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot convey a
covered work so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you may
not convey it at all.  For example, if you agree to terms that obligate you
to collect a royalty for further conveying from those to whom you convey
the Program, the only way you could satisfy both those terms and this
License would be to refrain entirely from conveying the Program.

  13. Use with the GNU Affero General Public License.

  Notwithstanding any other provision of this License, you have
permission to link or combine any covered work with a work licensed
under version 3 of the GNU Affero General Public License into a single
combined work, and to convey the resulting work.  The terms of this
License will continue to apply to the part which is the covered work,
but the special requirements of the GNU Affero General Public License,
section 13, concerning interaction through a network will apply to the
combination as such.

  14. Revised Versions of this License.

  The Free Software Foundation may publish revised and/or new versions of
the GNU General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

  Each version is given a distinguishing version number.  If the
Program specifies that a certain numbered version of the GNU General
Public License "or any later version" applies to it, you have the
option of following the terms and conditions either of that numbered
version or of any later version published by the Free Software
Foundation.  If the Program does not specify a version number of the
GNU General Public License, you may choose any version ever published
by the Free Software Foundation.

  If the Program specifies that a proxy can decide which future
versions of the GNU General Public License can be used, that proxy's
public statement of acceptance of a version permanently authorizes you
to choose that version for the Program.

  Later license versions may give you additional or different
permissions.  However, no additional obligations are imposed on any
author or copyright holder as a result of your choosing to follow a
later version.

  15. Disclaimer of Warranty.

  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY
OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF
ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

  16. Limitation of Liability.

  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS
THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS),
EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES.

  17. Interpretation of Sections 15 and 16.

  If the disclaimer of warranty and limitation of liability provided
above cannot be given local legal effect according to their terms,
reviewing courts shall apply local law that most closely approximates
an absolute waiver of all civil liability in connection with the
Program, unless a warranty or assumption of liability accompanies a
copy of the Program in return for a fee.

                     END OF TERMS AND CONDITIONS

            How to Apply These Terms to Your New Programs

  If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

  To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
state the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

    Copyright (C)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see (http://www.gnu.org/licenses/).

Also add information on how to contact you by electronic and paper mail.

  If the program does terminal interaction, make it output a short
notice like this when it starts in an interactive mode:

      Copyright (C)
    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License.  Of course, your program's commands
might be different; for a GUI interface, you would use an "about box".

  You should also get your employer (if you work as a programmer) or school,
if any, to sign a "copyright disclaimer" for the program, if necessary.
For more information on this, and how to apply and follow the GNU GPL, see
(http://www.gnu.org/licenses/).

  The GNU General Public License does not permit incorporating your program
into proprietary programs.  If your program is a subroutine library, you
may consider it more useful to permit linking proprietary applications with
the library.  If this is what you want to do, use the GNU Lesser General
Public License instead of this License.  But first, please read
(http://www.gnu.org/philosophy/why-not-lgpl.html).

See also:

Internet link: Free Software Foundation
Internet link: D-Fend Reloaded homepage


Profileditor | Spielespezifische Einstellungen

Menü: Profil | Bearbeiten | Spielespezifische Einstellungen

Profileditor-Dialogseite "Spielespezifische Einstellungen"

Auf diese Dialogseite können Sie verschiedene Einstellungen vornehmen, die jeweils nur für einige Spiele zur Verfügung stehen. Die Namen der Spiele, für die die Einstellungen jeweils gültig sind, werden jeweils unterhalb der Auswahlfelder angezeigt. Außerdem werden die Auswahlfelder, die für das jeweils gewählte Spiel nicht unterstützt werden, deaktiviert.

Siehe auch:

Profileditor-Dialog


Symbolleiste anzeigen

Über diesen Menüpunkt können Sie die Symbolleiste im D-Fend Reloaded Programmfenster ein- und ausschalten.